commit 375acead898ee98ca46bc9946d7338fa4630e719
Merge: e274271 34655f6
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Apr 19 07:36:20 2023 +0200

    Merge branch 'multi-usb'

commit e274271820f4562423a6cd89bfaa6033b9a4e609
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 17 11:19:00 2023 +0100

    Add support for IC-905

commit 34655f63488d4b998255c4dfa5a03f96939d5a67
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Apr 15 21:13:43 2023 +0100

    Allow user to select which LED is updated by the button.

commit 8ad74ac7f66e4f2201751f6590431324c88df720
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Apr 15 20:13:20 2023 +0100

    First step at improving LED support

commit 5d897c127a1f066753834dc718f7adff7c72cadd
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Apr 15 11:34:41 2023 +0100

    Make TX LED work on RC28

commit 3c90a9363b994240ec8f8b6417b5db31839c97e6
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Apr 15 11:25:35 2023 +0100

    Various fixes

commit c392874b3b58bd90196f47b936ea54ac38cbc95f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Apr 14 21:36:46 2023 +0100

    Comment out RC28 LED for now.

commit 7b101d5ad4c03082c5bcc2f0ca0c17ad80722434
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Apr 14 21:33:45 2023 +0100

    Another attempt to fix for GCC

commit 6a2e2024ef1e7cb8ea1b6641f751ecff5a404445
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Apr 14 21:03:15 2023 +0100

    Fix compile error

commit d941c831f357f294d29b6a39421e82f71d3810d4
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Apr 14 10:26:54 2023 +0100

    Resize the controller display on tab change

commit f35ac25ad35ac3e3736caf9db15051e61f20c748
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Apr 13 15:28:46 2023 +0100

    Various other fixes

commit 58f38c17357661333218fe8202c069760c3a13ca
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Apr 13 14:36:16 2023 +0100

    Add RC28 LED Control to the features and disable controls that don't make sense

commit 59bc2077e4e931293ffe2a0f262d99d2e07157ea
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Apr 13 14:02:43 2023 +0100

    Replace + with | in keyboard shortcuts

commit 8b786c1821f80708a2726cd5369736d6f8ae8ca3
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Apr 12 11:14:40 2023 +0100

    Fix recursive calling of pageChanged()

commit 5ded2a0e79d88b4422bd782c6036f1effd72c089
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Apr 12 10:24:00 2023 +0100

    Some more fixes

commit c9300f4d865968d017626c3617350965e01ad465
Author: M0VSE <phil@m0vse.uk>
Date:   Tue Apr 11 20:25:29 2023 +0100

    Add linux USB hotplug

commit 1549819ad6890ec2a554575eddfe6caf3454cd94
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue Apr 11 19:17:11 2023 +0200

    Fedora 36 instr. added 2023-04-11/Knud OZ1DGN

commit 4874d70215b19bd8a4c6e14618b2a04e051030ce
Author: M0VSE <phil@m0vse.uk>
Date:   Mon Apr 10 13:46:29 2023 +0100

    Fix linux compile

commit d5f0e0f63c37eced89c70fc2bd65fbaddfa53434
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Apr 9 23:53:51 2023 +0100

    Lots more features and other fixes

commit 1da3696ba23ce5593c864beb365df23fa493aba0
Merge: a0f3f7d 289170e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 3 14:31:48 2023 +0100

    Merge branch 'tristate' into multi-usb

commit 289170e22d8e1a0a8e09ad8000f8fc24126c5fb1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Apr 2 21:11:14 2023 +0100

    Enable wf by default

commit ae0271c7f90d80233a1f3f2a2fce3116b12b34cc
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Apr 2 21:09:37 2023 +0100

    Use tristate checkbox for Scope enable/disable (also add saving state)

commit a0f3f7de07da006799cdbff86251ee7f8d29a739
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Apr 2 20:07:13 2023 +0100

    More work, tidying and improving stablity

commit 0304ac67f6a928624b1dd3850bab75525c4cbc9f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Mar 29 23:33:18 2023 +0100

    Add backup/restore of button config

commit 468cd2de0d716238fbb3f0f558a7e98f5b05ac6d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Mar 28 21:58:46 2023 +0100

    Add various commands, monitor, NB, NR etc.

commit 592c583d19aef88941c039d7fa3df0e727f8b363
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Mar 28 19:07:54 2023 +0100

    Add USB hotplug support in Windows

commit cadf835d958050be5f7b58074c0e9f5f27cb065d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Mar 27 12:38:01 2023 +0100

    Receive current knob values from rig

commit 75288b5e7826ca05fc32263163d03334ada1d29d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Mar 26 23:23:40 2023 +0100

    Allow storing of icons and various other fixes

commit 6fd0d4e76310794a5b5a19d93bfcd3f890eb0ea0
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Mar 26 16:08:53 2023 +0100

    various other fixes and stability improvements

commit 03c45663dcc9c9b7eb2246d93ce0329c779b0d3b
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Mar 25 16:58:28 2023 +0000

    Fix crash when clicking on a knob.

commit ac582891886fd1706f0bf217a7b3b1e0d06bc20a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Mar 25 09:09:42 2023 +0000

    Initial support for Stream Deck Pro (other Stream Deck support to follow)

commit d7ba3d9d9ac7f47709ba52c20bbce54b2ff920f1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Mar 21 15:37:57 2023 +0000

    Fix for wrong VFO being set on haveBandStackReg

commit d1688a99c5207cacdc6f6d1025d36c8664afe58d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Mar 21 13:24:48 2023 +0000

    Fix controller setup window resizing

commit a74f68d9d410f8531ec59fc19941c4626eccd758
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Mar 21 13:17:35 2023 +0000

    Various fixes

commit f663550da77131ea8b70438d8c022114197752a6
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Mar 20 15:37:11 2023 +0000

    Set tab name correctly

commit 9d63c5cb71ba226e1e0d6f92c18c4cb17b3271ff
Author: M0VSE <phil@m0vse.uk>
Date:   Mon Mar 20 15:32:04 2023 +0000

    Fix window issue in linux

commit eb65ae0b1ce8a190c734f62e803d5a6e0e108034
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Mar 18 16:38:24 2023 +0000

    Various fixes
    
    Improve UI handling, add disable option

commit 898d5960d8525184efc89bb4f26ce65c4e14c88d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Mar 18 01:34:40 2023 +0000

    Allow main knob to be used for other values than VFO

commit a461babf73f156c08b83b9160098fb8f2a34f9ce
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Mar 18 00:17:33 2023 +0000

    Fix warning

commit 792fac11d67328d1443e591b25d4d70f96db12ef
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Mar 17 23:35:40 2023 +0000

    Support multiple USB controllers

commit f3a25fade42ad6b99bbb3de033ccbfd6c40d86dc
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Mar 12 18:25:17 2023 +0000

    Remove unnecessary stepType setting from cwsender.ui

commit 3fa14ebc37c4e6c2f9d5fba47103e293e0a96d51
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sun Mar 12 12:44:46 2023 +0100

    v1.62 released; performance fix 9700 and cw sidetone

commit 6049e1dee67e981625652b43492f1f2f6c8edac1
Merge: e8ca39c 5328838
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sun Mar 12 12:34:47 2023 +0100

    Merge branch 'sidetone'

commit e8ca39ca18981c3bf1bb3e888efdc3b4b9ed9489
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Mar 10 08:19:03 2023 +0100

    fixes the dreaded connection timeouts some 9700 users have

commit 48a9710c118dfe0d154706180bfd2d22ca542dec
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Mar 9 17:47:52 2023 +0000

    Add improved connection timeout for IC9700

commit 5328838c7399c943d8ac4556c8071157c38d267c
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Feb 21 11:46:14 2023 +0000

    better control of rapid commands when mode changes

commit 87a261be1220bc2e3908d274b77ce961912e6f90
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Feb 21 11:11:55 2023 +0000

    Move periodic pbt/passband to rapid queue

commit b738a38cbe1f2bce23088946898aab01b5470e8e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Feb 21 10:53:58 2023 +0000

    fix compile warnings from rigctl

commit b2af4c898efbd2475ebcb72294b7067f886e4fc6
Merge: 7901ceb cf4e872
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Feb 21 10:48:01 2023 +0000

    Merge branch 'master' into sidetone

commit cf4e872e4ff9c68095017ab0159d3aaec4a4da3f
Merge: 37c3040 5b9a5ba
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Feb 20 22:20:14 2023 +0000

    Merge branch 'master' of https://gitlab.com/eliggett/wfview

commit 37c30404d81c2550ce0ce7552126a9f747e791c8
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Feb 20 22:19:55 2023 +0000

    Fix for shuttle detection on Linux

commit 5b9a5baaa1ee704220fe63f100a362a6f13e79d0
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Feb 20 18:26:22 2023 +0000

    Add printsupport back

commit fc0bd2232dedf95705a04d7834a95cc27d00fa98
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Mon Feb 20 19:24:44 2023 +0100

    changelog updated after rigctld-fixes

commit 2186a74490d6d62ee5581ba9956aac7e738f9791
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Feb 20 13:05:23 2023 +0000

    Minor change to p and P commands in rigctld

commit b9288175bd67df8609996ba008268514c80515c1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Feb 20 12:43:26 2023 +0000

    Add remaining rigctld commands (mainly unimplemented)

commit 7901ceba79e4e28fddeaa134e213dc756173f747
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Feb 20 12:43:26 2023 +0000

    Add remaining rigctld commands (mainly unimplemented)

commit e49eb2878e941f52e6f75f97888ae09fd20c0791
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Feb 20 11:48:53 2023 +0000

    Rearrange signals

commit c8b97e895286f1143c65e4e5c89d65185ed31304
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Feb 20 10:34:21 2023 +0000

    Emit finished() if sending is stopped prematurely

commit a6b1bce69eb4e196a815749dbb46bc0f67b4487a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Feb 20 10:31:09 2023 +0000

    Disconnect signals when not in use

commit e6644cdc1116e0ae22ca7464111ba26cf3ff96b7
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Feb 18 15:14:05 2023 +0000

    Update cwsidetone.cpp

commit fe0fc0a5bb8f611004cdc3a8dac724e53276e309
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Feb 18 15:13:05 2023 +0000

    Compile issue

commit 5fb9588c4aee25d18a6b3bb2e644c2558020dc28
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Feb 18 14:25:36 2023 +0000

    Bit more tidying

commit 62f923d8ad38f4823d62569df71d8726c01616cd
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Feb 18 13:18:42 2023 +0000

    Add support for push audio and various other fixes

commit 9f97df0ea5ea01d032c264619bbd929e122346b8
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Feb 18 11:03:13 2023 +0000

    Make generateData more readable

commit ed1e8c3a8e87e2811639c5f4d989530c49890c10
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 17 23:57:53 2023 +0000

    Add message stacking

commit acec37ea17161ff0a7e6c30e5fcf0997f5217ed1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 17 23:21:29 2023 +0000

    Improve timing

commit 428ea9156c03d85abe9fdb88d514e6e8601785f9
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 17 18:08:44 2023 +0000

    Change way we set sidetone volume

commit 18254cad1006292e75c29c67e886fcb138efe7d0
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 17 17:56:10 2023 +0000

    Log if write fails

commit 67685dc100affd1376085764c9f813044bf0b986
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 17 17:46:12 2023 +0000

    Stop writing sidetone audio on error

commit 71fd70f78bb512c9b3118bd450f888c173752abf
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 17 17:26:21 2023 +0000

    Sample type fixes

commit f9ca8e7e844d99fa14a8c36597ad454176a903cb
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 17 16:56:01 2023 +0000

    Restart audio device if stopped/suspended

commit acaed4601e215b13766cd69f9f7805809cfa4150
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 17 16:49:19 2023 +0000

    Hopefully fix audio.

commit 1177fa34198fbe5aac589242d99445d939593616
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 17 16:28:56 2023 +0000

    Disable sidetone if unchecked

commit 97ed3f6f424494c4305588558a32e6b79a4e68ef
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 17 14:34:08 2023 +0000

    Fix compile in linux

commit e594efdbbc9dd0e0e88eb4eb9d5a49a622a2fc83
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 17 14:30:22 2023 +0000

    Try to stop crash if there is no default audio device

commit 3ce35500b9f3861f3aea00f2becbf3e43d861826
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 17 14:01:09 2023 +0000

    Fix Qt5 compile (hopefully)

commit 9eb89a9cb1279ee7e8badeba0230fce19baf77d6
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 17 13:58:02 2023 +0000

    First working cw sidetone
    
    Still needs better timing and volume

commit fd6d132fd3616f6681b1924f9b46dcdd69b1aaba
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Feb 14 20:27:32 2023 +0000

    Various fixes

commit 6f1d4e24b7676bebae425c778cae4085355cdb99
Merge: 8b7377f ce9e3e9
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Feb 14 18:48:10 2023 +0000

    Merge branch 'master' into sidetone

commit 8b7377f0960ff1b2936e4eccebd831312e673b56
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Feb 14 18:47:32 2023 +0000

    Add some feature in the hope of supporting sidetone

commit ce9e3e9f2cd8a343ab65d068904475126bfc8483
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue Feb 14 16:10:38 2023 +0100

    ecoder, collission-detection added

commit dd4770a85ff462913c223fcb1a9aeff65cce0a5d
Merge: 32e6622 3582c95
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Feb 13 15:37:26 2023 +0000

    Merge branch 'collision-detection' into ecoder

commit 32e662237bebcf46f337d173a195849f4d98ee7a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Feb 13 15:14:27 2023 +0000

    Make ptt react correctly

commit 3582c95c58185a951ecb1b242bec974d835082df
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Feb 12 23:14:39 2023 +0000

    Fixes to collision detection.

commit da71bb3bc3d244a6d33307d180d8cc5f4069b7aa
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Feb 12 23:14:51 2023 +0000

    Remove debugging

commit 0397b4b68aab860bd1aa8ca9ab1a4ff0828b11df
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Feb 12 23:14:39 2023 +0000

    Fixes to collision detection.

commit feac83b997da6dfff3170813fa0b16150482d7fb
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Feb 11 11:40:30 2023 +0000

    Attempt at simple collision detection

commit 9afc661c4c52276fafb5b866f09e4d52024b5943
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Feb 12 17:17:29 2023 +0000

    Update usbcontroller.cpp

commit 6de14df1da5e2303c6c2b89e2b399ae3312657be
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Feb 12 17:14:26 2023 +0000

    Fix compile warnings

commit 7e89e9f457f2867bd2f5a00f2299281cd6100eef
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Feb 12 16:45:21 2023 +0000

    Add support for Xencelabs QuickKeys

commit 3cb54f9cd7c512ada7b63bc1507a4dee805f85e6
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Feb 11 11:40:30 2023 +0000

    Attempt at simple collision detection

commit 80838e4f82068a6e7ad042e06abc073626f4ad69
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Feb 11 11:39:18 2023 +0000

    Some more changes

commit 54c75d5defaff2014f96b8256d621f832b557211
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 10 18:52:51 2023 +0000

    Multiply knob values * 10

commit 8b59efbf336bae5bae8d2f85ed4e94c2067bf492
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 10 18:40:11 2023 +0000

    Another try

commit 9db06989279270b03f5d968c03015e4d249d6e49
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 10 18:26:34 2023 +0000

    Quick test

commit 251239e445b2faf2f1ee5d4eae8668b522de5268
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 10 18:13:50 2023 +0000

    Update usbcontroller.cpp

commit a3a82cd442a2a6a2fa428e99e9401d360996e9b1
Merge: 3461a0e 6e5e22a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 10 18:11:42 2023 +0000

    Merge branch 'master' into ecoder

commit 3461a0e5e51b68517561cbdfbedd19141725f7c6
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 10 18:10:32 2023 +0000

    Correct usbMutex

commit 3429786e106f2c145c8987d5b4a39e63134a789b
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 10 15:51:01 2023 +0000

    Reset knobValues to 0 after sending

commit c2e9100a40f4550fd51e312ac359034d8323f552
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 10 15:47:23 2023 +0000

    Hopefully fix random buttons

commit c8a29bb40096de3fd4b77d7c7f218531a1372647
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 10 15:23:57 2023 +0000

    Add mutex to ensure thread safety

commit fa47bfb4bc37fe96e0e602eabf8ed267342a9928
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 10 13:34:04 2023 +0000

    Update usbcontroller.cpp

commit 82425b445e21a6ef1381a39d10c666cc4910e082
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 10 13:28:09 2023 +0000

    Try again

commit 7aa75466600a50578e335ae5f47c8ef257382596
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 10 09:52:51 2023 +0000

    More work on knobs

commit 4e61a455b5cf7f9679d7182c494c8ea2b6156b81
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 10 00:31:12 2023 +0000

    Hide setup screen if disabled

commit cad3bb9418020ff9583d25d688b397afd88f6fea
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 10 00:27:01 2023 +0000

    Various (I hope) improvements!

commit 1f1800f046a32a969c17d1d48d2dd826ffc4081e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Feb 9 18:43:42 2023 +0000

    Flip bits in knob command

commit 5ed380c03d792de91ba15a14549b46ca8d8cabca
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Feb 9 18:35:07 2023 +0000

    Remove debug setup

commit a8951813f5a69f17d044f8f723fc23702c0f7bc1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Feb 9 13:21:51 2023 +0000

    Provisional support for knobs

commit 6e5e22a672e430d872eddb232bcc8491134dc13d
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Feb 8 19:00:44 2023 +0100

    another compile fix

commit bbbfe38e0bfc5280e349049c126dcf2792c06b52
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Feb 8 08:26:36 2023 -0800

    Very minor thing to help compiling with older hidapi.

commit 6a76efa368b9d0fa88d8ae3761229dbefcd25c87
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Feb 8 11:26:33 2023 +0100

    compilation fixes

commit 17a65472646b1113da2c4b7dcccf3763f41d3085
Merge: cb339ed 0ff2551
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Feb 8 10:15:16 2023 +0000

    Merge branch 'master' into ecoder

commit 1515e135e5434ab7c334214ff10165e484536906
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Feb 8 10:12:48 2023 +0000

    Fix for old hidapi without version info.

commit 0ff2551026c7861ab1dc2194388ea3c5cbbfdf67
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Feb 7 23:29:50 2023 +0000

    Fix compile if controller disabled

commit cb339edc1f4881df29db1d4d9f93b38e8316aa8d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Feb 7 23:29:50 2023 +0000

    Fix compile if controller disabled

commit f4a86ac02e5996d61bdddef0f69b4ce92b19a4de
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Feb 7 23:05:42 2023 +0000

    Add more buttons

commit b783f8057a8e1d4e85db4e89de14c059b22e8169
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Feb 7 22:37:26 2023 +0000

    tuning knob?

commit 10640381387bac9893122e9fd7a2530e52522e50
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Feb 7 21:12:02 2023 +0000

    Another try

commit dda3c8ee9d52855be21cfcf3288664bf52d7c8de
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Feb 7 21:01:54 2023 +0000

    Update usbcontroller.cpp

commit 63b8a356e85528ec8dbbbfc403a7d317e6e2705f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Feb 7 20:59:53 2023 +0000

    Another try for buttons

commit 4fc37290e516e8507137b4f91084967749f22381
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Feb 7 20:51:20 2023 +0000

    try to fix ecoder buttons

commit 72e8bc6fa6903e6094de58084e96509f1b8f6f7c
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Feb 7 20:32:46 2023 +0000

    Remove debug code

commit 8a28a8976090f433c0822fc66d9aa01b107bc215
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Feb 7 19:41:39 2023 +0000

    Correct order!

commit 5298949f3a50ebb7fba6e265ba656a300679a2be
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Feb 7 19:37:33 2023 +0000

    Add support for ecoder buttons

commit 1e217bc5b82b43f63d75e3f3db4f6f8b29bcbeb2
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Feb 7 19:02:05 2023 +0000

    Some initial updates

commit fbea7f1a136f9f5e2b6b3cc599be14c344294fd7
Merge: b373685 32639c5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Feb 7 18:41:02 2023 +0000

    Merge branch 'ecoderplus' into 'ecoder'
    
    Ecoderplus
    
    See merge request eliggett/wfview!17

commit 32639c5394409abb05b95c7d292c09d9bda375f3
Author: Dawid Szymanski - SQ6EMM/SN6M <dawszy@arhea.pl>
Date:   Tue Feb 7 18:41:02 2023 +0000

    Ecoderplus

commit b373685fd31f7d6cf21a117650a9bbdf17e5d107
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue Feb 7 18:56:41 2023 +0100

    v1.61

commit ea1fefc219017856df6bf3c1f79b596213c97403
Merge: 6e0ebcd 3d2c162
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue Feb 7 18:52:37 2023 +0100

    Merge branch 'wf-fix'

commit 3d2c16201be5fa6a92f2931cfad754cee48448a1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Feb 7 17:51:52 2023 +0000

    Fix invalid scope data in combine mode

commit 6e0ebcdd5a109695ca95da5cb41bb13d6e08ac79
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue Feb 7 18:20:18 2023 +0100

    removed empty file

commit 2488d62f2e429e1607fc12966db8d4f03312ad7f
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue Feb 7 18:17:57 2023 +0100

    fixes stuff after 1.60 release

commit 40f49c56e7553ca907c533b5d0fe5f277a1420f3
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Feb 7 17:11:53 2023 +0000

    Try again

commit 529d1015409ee326e6bd81132f41e07bc34bc1dd
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Feb 7 16:50:02 2023 +0000

    Quick fix

commit 14a4b25e9740d39213c9036e9415751db7dc700a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Feb 7 15:22:22 2023 +0000

    Add a comment about usb device types

commit 78fa2489634d1dcdecf27de05af0aa3f7a5f5538
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Feb 7 14:49:17 2023 +0000

    Slightly better way of defining USB device types

commit 7de515b70d58ce9f1775bd7b13c202029fce0a40
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Feb 7 10:10:04 2023 +0000

    Add spacer

commit 76694361b58d3f7312847e32e79e97feecd36a82
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Feb 7 09:40:38 2023 +0000

    Add small space above sensitivity slider

commit 0e28f288ff6e9349971466d453b7c447f971b46f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Feb 7 09:32:33 2023 +0000

    Add sensitivity control to USB controllers.

commit b619be3e2a3b2ad66e6a2056fb73e7fdb0ca86be
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Feb 6 19:54:52 2023 +0000

    Another fix

commit 64c0007c78cbc4914d5a731654362596214ab8dc
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Feb 6 19:51:30 2023 +0000

    More USB fixes

commit b566a760ed0f252137c4703c4db01f8309c47563
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Feb 6 18:50:49 2023 +0000

    Add device path

commit 69afce7712101ed1d35981bfa0465a5119318c66
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Feb 6 18:19:12 2023 +0000

    Check hidapi version

commit 5654fa524e57f8c8462d4395a551e33768e5db4e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Feb 6 17:52:47 2023 +0000

    More attempts to fix MacOS

commit 3d053c3c96312b3310583d1c0e3a87ce358cd4a8
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Feb 6 15:54:35 2023 +0000

    Require exclusive access for MacOS

commit 872c8aee302819b0aef9b333fce841db54be837f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Feb 6 15:48:04 2023 +0000

    Update usbcontroller.cpp

commit e2d6101a530fb49863ecbc3773b2fe983f16454e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Feb 6 15:46:48 2023 +0000

    Fic mac build

commit b35e1af185b2bd68eeb37d910aa1e0bbd9d0a89c
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Feb 6 15:43:53 2023 +0000

    Update usbcontroller.h

commit a60cb39483428a2ee54fe24391c8ff954a236ab9
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Feb 6 15:33:59 2023 +0000

    More improvements to device enumeration

commit 6464f28159ae2fb52fd6590974ba07b103ec3741
Merge: 7b7d21d 16eb459
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Feb 6 15:03:19 2023 +0000

    Merge branch 'master' into usb-macfix

commit 7b7d21d3a72e840ee61681495156f309fe2c86ed
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Feb 6 15:02:48 2023 +0000

    Improve USB device enumeration and fix for MacOS

commit 16eb4591eb767797125ea134de87cd1931536dbf
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Mon Feb 6 10:45:08 2023 +0100

    updated CHANGELOG

commit eae5b93f0e404fc15561ad310e39fd3be9d01ccf
Merge: 2128e6f 02c1dcd
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Mon Feb 6 10:44:34 2023 +0100

    Merge branch 'wsjtx-fix'

commit 02c1dcdb8b2abefe0e78bb53cea4c1e17914746a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Feb 5 21:58:49 2023 +0000

    Request passband at startup

commit f4e772e1c7903e0d31492917a053e849da38236f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Feb 5 21:51:00 2023 +0000

    Update wfmain.cpp

commit 4a3f8692b553ad3d5030cf04796fd9f08e966cf6
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Feb 5 21:50:24 2023 +0000

    Update rigState on receipt of new passband from rig.

commit 2ec62b6c807702fb96bc0a10eaa2614ec7bea5b4
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Feb 5 21:43:51 2023 +0000

    Make CRC hex

commit 01e01321d397ef812ceb5d2b2c5e97082d99268b
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Feb 5 21:40:59 2023 +0000

    This might cause a compile warning?

commit f0c8842c058c3481463e8b99e542302eaf96b7a5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Feb 5 21:33:02 2023 +0000

    Actually send the response!

commit 979dffc1761c5e86821be46b2f16faf5db20c58a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Feb 5 21:28:24 2023 +0000

    Add some more commands

commit 2128e6fc1080ea7c7a31597e5c23626f97dd4ae4
Merge: fd86efa 27ac972
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Feb 5 20:15:42 2023 +0000

    Merge branch 'wsjtx-fix' into pbt-color-picker

commit fd86efa4b90123882d45a2d86474f69784d35dcc
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Feb 5 13:21:12 2023 +0000

    Add color picker for PBT

commit 27ac972f4a1e5a0d9606d74df47d0a490b1298a0
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Feb 5 11:30:38 2023 +0000

    Add support for latest version of wsjt-x to rigctld

commit bb632b8e2b1115c5e4cf7d56726e6c55046b93a8
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sat Feb 4 09:57:12 2023 -0800

    Fixed placement of "out of range" data byte reading.

commit 11f8cb702ff236f96b40ee1e9b255f97becb1a72
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sat Feb 4 14:49:58 2023 +0100

    v1.60 milestone released

commit 82f268508ea210a8a3c89fcc31c7799833cb26ea
Merge: a08ada4 a1db8d1
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sat Feb 4 12:34:17 2023 +0100

    Merge branch 'pbt-lsb-fix'

commit a1db8d1d60c5af60d15173f18204d0edda7ec476
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Feb 4 11:32:52 2023 +0000

    Another attempt to fix

commit a08ada4cabb4366e83a5a7ab3f044385b04a4ed1
Merge: 953399d 5671e26
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sat Feb 4 12:31:23 2023 +0100

    Merge branch 'pbt-lsb-fix'

commit 5671e2659196cbec667785ce158467f143191842
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Feb 4 11:30:30 2023 +0000

    Hopefully fix wfserver compiling

commit 953399de063606a883bc04b7cdc168d9930ee1b0
Merge: c70bbb0 903d196
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sat Feb 4 12:11:20 2023 +0100

    Merge branch 'pbt-lsb-fix'

commit 903d1965ba03074c30ccb90ad35a463206bdc6ee
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Feb 4 10:26:42 2023 +0000

    Hide half duplex combo to avoid confusion

commit eae1fc725ee6599fc24276169c627ea56fa1289e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Feb 4 00:02:59 2023 +0000

    Fix some more bits in wfview.pro

commit 857c62f99f64d8745f435b4294fbfa26f08985bb
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 3 23:10:40 2023 +0000

    Move opus to .dll for 1.60R

commit 7b2aca6cbd1457a3860886e8507c3d2326db4eb4
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 3 20:34:59 2023 +0000

    Same PBT fix for CW and RTTY

commit f3da86940fb53708b5ce119625be3c6c5756f473
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 3 19:58:37 2023 +0000

    Fix for displaying PBT in LSB mode

commit c70bbb0998fa063e64dc7fb436a38444a4aeae7b
Merge: 0af2615 d7fa78f
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Feb 3 20:15:58 2023 +0100

    Merge branch 'usb-ui-help-text'

commit d7fa78fcd22de57ea8d5878cd3c5d09bf2832803
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 3 19:08:08 2023 +0000

    Add Help text to usbControllerSetup

commit 0af2615833a06cd974b3a956786c1f3cc058423b
Merge: 41aa951 b928f23
Author: Roeland <roeland@taplop.invalid>
Date:   Fri Feb 3 19:51:34 2023 +0100

    Merge branch 'tx-rx-missed-fix'

commit b928f230519c0379c4aa76313ed1617e51e97c26
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 3 18:08:19 2023 +0000

    Only accept rigstate updates from rig if value is not in updated condition

commit 41aa95129a136cfd9eac6df4baa66eda2d7748d1
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Feb 3 18:39:10 2023 +0100

    small steps... until 1.60 hits

commit 072ab1967f2c39b27a50b7d4e2fb4f04b20bb172
Merge: c6bd93a 75b86a0
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Feb 3 18:32:57 2023 +0100

    Merge branch 'band-switching'

commit 75b86a0e4af92615f7f3caa7f002a132272ebf4e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 3 17:29:39 2023 +0000

    Remove setting that causes error

commit b334241ea05558ad8cd4e558d75fa0808c50b773
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Feb 3 11:21:11 2023 +0000

    Allow plot click to display frequency if nothing else is under it

commit a5112825054fd51402ad32cf634bfc6241893369
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Feb 2 23:46:39 2023 +0000

    Simplify command creation

commit 4ea80af164c1cca9a3a833228d2b768bd8e829c1
Merge: 80dc5d2 156f45d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Feb 2 23:12:43 2023 +0000

    Merge branch 'morecontrols' into band-switching

commit 80dc5d2df680979e406d9ccb93cdbfd0b8ee8ef0
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Feb 2 23:11:49 2023 +0000

    Bit of tidying

commit 3993046771d83a5130d0c683e4e1b6a034e52638
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Feb 2 22:53:52 2023 +0000

    Remove UDP congestion mitigation

commit 06c3e33b4d0a91aafc1c7bf719eaf143199b80ce
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Feb 2 17:45:24 2023 +0000

    Initialize lastdata first.

commit d0cd7e2eb3eac3f519e29eaf569927f95f1d633c
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Feb 2 16:45:45 2023 +0000

    Use correct data for F1 key

commit 5237c930e5d5fdce238d7cdce562433293a48da0
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Feb 2 16:23:41 2023 +0000

    Ensure link LED is turned on at startup

commit 777d08ef24882e5fbf1346c615642396b63b933f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Feb 2 16:21:59 2023 +0000

    Turn off link LED when shutdown

commit c4fcc8983092bb6846bb97df667abee749de8fec
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Feb 2 16:17:41 2023 +0000

    Reduce to only send 3 bytes (report+data)

commit 193e07284e335c73dba4fc405ffb8db8655545c7
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Feb 2 15:47:59 2023 +0000

    LED not working, maybe due to data size?

commit 6c44ea9e0d93ef2b90ee26efc81f87bde6eca3f9
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Feb 2 15:02:32 2023 +0000

    More fixes

commit ad50d4107162290fa0c54e2f5099df45ec96738f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Feb 2 11:24:22 2023 +0000

    Fix warning

commit 1ac8f5c2f0f9e72a88ac6d18c8151bfe1b840eb9
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Feb 2 11:23:17 2023 +0000

    Fix GCC build error

commit e20900dbcf02a533dbf5d6a62120b9dac2991b77
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Feb 2 00:03:13 2023 +0000

    Query RC-28 for version

commit a192e6643b15e89a692bc1015af96a2f31f19859
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Feb 2 00:02:59 2023 +0000

    Tidy-up wfserver.pro

commit c6bd93a2b688d34330ce26017f946e0d140e3b09
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Feb 1 18:29:26 2023 +0000

    Stop shuttle emitting a signal every 100ms!

commit 4816427954dd03140164cffe44ad65967b83fde9
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Feb 1 18:29:26 2023 +0000

    Stop shuttle emitting a signal every 100ms!

commit 156f45d42ffe390d63fe0b1346d109fe29e6ae77
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Feb 1 09:21:17 2023 -0800

    Added quicksplit checkbox

commit bbcc0e484286043ecb8507caad489100c5115313
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Feb 1 08:46:13 2023 -0800

    Added "only available in FM" repeater setup warning.

commit 4411c1480ead7d70dbd73927ccc13a504f45d99b
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Feb 1 08:14:36 2023 -0800

    Cleaned up some debug code, checked repter-split checkbox by default.

commit 5fa14d13e1da33db47dd1295d80bed6980126eea
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Feb 1 12:16:04 2023 +0000

    Try to get RC-28 LEDs working

commit 180b7b0095af9014d7614bae145e867136544ebb
Merge: 071606f eaf7eb1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Feb 1 09:42:09 2023 +0000

    Merge branch 'morecontrols' into band-switching

commit 071606fe5a4159db43fa671424f85c2252e1f2e1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Feb 1 09:41:18 2023 +0000

    More commands

commit 096c223715cbb2e40670c867f42d1c58e8de15b7
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Feb 1 09:24:26 2023 +0000

    I've added a "Swap VFOs" command to the USB controller, which seems to work.

commit eaf7eb126eea20e61919b3f0a9027975874e5f96
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Jan 31 22:38:22 2023 -0800

    Disabled function that does not work with the cw combo box.

commit 38e6cb2ef4da044fa5c91bdf1cadba8a7dee0249
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Jan 31 22:36:37 2023 -0800

    removed unused functions

commit 3c31687b158c5884f106e570aec620e8c9c73396
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Jan 31 22:11:45 2023 -0800

    Added additional tone and tone mode sync up for split mode

commit a5f3750988323e5762139dc683857bf5754b180f
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Jan 31 22:08:27 2023 -0800

    Cleaned up repeater-related debug code.

commit eea17e5e09c70784ebb8ac251d3686b296590881
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Jan 31 21:52:24 2023 -0800

    Possibly the tone issue is solved.

commit d503df03bd675b8c2cc665a62dd548e3fecafc9d
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Jan 31 18:00:12 2023 -0800

    Continued repeater status work...

commit 17d6493338a57c77348041844953038e6987dd63
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Jan 31 14:03:51 2023 -0800

    Potentially fixed TONE and TSQL for rigs other than the mighty IC-9700.

commit cb7cf6c2185b39ea933ecf6ac3778776342eded8
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Jan 31 09:35:55 2023 -0800

    Added "scope out of range" notification.

commit 2696d2c8d94cf391086be35854078dc454155359
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Jan 30 23:54:45 2023 +0000

    Fix for band +/- buttons

commit 63a7ec0a2149a83ec319622d8d944fcbe81de159
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Jan 30 21:43:47 2023 +0000

    Final tidying for Windows Builld

commit 28c9d1beb2fdfb3434805e732f87b287ba2a2f6f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Jan 30 19:12:42 2023 +0000

    More fixes for windows building

commit db9f6cb933a4806125b149522dc04681330655f4
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Jan 30 19:06:23 2023 +0000

    Improve windows compile fix

commit 2c9c30484477c7497f2f7ba957dcf07c83c64eed
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Jan 30 18:51:50 2023 +0000

    Fix windows build error

commit b2915b9f5e6fdcb73437a63b07f684c770c2b62b
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Mon Jan 30 19:49:49 2023 +0100

    fixed build info for opensuse 15.x

commit 3bdee82501525a9ef27833efb28a17b254c19a32
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Mon Jan 30 19:16:19 2023 +0100

    v1.59

commit 199295b6ae6ef8e90a0619e9ed67c701ca0a2c1e
Merge: c89a7bd fc4bce8
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Mon Jan 30 18:53:20 2023 +0100

    Merge branch 'morecontrols'

commit c89a7bde97effe9b1469ade5c2c4b3f655572dd2
Merge: 5afcfb4 0b37b1f
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Mon Jan 30 18:53:13 2023 +0100

    Merge branch 'rc28-shuttle'

commit 0b37b1f9848cbc9aa97a3148c320140726a1157b
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Jan 30 17:49:42 2023 +0000

    Fix compile warning

commit fc4bce8cd7dd1af84c998ec73b4175da018b1868
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Mon Jan 30 09:10:39 2023 -0800

    Fixed issue with number 3 in frequency button tab.

commit 5d5723fae61d16a4eb51bc38b476e24e13351c58
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Mon Jan 30 08:44:06 2023 -0800

    Added focus protection to the split tx frequency box. It will not update
    while it has keyboard focus.

commit eec2fff4ceccc7d6dba4fd1ec5b7b56453dd4c31
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Mon Jan 30 08:40:10 2023 -0800

    Added focus protection around the offset frequency box.

commit db686b1c8b4b2f1314def845b7cee373285e3c0e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Jan 30 16:27:40 2023 +0000

    Enable USB_CONTROLLER build by default

commit 5afcfb4e1dfb1339af927b26c7b4e3d848b16a1e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Jan 30 16:16:07 2023 +0000

    Fix for MAC compiling

commit cb81bef3bc6dd94383eb9dccf306070ad7bb80e9
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Jan 30 16:16:07 2023 +0000

    Fix for MAC compiling

commit db5f8a08931833fa88e7065e29615ba0de091693
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Jan 30 16:15:43 2023 +0000

    Add buttons to reset buttons/commands

commit 479671386e045da0285c2fa1e559eb09d36997af
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Jan 30 12:01:29 2023 +0000

    Various fixes to USB controllers

commit 3faf8d331c1702e877a59be5960abf835004dd1d
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sun Jan 29 21:54:41 2023 -0800

    Added Mode AM and removed some annoying signed warnings.

commit 3ca82deb6c6a482afe71713eea9ba88f2f250be7
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Jan 30 00:31:33 2023 +0000

    Add some more USB commands

commit 8d8f945cfa6ffef861dca71df459d72633f35b1f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 29 19:46:13 2023 +0000

    Add support for band+/band- buttons

commit 12f7a9cf0aed929849875de8b410fc970902f286
Merge: 9d711f3 78ec6b1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 29 19:26:54 2023 +0000

    Merge branch 'morecontrols' into rc28-shuttle

commit 9d711f3a173f24958b2f80b1494c6736d86dddc3
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 29 19:26:21 2023 +0000

    Add some more USB controller features/fixes

commit 78ec6b1423c51e61746d50dcc60cf8ea9d732650
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sun Jan 29 11:04:12 2023 -0800

    Fixed issue with auto track getting unchecked.

commit 0e9a26dbc10f4d77acabb92aedc8c59f0b9660ec
Merge: 5926c12 e13d854
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 29 18:46:06 2023 +0000

    Merge branch 'rc28-shuttle' into 'rc28-shuttle'
    
    space/typo fix
    
    See merge request eliggett/wfview!15

commit de9f510d769f2a0bb3a61806f4a09787761fdf42
Merge: 2d17737 166905e
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sun Jan 29 10:40:39 2023 -0800

    Merge branch 'morecontrols' of gitlab.com:eliggett/wfview into morecontrols

commit 2d1773720dc1fdd838a0fb9b335ebd3487c1ce73
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sun Jan 29 10:39:24 2023 -0800

    Added split state LED for split.

commit e13d85489db8f92c2d08e9b06d60bfbcfd68caa0
Author: Dawid SQ6EMM <dawszy@arhea.pl>
Date:   Sun Jan 29 19:15:41 2023 +0100

    space/typo fix

commit 5926c12a20b2a998141367218de18a11f5b6343e
Merge: c55ff52 166905e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 29 16:30:59 2023 +0000

    Merge branch 'morecontrols' into rc28-shuttle

commit c55ff52fc033f6460aad9de207a4ebbd68cce05d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 29 13:09:04 2023 +0000

    Remove passband/PBT commands for FM

commit 79decc552b8f5d2ddb7cf1cfc3db71825dd0d895
Merge: 5d5ea25 eb782da
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 29 16:25:34 2023 +0000

    Merge branch 'pbt-fixes' into rc28-shuttle

commit 5d5ea25fb64deeb8df0a72c601edb8657961bba4
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 29 15:15:41 2023 +0000

    Remove a bit of debugging and fix compile warning

commit 7e7dceaa99987e0e1032dc60f672fd9a86d846b3
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 29 15:08:47 2023 +0000

    Various shuttle fixes incorporating  #54

commit 166905ee76f1bed50df2caf4c47b129e5f07308e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 29 13:09:04 2023 +0000

    Remove passband/PBT commands for FM

commit c91d06fea5132c0bada82b581f96edea38f3bf43
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Jan 27 22:34:40 2023 -0800

    Added update of mode to CW sender. Modified cw sender UI slightly for
    spacing.

commit bc508565ee312e519fb1fa447b2ed153c32667b1
Merge: 264badb eb782da
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Jan 27 22:11:04 2023 -0800

    Merge remote-tracking branch 'origin/pbt-fixes' into morecontrols
    Fixed bugs in offset frequency

commit 264badb9c92e1a7763d433a84a85ac54285d6325
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Jan 27 21:48:26 2023 -0800

    Added offset command to periodic polling

commit 6976120d48573d96a6daeb1fa6e467ef15510d91
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Jan 27 21:42:57 2023 -0800

    Working manual repeater offset, split, tones, tones on sub vfo, etc!

commit 8903c7cb07688734e1a0acea187799b69159bd0a
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Jan 27 14:55:35 2023 -0800

    Forgot the signal/slot out of the queue!

commit b30230fc0567e965cf11825326f3d2c10b88628c
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Jan 27 14:47:18 2023 -0800

    Fixing broken TSQL

commit 2c6884d827459703ee2433171129bd63b5946983
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Jan 27 14:05:50 2023 -0800

    Added sub VFO repeater access and tone control, hopefully will work for
    IC-7610 and IC-7850.

commit 404d6ddceb0c97e8ccc1912bd36d9e304bb0d16c
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Jan 27 12:52:12 2023 -0800

    Button name clarification on M->S

commit f660681c5344488cae92beef06adb2de94f66b92
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Jan 27 12:44:23 2023 -0800

    Added MS and AB VFO operations.

commit eb782da0108a885bb3e98dd00759ff8f52769b86
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 27 10:36:28 2023 +0000

    Query PBT status after reset

commit fa41571eca60fd0e1d584d3b59e1e120a5ba07f3
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 27 02:04:51 2023 +0000

    Fix for remove_if

commit 5d0a95cd00541320ecbf17f570da8457f69f359b
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 27 02:00:11 2023 +0000

    Use remove_if() for command queue removal

commit 5dc9107f00325e913ad92b89fdac61525cfadbe2
Merge: 5128ea0 5db5f40
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 27 01:51:10 2023 +0000

    Merge branch 'master' into pbt-fixes

commit 5128ea0e69e4764342720b9df90cdd0bea0ee4f8
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 27 01:41:35 2023 +0000

    Lots of fixes for PBT and command handling - experimental

commit 5db5f40ed4ac8c7682e28c39c629f08509809f9b
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Thu Jan 26 07:35:23 2023 +0100

    small compiling fixes and magic pbt/cw calculations

commit fe36ff1ac73dee5b14df534b50454587c95fe4bd
Merge: 13f06e1 4950127
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Thu Jan 26 07:33:00 2023 +0100

    Merge branch 'pbt-fixes'

commit 49501273d02e02df7b2b1ca58be7a576daa1a19f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Jan 25 21:37:12 2023 +0000

    Fix for shuttle resource files

commit ea46d6c625e02c4869bd5fcd42c191f111a590f7
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Jan 25 21:22:06 2023 +0000

    Add math.h for cwsender

commit 13f06e1dd7596a83f1686be7e632f62121574036
Merge: 6df7099 ded6bd1
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Jan 25 22:17:23 2023 +0100

    Merge branch 'pbt-fixes'

commit ded6bd1adeba5790b1457fa1afcae651f322f045
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Jan 25 18:01:24 2023 +0000

    Add CW Speed spinbox to CW sender

commit 4b40e20d9825e66c7b7cd77371d3f1e8801f06ae
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Jan 25 15:39:01 2023 +0000

    Remove some debugging

commit 6df7099cb3ac8d48fdbff501cc0c1a7e2b236341
Merge: bc0f9f0 5483732
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Jan 25 13:17:03 2023 +0100

    Merge branch 'pbt-fixes'

commit 54837327663bbb1b0aff5bb8cde45e1ebc4d63ee
Merge: 8b8668a 7f97625
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Jan 25 11:42:13 2023 +0000

    Merge branch 'master' into pbt-fixes

commit 8b8668a6deacb528cf9e0bf7311465966abc1614
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Jan 25 11:41:50 2023 +0000

    Finally PBT works in all modes/filter widths/cw pitch settings.

commit bc0f9f01c7333285214d3b847517625de2a63899
Merge: 85e38d9 be0aee6
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Jan 25 09:16:36 2023 +0100

    Merge branch 'morecontrols'

commit be0aee6183286a73604f5eba7c4b2d57b530d383
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Jan 25 00:15:20 2023 -0800

    Split mode is working, can also live-sync frequency and mode.

commit 85e38d940f2874bbcbdcbbb619203732b0f1c146
Merge: 7f97625 a1d3f93
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Jan 25 07:47:41 2023 +0100

    Merge branch 'pbt-fixes'

commit 4fea16c356189b06caad2adb2e5399dbbcc01945
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Jan 24 16:35:46 2023 -0800

    Refined split interface controls. Offset is KHz, automatic tracking mode
    added.

commit ae64677c4213c0e0f2789a4388f5f2120c1574ff
Merge: 0a7f6b0 7f97625
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Jan 24 15:17:17 2023 -0800

    Merge branch 'master' into morecontrols

commit a1d3f93dad7141a54a4ffd5585eaad0ee7774591
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Jan 24 20:12:23 2023 +0000

    PBT should now display correctly in ALL modes!

commit 7f97625e38eec48affcb4abe174802636a7b07ad
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue Jan 24 19:49:43 2023 +0100

    modified CHANGELOG

commit d53c9b028e1e962b80334bbeaac794d4572d9939
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Jan 24 10:37:26 2023 -0800

    Added a rapidPollCmdQueue for things we need to poll rapidly on not-s-
    meter-intervals. Moved command types to wfviewtypes.h.

commit 0a7f6b0b6547087841bd0f5da1f962250cdda49c
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Jan 24 09:21:09 2023 -0800

    Started work on the UI for a split control interface.

commit 2df82d4f922fcebd256816d41839977840d08e5b
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue Jan 24 17:22:34 2023 +0100

    bumped to v1.58

commit 152f71c6cf2aeb811da7ff795cd3cfd05c8cfd20
Merge: 2ada127 4137fce
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Jan 24 11:20:01 2023 +0000

    Merge branch 'cwcw' into filterwidth

commit 2ada127124b86595495acf865553ff058f593b46
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Jan 24 11:19:26 2023 +0000

    Delete cwsender.ui

commit 646ee94341d1421bdf676791cc9c1be9be9fd644
Merge: b89ae04 68ed3dc
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Jan 24 11:11:20 2023 +0000

    Merge branch 'filterwidth' of https://gitlab.com/eliggett/wfview into filterwidth

commit 68ed3dc56bc7bfedd49ade6dd0b5fa78dea39ffa
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Mon Jan 23 20:56:17 2023 -0800

    Fixed issue with older version of qt.

commit 4137fce70cb5eed17ce2c1b1c76a83302617d563
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Mon Jan 23 20:35:32 2023 -0800

    Minor changes to UI file to get it building and to restore Enter key
    functionality.

commit 7ebfcdefbdedfebf6db48139fc4ad076ab3966fd
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Jan 24 01:33:57 2023 +0000

    Make cw textbox a combobox

commit b89ae0459e8c11bebf4e0617713c9913590d587a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Jan 24 01:33:57 2023 +0000

    Make cw textbox a combobox

commit 525f984f01c71333f742d12c7556e6b53e82078a
Merge: 9c3ca56 cba4ad3
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Jan 24 00:40:08 2023 +0000

    Merge remote-tracking branch 'origin/cwcw' into filterwidth

commit 9c3ca568edf403a53cc45c5a824fcfe519bb3fbe
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Jan 23 21:34:35 2023 +0000

    Make PTT Enabled by default, user has the option to disable it. #74

commit 4e89c91f0d9e3b2a877619b2b91199a5218c721a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Jan 23 21:27:33 2023 +0000

    Fix cosmetic bug #62

commit f93dd8326840dc97befb01802ec7ba57f03955c5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Jan 23 21:26:43 2023 +0000

    Remove some commented code

commit 9349679e5b158283bc38e29aa6c93d3a07d5ce46
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Jan 23 13:44:15 2023 +0000

    Various fixes

commit cba4ad345b6d4a75ebbe54c8850988c744947883
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sun Jan 22 23:41:31 2023 -0800

    Fixed up many key shortcuts, added HJKL key shortcuts.

commit 3297f6620851c68abc86c36d9247e1f70d89c762
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sun Jan 22 21:10:09 2023 -0800

    Mistake in tooltip keeps man from sleeping. See page 4 for full story.

commit 294fac72c6cdc90f17a56a63cc586ee983d57c71
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sun Jan 22 21:04:43 2023 -0800

    Added some more CW-related tooltips for usability.

commit 27dd547e2a9ee986bac6db3fb9942a45e860b07c
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sun Jan 22 20:59:01 2023 -0800

    Added some tooltips and mode-awareness to the CW window.

commit a205e003c9aea598c9d1def6c53ed3b9112e0a87
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sun Jan 22 20:38:27 2023 -0800

    Lining up the text a little better with printHex.

commit 4a0f5a7f5944ef734bbf685c4d92ddd672938d82
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sun Jan 22 15:24:21 2023 -0800

    Fixed signed issue with waterfall data.

commit e7091cb2c2396fa1fb88d068673b1daacc444bf0
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 22 17:19:44 2023 +0000

    Make PBT display correctly

commit deade9a38e2edec144fa9cdb56feb077a4ecf228
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sat Jan 21 13:38:39 2023 -0800

    Added universal printhex header and functions. Changed radio traffic to
    log to new category "rigTraffic".

commit c5c01cf81ddbba5e84b7181101601db2f021b414
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sat Jan 21 13:06:47 2023 -0800

    removed a bit more debug and added some focus-force code for the CW
    window.

commit 7a4f708e684412469bd10a8e2f822e9c15ae29d7
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sat Jan 21 11:18:26 2023 -0800

    Added Keyer macros to settings.

commit c26409b2a8012abddb8bd3517008e905b53bbfb9
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sat Jan 21 10:43:54 2023 -0800

    Now with padding

commit ff507185635bf3cd2fd0d9af9a29c291f3b1a07e
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sat Jan 21 10:31:04 2023 -0800

    Added CW sequence number

commit 2f098be1a9c7436726b50b403d4101add4f9372a
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sat Jan 21 09:58:35 2023 -0800

    Macro buttons are now filled with macro text, up to 8 characters.

commit f772801b02ebadece101f56f2d3900066bd015f8
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sat Jan 21 09:37:36 2023 -0800

    Fixed WPM and removed some extra debug.

commit fd1dc860c176b5a705643d81fce53d990124186e
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sat Jan 21 09:18:15 2023 -0800

    Added CW logging category and additional (and needed) debug info for the
    CW features.

commit 5664842f470f55328b07d6dc1d6db96df17275ca
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sat Jan 21 00:25:41 2023 -0800

    minor change

commit b3258c57a5df26d9aaaa26190d1c59e10888f0c5
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Jan 20 23:23:47 2023 -0800

    Added read/write for break in mode and key speed. Macro buttons working
    although not saved.

commit 23c191a091011cae14aabd3164e9ac0b611116a1
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Jan 20 22:11:30 2023 -0800

    Morse code, initial commit. Does not read back WPM and breaking mode
    yet, although it can set them.

commit 93d20cc1ba93bfebcea6572a3c405d5b1945637a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 20 11:24:29 2023 +0000

    Fix compile errors after merge

commit ee4f00e1532fce5073bad24d6ec50ecad8f89255
Merge: c98d709 1e79d5d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 20 09:31:21 2023 +0000

    Merge remote-tracking branch 'origin/horizpbt' into filterwidth

commit 1e79d5d32d33cbf49bf5d1dcb8d1c22d0d2d260c
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Jan 19 23:02:54 2023 -0800

    Changed transceiver adjustments to be horizontal. Added passband width
    control to the transceiver adjustments.

commit 18281798d6e95f6f9d8da7063f02b0e6794bac45
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Thu Jan 19 19:07:04 2023 +0100

    efixes pushed to master

commit c98d7094f92d5b8ced2619ac43559b259ba0ae74
Merge: 037f052 71326cd
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 19 16:18:29 2023 +0000

    Merge remote-tracking branch 'origin/efixes' into filterwidth

commit 037f05297dcdb9fe1f852f79993511b4605114a2
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 19 16:16:47 2023 +0000

    Start to fix PBT

commit 71326cd3851ba1019665fa327345263d36a9493b
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Jan 18 23:17:28 2023 -0800

    Added preference for automatic sideband.

commit b99249692fe855f5ee9f8875bb80db50c8d19584
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Jan 18 22:50:18 2023 -0800

    Cleaned up some old mode selection code.

commit e9e042fad8adf43038d97016dbdce776732b27a1
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Jan 18 22:27:06 2023 -0800

    Change mode selection code to use the command queue (as it should have).
    Beginnings of automatic sideband options.

commit f224068ec1bdef7c13fe72734553ab44bfb3b3f5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Jan 18 19:19:48 2023 +0000

    Fix LSB passband resize

commit e94c3e53c5e80c749a350947c4f5520577acb0a7
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Jan 18 18:52:05 2023 +0000

    Correctly handle filter width (remove PBT for now)

commit 0c27bf72084971ee8bb0166984fa64ebcfc26dad
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Jan 17 21:49:17 2023 -0800

    This is a stylistic thing that I saw which I could not let go.

commit 05295acc6f87d7555a1f2352d0f5b5833019859c
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Jan 17 21:43:58 2023 -0800

    Added version mismatch warning messages.

commit fc753ffd39357f49035fc14a30b299227208ead4
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Jan 17 21:13:16 2023 -0800

    cleanup of prefs

commit f820d289b2b92a0ebe28176773c85a6468f553eb
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Jan 17 21:09:54 2023 -0800

    Re-arranged the preference structure to match how we save the
    preferences.

commit 9c0aea01026c41827cb953a8cc1f1b7795528fe6
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Jan 17 20:53:34 2023 -0800

    Changed Show More button to also raise the transceiver adjustments
    window. Added "reset PBT" button to the transceiver adjustments window.

commit a0f7d5d86feae57db720029938cca2185b6a9e4c
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Jan 17 11:20:08 2023 +0000

    Remove attempt to reduce PA latency

commit a6ea32d996593048d430fdb1688f58088944a186
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Jan 16 22:14:09 2023 +0000

    Allow resize passband when moved.

commit 450ccefb6038d284af3c2a185d20bef84bdd7d13
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Jan 16 13:06:04 2023 +0000

    Remove debugging messages

commit ca84555c15d406dddfaaf234f1e59028e706869f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Jan 16 12:24:22 2023 +0000

    Add move passband

commit 8fca384135337bd18bc09ab520dab0c746db8861
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 15 12:27:23 2023 +0000

    Hopefully fix building with QCP < 2.0.0

commit 794a8b71c878448267986be37d5bd07801637ef5
Merge: 3baf3ea ffd7abb
Author: Phil Taylor <phil@Phils-TouchBar.local>
Date:   Sun Jan 15 11:15:32 2023 +0000

    Merge branch 'filterwidth' of https://gitlab.com/eliggett/wfview into filterwidth

commit 3baf3eae65fc522aad9befeb0b51b49010c162c2
Author: Phil Taylor <phil@Phils-TouchBar.local>
Date:   Sun Jan 15 11:14:28 2023 +0000

    Fix crash when no audio device is found

commit ffd7abb3767a7ba58a45a78cab7868044e33e7a8
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 15 10:37:21 2023 +0000

    Disabling compiling USB_CONTROLLER by default

commit 120899e9f8d9f2d69bd835982ccfcade42c61755
Author: Phil Taylor <phil@Phils-TouchBar.local>
Date:   Sun Jan 15 10:34:54 2023 +0000

    Various fixes to allow Qt6 compiling on mac

commit b468c514df891312af7102654ac98d48c90ef5a5
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sat Jan 14 19:59:04 2023 +0100

    added var filterwidth

commit c221fb4a04006884e0fec8e16108828049c7eff1
Merge: 596607e c3ba36e
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sat Jan 14 19:58:02 2023 +0100

    Merge branch 'filterwidth'

commit c3ba36ebfdda9d2ef6b2d29274480e026cd3d0a9
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Jan 14 11:23:19 2023 +0000

    More mac stuff

commit d1ec010e68f2961ef9c60fe891dbce638b930113
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Jan 14 00:40:28 2023 +0000

    more mac fixes

commit e2f464620794f5b09bc5778eb87b7b1d1518020a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Jan 14 00:35:27 2023 +0000

    See if this fixes issue with mac compiling?

commit 19818dc3b3f30b2efaa6d5bab5d8af5150d398fd
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Jan 14 00:21:55 2023 +0000

    Fix for fix of mac build!

commit 58f86f029bed3096ba5b2f3178a69b50cc81f871
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Jan 14 00:17:53 2023 +0000

    Fix for mac compile

commit b285b81d721bd0df9240cad3c6166d293f1405e9
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 13 21:07:55 2023 +0000

    Rename to IF filter width to match documentation

commit 8f98696bec315f9ad0a2c74322097dd04b63f340
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 13 21:06:50 2023 +0000

    Change wording

commit 4f4cd5146c0aecb846f8d1ad53b94563ded4773e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 13 21:04:10 2023 +0000

    Display current passband on status bar

commit cac454cbf64b87056f3e3c6501d9c110220e05e1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 13 20:53:51 2023 +0000

    More tidying of code

commit 3e46b5a42d18d8c8040014d81567765fef4667f9
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 13 19:40:38 2023 +0000

    More tidying

commit 41e5e4b1c30768865ac2046296fda288be1acbab
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 13 19:28:34 2023 +0000

    Another fix

commit d48bdfa6e227963aa8fa20da63aa4b5d921de8ca
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 13 19:19:04 2023 +0000

    Fix parentheses warning from GCC

commit 4ee87411577bca983d26f84b1d2d03560eae3ac1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 13 18:50:06 2023 +0000

    Few fixes to passband dragging

commit efb953a8c9f68e2be5558621411310aca9e52032
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 13 18:14:11 2023 +0000

    Allow on-screen adjustment of filter width

commit 596607e95ae09a42e1a7ebf2f33e90a057d8d4b0
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Jan 13 13:41:00 2023 +0100

    amended CHANGELOG and WHATSNEW

commit 5c210f0699baf6c861dc87491747089b9f69f69f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 13 12:26:11 2023 +0000

    Fix invalid filter width being sent to rig by rigctld.

commit 996c8132515a14472fa50de41ff7a0d55edb6299
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 13 10:55:59 2023 +0000

    Fix another minor issue with wfview.pro

commit 8f5016a2f4e377eb7a7488f5bc49870b0526cb56
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 13 10:44:11 2023 +0000

    Fix problem if USB_CONTROLLER isn't enabled

commit f86a721a05e2517f32a9a345ee8eba58606adb49
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Jan 13 10:57:00 2023 +0100

    cleanup

commit 7052dbf6efa4405f801030dede2b58e13d0ebda4
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Jan 13 10:53:51 2023 +0100

    shuttle merged; not automaically built in due to the current state

commit 5d2089c3e17972576499ffb3ab2de4f6d9ee6ecc
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 12 20:28:45 2023 +0000

    Allow riigctld set_mode command to not set passband

commit 460641972ad536b509328a02375476928fac11f3
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 12 20:16:23 2023 +0000

    Neaten wfview.pro

commit b2d62dab3c165f2551f2b2b74d81ceee1329d1a5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 12 19:52:21 2023 +0000

    Fix conflicting items in ui

commit c0a70ae0b707d203a9c9204d99a433d6d3731ea5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 12 19:47:55 2023 +0000

    Fix logfile for wfserver

commit b45bf9ce41c6a35075333ce1d38b2776eb2091f1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 12 19:39:35 2023 +0000

    Fix compile issues

commit 0d9a01cd1f4efa209b008a2aef739c37d5e5351c
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 12 19:20:52 2023 +0000

    Merge latest master and make USB controllers a compile time directive

commit 93f18fae9e0ad679c6104486e28679e7b63af864
Merge: 14fc079 29897e5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 12 18:50:18 2023 +0000

    Merge branch 'master' into shuttle

commit 29897e57956d67136be1283f1d4efd11226c453f
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Jan 11 19:24:56 2023 +0100

    CHAnGELOG format changed as it takes too much time

commit 1deaec3720b5937b6b86fd73f015af5ab85b160b
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Jan 11 19:21:08 2023 +0100

    v1.56 pushed -- mostly audio fixes and QT5/6 compatibility

commit b7f83a7807ac786c9b50a9a5bdaeb99877d656c8
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Jan 9 10:44:02 2023 +0000

    Rename in/out Formats to avoid confusion

commit 8a4b9f193423fe821cb78611417e2f61961646d0
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Jan 7 20:52:07 2023 +0000

    Fix all audio formats and some compile warnings!

commit 03ebafae5b0af797e5367ec6cef50976a0405179
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Jan 7 11:36:53 2023 +0000

    Fix typo

commit 00a5c78e98076c77ae16782796a611bf4b480dc7
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Jan 7 11:28:06 2023 +0000

    Fix building wfserver

commit d9ff07486dcc1884a39c01f7962a12a16e4af638
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 6 10:42:31 2023 +0000

    Fix compile error on Linux

commit 4a8de3c0c990d05123b5c14f4558a4d3e2981308
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 5 20:00:31 2023 +0000

    Add function to handle connect/disconnect

commit 3e149ee7422314d5e47338b5f6d92679e81d4e60
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 5 19:37:53 2023 +0000

    Add option of popup alert

commit 373b67048291a3555f2243502caa1050fe263faa
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Jan 3 12:02:10 2023 +0000

    Change serial port signal for QT6.

commit 7bb5e0f9c5dcfcdb610994bf7ea57e269f0f92b5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Jan 2 20:07:34 2023 +0000

    Various audio fixes (needs checking with Qt5)

commit 322cc54ad6210ab9b1dc1587e688d438f678eaa5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Jan 2 17:56:22 2023 +0000

    Fix portaudio

commit 4e62f365cd5c9b489cadf89bb5906915d6d803b1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Jan 2 16:11:48 2023 +0000

    Fix for QTAudio when using QT6 and above.

commit 24ac791ad48c293e7bcd99d2c12e96de8eb05366
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Mon Jan 2 15:49:33 2023 +0100

    updated to v1.55, see WHATSNEW

commit 5dabcb34df994e99f4949b02706676af56f6c119
Merge: b3f76fc 39dacf5
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Mon Jan 2 15:42:38 2023 +0100

    Merge branch 'QT6.2'

commit 39dacf54f2dabc30da73c5049a56ea31d9f29421
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Jan 2 13:39:59 2023 +0000

    Fix wfserver device detection

commit e6a515273428f6905d066d31479fa394009010a5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Jan 2 12:38:05 2023 +0000

    Prevent memory leak on exit

commit b3f76fce67e25898ea1a371baf531f5bee8f5989
Merge: 0d2d9ba 8ead34b
Author: roeland jansen <roeland.jansen69@gmail.com>
Date:   Mon Jan 2 08:12:00 2023 +0000

    Merge branch 'standardHFfix' into 'master'
    
    fixed missing 160m band
    
    See merge request eliggett/wfview!14

commit 436428b3a9d31d4e8d100e8de16885bacdf2df55
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Jan 2 01:11:25 2023 +0000

    Support hotplug audio on QT6+

commit a327b2690e12297a68828d3baa792334bb9acf40
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Jan 2 00:21:37 2023 +0000

    Fix resampler compiler warnings.

commit 7348fc2ed0b973c4c32bbd300419c0f15b3700e0
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 1 21:40:46 2023 +0000

    Remove Exception from RT audio as it doesn't exist in newer versions of RTAudio

commit ff6dd19e5336382d1533a453cd6dacbd80797d08
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 1 20:56:13 2023 +0000

    Tidy-up device enumeration for Qt audio

commit db0112c8a355e6a61ed39d7c4f1c1765cbff1a52
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 1 20:51:52 2023 +0000

    Log enumeration of audio devices

commit 6199c648c172584de76c76ea2b169f83713c9f5c
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 1 20:28:59 2023 +0000

    Fix some old warnings

commit 32528a02b8cf424070734d1227729082443542a4
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 1 16:35:47 2023 +0000

    Fix codec selection issue in both QT5 and 6

commit 91ce6040e0d22d4930dfc34b02c2a475acd2e91c
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 1 16:17:48 2023 +0000

    Make sure compilation with QT5 still works

commit 8ead34b253d5885ec3aa54a1b6bed8c4b363ba5a
Author: Dawid SQ6EMM <dawszy@arhea.pl>
Date:   Sat Dec 31 02:02:16 2022 +0100

    fixed missing 160m band

commit 891fd68a524e656792133eb3482ecf53c1cf66c6
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Dec 29 16:06:42 2022 +0000

    Fixed after merge

commit f4c455396a486fbcfb0eb36784f40f88109196da
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Dec 29 15:26:41 2022 +0000

    Merge branch 'audio-fixes' into QT6.2

commit a89af116e952f81d90c54c0972a20df274198574
Merge: d1ffbe8 aabe690
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Dec 29 14:16:22 2022 +0000

    Merge updated

commit aabe690bae6aa8f9e1f7e0f427aea674a15c08a8
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Dec 29 09:21:25 2022 +0000

    Fix compile errors/warnings in Linux

commit 14fc07905ea37fe1a92b7fbc53e7441eedf58727
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Dec 29 00:28:42 2022 +0000

    Try to make dial smoother

commit 0aca239b2ae548d0075e25df36797ba50b812916
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Dec 29 00:25:14 2022 +0000

    Add some more debugging

commit 2bf14520d8e982f8aff71af23bcd1032b2b8d623
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Dec 29 00:06:03 2022 +0000

    Make comboboxes smaller on Linux

commit 0b51d5bb05a7169a14399d7497da09d0e55fadc4
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Dec 28 23:55:32 2022 +0000

    Make combobox smaller and add scrollbar

commit 72e8b2ec2f6c7aabb8e37b49c3f7ac4774ffb3b2
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Dec 28 22:45:42 2022 +0000

    Illuminate PTT LED on TX

commit c3fa41490a670be53143ec83dcdbe349f358d323
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Dec 28 22:25:41 2022 +0000

    Make RC28 buttons work

commit 978a444759134293f247f8992dfe21a24ec00fde
Merge: f232ff2 3aa4375
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Dec 28 21:38:39 2022 +0000

    Merge branch 'shuttle' into 'shuttle'
    
    RC28 started to work (no LED feedback yet) MVP done
    
    See merge request eliggett/wfview!12

commit 3aa4375bdfbdb6af5da9b361bbde64d88f191819
Author: Dawid Szymański <dawszy@arhea.pl>
Date:   Wed Dec 28 21:38:39 2022 +0000

    RC28 started to work (no LED feedback yet) MVP done

commit 7dfdc5e3e2434766a787214cba273a35be42bc62
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Dec 28 16:57:05 2022 +0000

    Move audio device selection to dedicated class

commit f232ff2396c6564e1f6c9e348dca36420e00dd2f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Dec 28 10:21:45 2022 +0000

    Make it compile.
    
    Currently band switching from Shuttle is broken since I changed the bandtype to a struct. I will fix this soon!

commit d9e839b6f20932987765d6b32d59b3cf3498d598
Merge: 5ffbfc0 0d2d9ba
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Dec 28 10:07:02 2022 +0000

    Merge branch 'master' into shuttle

commit 0d2d9ba23ee002e44b778a22c17b6965bad91221
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Dec 28 09:57:09 2022 +0100

    bumped to v1.54, see WHATSNEW

commit 28d3c55e2fb30ded348e636b56683ceef828ca68
Merge: ac3894f 093e6e7
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Dec 28 09:54:37 2022 +0100

    Merge branch 'termbinfail'

commit 093e6e799cbf5d6a6c85e02fef9a691af769619a
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Dec 27 19:37:12 2022 -0800

    Fixed termbin button issue when connection fails. Cleaned up some
    logging.

commit ac3894f897322f9fbec23833aca6334175b9211d
Merge: 8d3406a e8142a1
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue Dec 20 11:49:07 2022 +0100

    Merge branch 'server-fixes'

commit e8142a11bab43197039abc0b38f7d454064e4577
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Dec 19 20:04:07 2022 +0000

    DIsable tcpserver on wfserver

commit 3bf095020c31f9a3ce96d58386b8ccbe0e0ab921
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Dec 19 19:41:23 2022 +0000

    Fix serial port detection.

commit e56294406a55ccf86413a6006f7e38ff4b141822
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Dec 19 19:26:51 2022 +0000

    Swap logfile/settings file on servermain

commit 8d3406a8ae33ee5b994a1cf5ab90089fe5dbaf12
Merge: 0b39b91 f6b1428
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sat Dec 3 12:32:41 2022 +0100

    Merge branch 'resetpeaks'

commit f6b1428267ce8da15e9c42ff6e205e6038e7f3a2
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Dec 2 13:32:02 2022 -0800

    Now tracking the plasma buffer user-desired size properly.

commit 82dfb9982239c8762b8e9475cb4b88dca0d4d7e6
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Dec 2 12:50:05 2022 -0800

    A little cleaner on the plasma mod.

commit 8cfb3f70e5d6008024332f4c5804f60da7f45e70
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Dec 2 12:38:08 2022 -0800

    Added clearing to the plasma underlay display.

commit 0b39b91665edea66105f937b2ccc3263e2e8f33b
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Dec 1 13:16:05 2022 +0000

    PA stop stream if latency exceeded and start again when data is received.

commit 65ba69822a3d548b000d7729e14d2ef9b3ba3362
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Dec 1 13:08:29 2022 +0000

    Attempt to fix PortAudio issue

commit f91dea47b518462deafac02991fbc8e2b3375e20
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Dec 1 12:32:10 2022 +0000

    Stop log warning on wfserver

commit 9367d605f4ba0fa07ab2e9eced0f10271634c893
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue Nov 29 10:30:53 2022 +0100

    fixed WHATSNEW formatting

commit 508f8700623661d42d8febc76bf8c2872e8cd08b
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue Nov 29 10:29:10 2022 +0100

    CHANGELOG and WHATSNEW updated for 1.53

commit 06e4567b124964d56e2b8310f56cd490e378eff6
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue Nov 29 09:40:07 2022 +0100

    bumped 1.53

commit 4c76cf6320750095ce34feb17bd7633a65972556
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Nov 28 09:44:42 2022 +0000

    Add missing prefs

commit 0a1a7b23361dd84481cdda62ce55a0950feb13ce
Merge: 81f9e9b 8a1347f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Nov 28 09:27:53 2022 +0000

    Merge remote-tracking branch 'origin/pollprefs' into various-fixes

commit 8a1347f17c69f1665a0fffb4c21ec1becfaad0be
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sat Nov 26 21:45:27 2022 -0800

    Added some tooltips that nobody will notice.

commit 4f6da002064970928305efc86a90f68424599bd0
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sat Nov 26 21:43:47 2022 -0800

    Added polling preferences and changed UI elements to radio buttons with
    spin box.

commit 39caf4190543abb737798492515e825158feae2c
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sat Nov 26 20:53:12 2022 -0800

    Added program version number to the settings file. Currently it is merely
    written to and not used.

commit b25c8a93f3f0c7fbb860ed645bf62e0f159bc2f3
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sat Nov 26 20:45:32 2022 -0800

    Moved preferences to prefs.h, which should make it easier to add new
    preferences. Moved custom types (as it seemed useful here and there) to
    wfviewtypes.h. Let's use the wfviewtypes.h file for any kind of datatype
    which more than one module can make use of.

commit 81f9e9bfcf6dbc56a86aeb6d729b0957638f05e9
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Nov 26 19:10:59 2022 +0000

    Update some rig definitions to work with new band struct.

commit 7138ef69ea8d2dbc8c7054c8afd57dc8b10c1487
Merge: 1fe1916 afcf087
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Nov 26 19:02:11 2022 +0000

    Merge branch 'master' into various-fixes

commit 1fe19166f34c29c51fc51050570a1ae2b3204e38
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Nov 26 19:01:16 2022 +0000

    Add some more commands

commit afcf087a70ea2fa224294b0bc170271bc109e1d6
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Nov 24 11:43:27 2022 -0800

    Fixed color preset zero issue.

commit e1e9167622d98b78224f82f19cc4eb9e90b5973a
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Nov 23 23:26:11 2022 -0800

    Fixed unusual set of conditions in which manual CI-V address would fail
    to identify the connected radio. The fix is to continually poll the RigID
    until one is received. Radios that don't support RigID will need to
    check both boxes in wfview (use rig as model number) to manually ID the
    radio.

commit 9a63a6c4c439d46d089e8ddc74caa0bb64f28e22
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Nov 23 22:45:29 2022 -0800

    Fixed minor typo in debug text.

commit bb5ae0323527e7d5f398d95b4113b78e1101d16e
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Nov 23 21:56:36 2022 -0800

    Cleaned up rigidentities

commit 45244c7c640b50d7e03055107df442f8fb12172d
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Nov 23 20:44:32 2022 -0800

    Fixed annoying indentation issue.

commit a5ac42fe57bc1860614ffa5d655fc2b02425de5b
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Nov 23 16:59:10 2022 -0800

    Fixed broken RTS preference. Added preliminary (and untested) support
    for the IC-703, 737, 738, and 756.

commit 9da6f770780d578c3f742990e00e53e3ec817ac3
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Nov 23 13:36:13 2022 -0800

    Fixed issue causing the current color preset to not be load (previously
    preset zero was always used).

commit b57e4ebd769bf551372e0432da02ea8bcbb13a82
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue Nov 1 12:16:55 2022 +0100

    added libs for suse builds; it also builds on leap 15.5

commit a1252eec1ed1be0df10379fe37ecb30443249bba
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Oct 31 13:33:47 2022 +0000

    Fix passband warnings

commit 29060eb43e8ab0b962fc53c7832775e1a30dd02b
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Oct 31 12:39:27 2022 +0000

    Add skimmer support (setting not saved)

commit 209c5a9b0bd5bf29499517cfac37ac8c1c659db2
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Oct 31 12:15:56 2022 +0000

    Key KEYSPD

commit b46dfb8f3e8163682673a5320e141ddf83c88cd8
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Oct 31 12:15:42 2022 +0000

    Add AR Cluster support

commit d47b9be7e1dfbd2e18fb7a0fc11344f2dae68331
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Oct 31 12:03:04 2022 +0000

    Add more commands to rigctld

commit f7c532007ea3f4c1c19b434537fc82e961c3fa99
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Oct 29 15:12:30 2022 +0100

    Make bandType a struct containing frequency and default SSB mode

commit 429aba7d68bee1fd8b02306f294b25e5e6284736
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Oct 29 00:20:27 2022 +0100

    Remove spot display processing timer

commit e49e00c3adf6b28ff518e48c529e503fa5fcbaeb
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Oct 29 00:18:04 2022 +0100

    Silly error in setting default cluster

commit bf340e7790a7bebf481ee0696c14d081c97e64a2
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Oct 28 20:04:32 2022 +0100

    Send bye when disconnecting from cluster

commit 3a07830d47b0b8d8a3b2035e0a54a936c17187d6
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Oct 28 20:04:14 2022 +0100

    Add passband to rigctld and allow setting

commit 5ffbfc0f1d4439e44af959a6a568015b1f14658c
Merge: eb363db 103dc9c
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Oct 25 10:19:56 2022 +0100

    Merge branch 'master' into shuttle

commit 103dc9c86adff640722557f2bf770cab06ac1575
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue Oct 25 08:25:02 2022 +0200

    combobox resizing fix

commit 034ec9066236c2fbd00df3ef0ba2704d51d853aa
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Oct 24 00:09:18 2022 +0100

    Stop it cutting off some devices

commit ce9ab6d7ff4c5a5a1d052c9f3496cf5c56508268
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Oct 23 23:45:53 2022 +0100

    Resize according to boundingrect

commit e2338edde6ee75243d4cc8b64b4f624e50c51eba
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Oct 23 22:58:23 2022 +0100

    Resize based on font size

commit 16dd595f52ef122e694b89d6822e2a2a6e6f8baa
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Oct 23 22:45:11 2022 +0100

    Try new universal resize code

commit eb363db09c59336c763c050e9e6ad9f14145a780
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Oct 23 19:32:55 2022 +0100

    Try analogue?

commit b1b6f26b7dc7a34969ca9b3a8d495459d7a5b755
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Oct 23 19:20:24 2022 +0100

    Update wfmain.cpp

commit 4452e0127bf8bcd05cc88f66bc18d9c43cb2117d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Oct 23 19:13:11 2022 +0100

    More buttons

commit b0ebed916c6db4d9b537ea908d6b627587e91123
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Oct 23 19:08:31 2022 +0100

    Update usbcontroller.h

commit 1c8f08a0775d7b00177fb7c3e535ab6a65039414
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Oct 23 19:06:48 2022 +0100

    More button assignments

commit 91b4ab9f9473c5e8b65f2be7421080b7cbd962cc
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Oct 23 18:56:31 2022 +0100

    Reorder button assignment

commit 75aab75b46888226ccafa40054afee346d760839
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Oct 23 18:54:18 2022 +0100

    start to support analogue

commit d753315c552254eb1effbf7afa589395096724b0
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Oct 23 00:17:50 2022 +0100

    Some more buttons and add commands

commit 6a0997017e37d23af087efeaccaa04b05d9d0b96
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Oct 23 00:02:44 2022 +0100

    Add some button mapping

commit 6255542ee16b4e73f35d00dec9c314e2b9ef2dd9
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Oct 22 23:50:48 2022 +0100

    Map some buttons

commit a2c348f646822475b71aa5d0015e9b3e46688f77
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Oct 22 23:43:49 2022 +0100

    More changes

commit ba07c26a2b7c332efa124f9ebe3b18a364788918
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Oct 22 23:36:19 2022 +0100

    More gamepad stuff

commit 2dad92b9f66ddb895dd9f66b2d1bfb0071714b6c
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Oct 22 23:30:15 2022 +0100

    Update usbcontroller.cpp

commit 45c7429c40008b1a5e33024880a426e80bb4b02d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Oct 22 23:27:04 2022 +0100

    Make retransmit  messages debug()

commit ecd93b384111bd2e515c06e0742d96c595250a72
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Oct 22 23:23:30 2022 +0100

    More gamepad

commit 09cd0ba541719f9abad05abfb4eb33fc2206cfb8
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Oct 22 23:19:52 2022 +0100

    Update usbcontroller.cpp

commit eff37c586c0678e05a95acd051d5f577905a9ec2
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Oct 22 23:18:45 2022 +0100

    Update usbcontroller.cpp

commit 710566715beaac46edcfaa2a33a128b391fdeaf5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Oct 22 23:17:34 2022 +0100

    More gamepad stuff

commit 358375be8a8537d75bc2d9678dd4fe3ba8eb55f7
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Oct 22 20:55:08 2022 +0100

    Add gamepad detection

commit 677eb3c9446bc140274953c6e368e7641c53b48b
Merge: 3f84e09 6609aa5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Oct 22 20:20:48 2022 +0100

    Merge branch 'master' into shuttle

commit 6609aa58d9fadbc6d4b6df2689a1d509069a5d88
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sat Oct 22 14:48:44 2022 +0200

    added qt xml dev lib for suse

commit 3f84e093be6e304252885d3afc1bbe6ecd48e804
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Oct 17 00:29:11 2022 +0100

    Remove buttons that no longer exist from Shuttle

commit ce12135c4a89fe347c5cc4b05fbb41b24d042726
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Oct 14 17:48:35 2022 +0200

    bands page reorganized

commit 066af2d9b80ed702dc390d8b609fe93e56f884ae
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Oct 11 23:56:00 2022 +0100

    Move Setup button to experimental and fix storing buttons

commit 3dd1d7bb9afe33227daf4643b65c5a17133f6a7f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Oct 11 23:33:12 2022 +0100

    Fix command numbering

commit cb0ace1a517b9fa90d6d88a69d7bf7108274ba9c
Merge: 5d0f6e8 faf5cae
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Oct 11 16:47:48 2022 +0100

    Merge branch 'master' into shuttle

commit 5d0f6e82c5c019e520fd6dccbd2f93553083f644
Merge: 2f35e00 e15496e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Oct 11 16:42:34 2022 +0100

    Merge branch 'cluster' into shuttle

commit faf5caefa3a47a4d5b79618f80198e1f3f29c302
Merge: f8cef53 e15496e
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue Oct 11 15:04:22 2022 +0200

    Merge branch 'cluster'

commit e15496e0b67093dde01e1b90083f28c9d15ccd8a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Oct 11 13:17:23 2022 +0100

    Disable click/drag tuning by default

commit f8cef53a7dc1edcd658ab18128c9d893014eefc8
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Mon Oct 10 17:11:05 2022 +0200

    added cluster support

commit f4e25d22739a45e3d98f8cf9f2bdf15ff3ddef9a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Oct 10 12:55:12 2022 +0100

    Bit more tidying of spotting code

commit 3ec54f1ebb2ad4e295d2e035f970a8fa3870f700
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Oct 9 20:24:01 2022 +0100

    make spots appear at the actual top of wf

commit 6862009e940e0580b47b734c4eadb87bf76a067d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Oct 9 14:35:24 2022 +0100

    Add sendOutput() back to tcp cluster

commit b7bcd58578715490fd97116e89ac7a8add8611ff
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Oct 9 14:32:09 2022 +0100

    Add Pop-Out button for cluster screen

commit 22abc65849cbd20efdb16842f98de3f67d65343e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Oct 9 14:23:07 2022 +0100

    Add cluster spot color picker

commit cc6e4d042a42084a6418a8d9e3e0293f22fc3a70
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Oct 8 01:09:41 2022 +0100

    Left click on spot to change freq

commit f7e2631ee3ef7f0514037854e34b7e874b92b4a0
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Oct 8 00:55:07 2022 +0100

    Update wfmain.cpp

commit 62d9ec2442f3fbedbd7153fb5da3da3d8143b8d8
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Oct 6 11:17:46 2022 +0100

    Update wfmain.cpp

commit fa9cab1374cb7a454ced27aea58c15a1e9b4dd76
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Oct 6 11:12:55 2022 +0100

    Make spot window size to fit content.

commit 880a9c3da031a32f40d2ecf170f26bdc7d60c349
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Oct 6 11:02:22 2022 +0100

    Add right-click on spot to popup dialog

commit b110ce7fbbf050fd73b8525828cda679d47303f8
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Oct 5 14:26:42 2022 +0100

    Bit of tidying

commit 4d158f5078e34aac351bd0ec89467f0f4c18b465
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Oct 5 13:43:07 2022 +0100

    Remove calls for QSqlDatabase when USESQL is not configured

commit f31aadd991aaa8cd918c465edcaadbdc848a8388
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Oct 5 12:45:25 2022 +0100

    Add optional SQL in wfview.pro

commit b011165d5b08ec91f6932c78609297c412b514a8
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Oct 5 12:43:39 2022 +0100

    Make SQL db optional

commit 9fdc09c5be818a7ec36f8f475fa80bc61cd622b6
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Oct 5 11:38:24 2022 +0100

    Remove old code

commit 855438e8433988ce3b9f754b97e6698235c3cc39
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Oct 5 11:05:29 2022 +0100

    Update query

commit 711b86e91b25985ccdd3d487400b03019a33bd04
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Oct 5 11:03:15 2022 +0100

    Add memory sqlite db for cluster spots.

commit 9db695cc6302eabdbb719426916d138f693509a5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Sep 30 19:06:17 2022 +0100

    Delete all spots if cluster disabled

commit 2d58ea2afbb23635f82d3b81d1cb0d2928d4cb08
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Sep 30 18:41:57 2022 +0100

    Fix crash when adding cluster server

commit 4db451050130f4f07aa7b9626c40442d3a61742c
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Sep 30 17:29:10 2022 +0100

    Comment unused line

commit 3b1efbd69ee3794213f0d4019733eabdd7829b12
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Sep 30 17:26:21 2022 +0100

    Change default to isdefault!

commit e6713dc516a82dedeee4867133b08be8316f03c3
Merge: 7d14160 d5aeec6
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Sep 30 17:07:26 2022 +0100

    Merge branch 'master' into cluster

commit 7d141608bf7b4603e489cbe33d9f17d20b72a363
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Sep 30 17:05:42 2022 +0100

    Add TCP spot client

commit d5aeec61baf6f871a2218d8670f9c8eb8b763c3d
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Thu Sep 29 18:45:13 2022 +0200

    v1.51 with fixes,passband stuff

commit f48e65d1476ae20c2a714cd93ea0e7beb0c17fc3
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Sep 29 17:22:14 2022 +0100

    Fix for squished screen and bump version to 1.51

commit e7e7821f2b77cc59d6589f54eb42f661ea8ed6fe
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Sep 29 17:18:48 2022 +0100

    Comment out some unused variables

commit dbc13a05335e7599285f4903da53020d3be3cb88
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Sep 29 17:17:51 2022 +0100

    Initial work on cluster spots.

commit cef827f7f82e28042e1cd9068aa865ec076b4721
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Sep 28 17:53:28 2022 +0100

    Only request passband when there is a scope available

commit f7bde0fe649ddd606fabd72d60f4e8ffd706f5fc
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Sep 28 17:42:12 2022 +0100

    Change default passband colors.

commit bbc2613942a330cbc6af34d0457b501ec0ec1cc6
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Sep 28 17:34:15 2022 +0100

    Fix passband colorswatch

commit 0bb57a859da9ac94b9f72a76ba05b7f67c0dc996
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Sep 27 10:22:27 2022 +0100

    See if this works better for color pickers?

commit 1193841103b54a1e1e1a21bcf0b4c79f2e268723
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Sep 27 09:37:24 2022 +0100

    Ignore second VFO scope data (for now)

commit b3756391c13d9e4440b9fa5237dbb36910eaf722
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Sep 27 08:57:22 2022 +0100

    Silently ignore server audio issues if server is not enabled.

commit 242d39ce39d2f0e0c00792066e41936aa47815cc
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Sep 27 08:44:55 2022 +0100

    Always use 8bit encoding for audio device names

commit 51878e5a3dcb741072910fe504377efa7f9bcd8c
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Sep 27 08:30:17 2022 +0100

    Make multimedia-plugins message only for Linux

commit b7af0d4eddd23ac6b77bfd0b264733cebdbd74ae
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Sep 25 18:22:48 2022 +0100

    Remove obsolete code

commit 518e1700ae3d24356c4d6dd21238441aa3e561ff
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Sep 25 11:32:43 2022 +0100

    Remove logging of audio device realm

commit 87ebd0cdcc98c70f2e653cdfd3a5ca1082c9492a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Sep 25 11:15:45 2022 +0100

    Fix default audio device selection and hopefully fix device language issue

commit 08b62244718d3fad731b034c2ef65c3fa338c8c8
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Sep 26 21:22:02 2022 +0100

    Add PSK modes to IC-7610 and to passband.

commit ac0771f03418230a9389e00d07e967ebc901c853
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Sep 26 20:46:25 2022 +0100

    Add passband for FM mode

commit 65b4a9cc17e9e644793d2468577538ea8de68232
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Mon Sep 26 11:53:56 2022 -0700

    Added click-drag tuning. Needs refinement but it's a start.

commit 0c530303c7409dab2150f2804d81032e102c0771
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Sep 26 12:10:41 2022 +0100

    Move to 3 columns

commit 9d9a817f978cecf367799419d7958e8dd7d60ae4
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Sep 26 11:59:16 2022 +0100

    Allow changing of passband color

commit d8e244f33a6f420224b8e618c963b15beb4510a1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Sep 26 01:44:49 2022 +0100

    First look at a passband indicator

commit 70101487a3a9cc6938134df17704adfab83bda0e
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Sep 23 22:14:49 2022 +0200

    ready for v1.50

commit e93086f6ac1e83bf027160f8759f7916ea5209d0
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Sep 23 19:48:42 2022 +0200

    Delete quit confirmation checkbox

commit fe459fa7363c6457234e96e90281631227888e04
Merge: 32d214b 6e7d006
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Sep 23 19:47:32 2022 +0200

    Merge branch 'logfix'

commit 6e7d006b0e7735ab4bcc4e59ede4f4198735e0a4
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Sep 23 18:40:01 2022 +0100

    Delete quit confirmation checkbox

commit 32d214b24fcb82c70628348c05e8f692200ecc56
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Sep 23 18:48:41 2022 +0200

    Remove redundant CL args

commit dfcbc3b2f6965dda7fbeeb0d78b4abff4d32de2b
Merge: 70fbd98 f838e22
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Sep 23 18:47:17 2022 +0200

    Merge branch 'logfix'

commit f838e224981128fd7b5f14d150937cf107388cf4
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Sep 23 17:42:36 2022 +0100

    Remove redundant CL args

commit 70fbd989f125c130d53f16676f20457d5466e542
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Sep 23 18:33:40 2022 +0200

    additional logging fixes

commit d9190a5060ae35ccff3bd824c3c606202f982331
Author: M0VSE <phil@m0vse.uk>
Date:   Fri Sep 23 17:18:42 2022 +0100

    Finally fix compile warning!

commit b6d9c26ebb78718aac9ca10311e02542b0876f01
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Sep 23 17:11:25 2022 +0100

    another warning fix

commit 5216e783909a65dc8b34d581c133150ae54341ba
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Sep 23 17:07:30 2022 +0100

    Another compile warning fix attempt

commit c62d8832f1ad5f4b204b4dc8bd79705172ba62b1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Sep 23 17:02:06 2022 +0100

    Hopefully fix compile warning on linux

commit 7fc3a7bf79a6e740d149b7b02c69b6acdbe79e66
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Sep 23 16:49:32 2022 +0100

    Quick fix to remove a debug

commit 26510c41663b24eeb33a0654984b420bd70f4af5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Sep 23 16:46:33 2022 +0100

    Use date/time for log name if none specified

commit 3ee237e736169307409c545a3e64d6859bc69ce2
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Sep 23 15:45:39 2022 +0100

    Fix logfile/directory opening in Windows

commit 1aff6b9cb65e7f3b1c9c74f9cd9ec83565d4f4c8
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Sep 23 07:55:07 2022 +0200

    resize fixes for non-spectrum rigs, bug fixing users, updated to v1.48

commit 79531712b0644443c1e478bd366878bf8d14739f
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Sep 22 21:14:05 2022 -0700

    Fixed glitch when tabs are changed prior to rigcaps.

commit 9c49395fa0700901f122d20dcefbb5e02a9a84dd
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Sep 22 21:06:49 2022 -0700

    Additional resize fixes for non-spectrum rigs.

commit 11c1d2f5df44b329fe390e3dc2d47130e6daab38
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Sep 22 20:53:57 2022 -0700

    Hide UI elements not needed for non-spectrum radios.

commit 71537c21e179100713c123179b1334d0fa546c54
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Sep 21 17:03:36 2022 +0200

    updated CHANGELOG and WHATSNEW

commit 12ea418f1e3fa85dd234bf1e935af5dfaba73e61
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Sep 21 17:01:44 2022 +0200

    updated CHANGELOG and WHATSNEW

commit 3dbfc94419a3048f381579c1a9494088e68f86c9
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Sep 21 15:38:28 2022 +0100

    Fix that was stopping users being created when none existed

commit 2f35e009e91f5a5efcb692138cf49c203699666e
Merge: 31969d0 eda1f9f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Sep 20 22:53:26 2022 +0100

    Merge branch 'master' into shuttle

commit eda1f9fcd3fe3becd9d019ae2919632edb79e876
Merge: ae6f1f2 9ecdd02
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Sep 20 18:57:09 2022 +0100

    Merge branch 'master' of https://gitlab.com/eliggett/wfview

commit ae6f1f2ca35ab0eaeb79d2c25f7fb1e98f250a6d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Sep 20 18:56:36 2022 +0100

    Add quick fix for rigctld fmv issue

commit 9ecdd02246059943dbe7e798b9bc4e1d96c3883c
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue Sep 20 19:06:12 2022 +0200

    Added dialog box to the toFixed button where an edge can be selected; bumped to v1.47

commit cd3320ec9ab12f7ad74e9efaf54f5087e2682e46
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Sep 20 08:58:12 2022 -0700

    Added dialog box to the toFixed button where an edge can be selected.

commit 6b44b81a2a6d0a70d8e112a1edaecc52e2773333
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Mon Sep 19 17:08:50 2022 +0200

    removed .swp

commit 520b1d051a344f6ff94a20e801e1e570fe3557a8
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Mon Sep 19 17:06:00 2022 +0200

    Added controls for custom scope edges, hide/show scope controls
            depending upon the scope mode the radio reports.
            Fixed clear peaks button to work with the plasma underlay.
            both audio system button are disabled when connected to radio and enabled when not.
            Remove password from log
            Fix server user handling

commit 31969d0647ff146cc83f5da1039f2d456d8ed035
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Sep 19 02:03:02 2022 +0100

    Add change mode commands

commit 722e5b3c358dfa68442a3c67fd371e1fb3e72303
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Sep 19 01:34:25 2022 +0100

    Allow PTT to be toggled

commit 5ccc2fc3757256ba7e80ab542e200ed95353219b
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Sep 19 01:14:11 2022 +0100

    Fix for saving buttons

commit 881823a8392a60b4eb2e775e26e264396da11c83
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sun Sep 18 13:13:33 2022 -0700

    Added controls for custom scope edges, hide/show scope controls
    depending upon the scope mode the radio reports.

commit e6506cd55fc3a5e734ac1c68a4b3d9f3335caae6
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Sep 18 21:00:44 2022 +0100

    Add storing button config

commit bb2593be6f1d80447726d5cfbedda585b3ffa93e
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sun Sep 18 12:22:11 2022 -0700

    Fixed clear peaks button to work with the plasma underlay.

commit c87dc5ef736a27ab6fc589c75451f11e45061933
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Sep 18 17:42:41 2022 +0100

    Fixed after merge

commit 546330e829253a0cd4fde5d1ae82df3a4325850f
Merge: 62c48ac 4bd80cb
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Sep 18 16:36:52 2022 +0100

    Merge master into shuttle

commit 4bd80cb9e5b579d13478c3b25798d6af27182ed8
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Sep 18 15:23:37 2022 +0100

    Make sure both audio system button are disabled when connected to radio and enabled when not.

commit 079f03886f3d832ffec8aacc61c3c30c3f5bbe16
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Sep 18 15:02:31 2022 +0100

    Remove password from log!

commit a04f7f57d363988ac7e508509f7b36046816bf22
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Sep 18 14:59:03 2022 +0100

    Fix server user handling

commit 8638086f3f7e1ad8aaf30c6882afa7d2ad48d022
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sun Sep 18 13:05:08 2022 +0200

    removed lingering files

commit c09c548eb0df5bcb804d7667138c17730fa61662
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sun Sep 18 13:04:13 2022 +0200

    log, connect and dial changed/fixed; bumped to v1.45

commit 6dd7cc02479b421fb05aafad5bdf4fd142d45ec9
Merge: b13de1d a7ba906
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sun Sep 18 12:54:15 2022 +0200

    Merge branch 'log'

commit a7ba90656902e3a5e3968765aeeca17329c8e131
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sat Sep 17 15:02:21 2022 -0700

    Log will automatically scroll to bottom on show.

commit 0c22f81690d01bc7577dc33a2dacb646483a700b
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Sep 17 22:43:40 2022 +0100

    Remove focus from connect button once clicked.

commit 4dcc7c47537139e12277a3ec98bbd95f1545f954
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Sep 17 22:31:43 2022 +0100

    Move connect button

commit 77f48f5f0c7298407844b3b20c758b7f4925b897
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Sep 17 21:04:46 2022 +0100

    Update wfmain.cpp
    
    Add enable/disable audioSystemServerCombo

commit da0644f1bae265666659bcaf7089e18c40a1bae7
Merge: fca463f 0735c35
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Sep 17 20:58:41 2022 +0100

    Merge branch 'log' of https://gitlab.com/eliggett/wfview into log

commit fca463f346aac30f8dba7b71c06d150d79644ed0
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Sep 17 20:57:49 2022 +0100

    Add "Cancel" to connect button

commit 0735c35cecda40952794bdd13c5ad3819f33b1fe
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sat Sep 17 12:05:32 2022 -0700

    Fixed bug where the frequency dial skipped extra when crossing zero.

commit b13de1d9eee1d53b7b812429c16f08157da1d2f0
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sat Sep 17 10:36:07 2022 +0200

    missing space and lowercased Termbin.com to termbin.com

commit 81607a80699541cefc3ac9013d196ae787b25fee
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sat Sep 17 10:26:13 2022 +0200

    merged log branch and updated to 1.44

commit cf50e9d18a271b55040d580118a69e3803319420
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Sep 16 13:43:01 2022 -0700

    Added an additional combo box for the audio system selection under the
    Radio Server page of settings.

commit aba2928d42218c8c612654dd7f4a77613b1e0e1e
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Sep 16 13:22:58 2022 -0700

    Added dedication in the about box.

commit 7e2682170f5443fdd575896d8703e650817b03ee
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Sep 16 20:51:16 2022 +0100

    Make Windows expand audio combo when clicked

commit 221086ed4f341b1e264151534e53651e7579e2a9
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Sep 15 17:35:29 2022 -0700

    Minor edit to margins

commit b54f724ce9860d9994224a0f59b34ed2c13f021c
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Sep 15 17:04:01 2022 -0700

    Removed some additional padding that was left in parts of the UI.

commit 6ed1a8e80e96d00793ae298bed6118bde0f07ea2
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Sep 15 16:31:27 2022 -0700

    Changed windows 'open log' command to launch notepad.

commit de46d62346f30c8d3df5c37a80dd73a2b426633b
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Sep 15 14:13:14 2022 -0700

    Removed extra disconnect message from logging host.

commit d90104a79ec07513123786cf7c8b17e45d6d65b1
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Sep 15 14:09:16 2022 -0700

    Added flush to the text stream to termbin.

commit b849df9f7f5d38d6a1a8d24137c248c50dd70910
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Sep 15 11:59:04 2022 -0700

    Better scrolling behavior. The log is now aware if you are not at the
    bottom and will not force scroll if so. Otherwise, it will bring the
    horizontal scroll back to the left-edge.

commit 940f5fb9615ef5370a5f22ea0629f7e995b58fdc
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Sep 15 11:55:45 2022 -0700

    Renamed URL message box in case we add an additional message box later.

commit d4ae4181ed94aa4964c903a620dacb29879441ad
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Sep 15 11:52:52 2022 -0700

    Clarified control label to Scroll Down versus To Bottom.

commit 4e3af7cccd08a880ab74b69a60a1c9ef55416f30
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Sep 15 11:52:08 2022 -0700

    Changed font for better compatibility. Added some controls for scrolling
    behavior.

commit c5f626065aa6a0fcd8bc2d0e7f699f6a2c154ff1
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Sep 15 09:53:50 2022 -0700

    Debug mode can now be toggled from the logging window.

commit d25c9ca2459f399fdc8f6df11f742bfe367736e8
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Sep 15 09:49:03 2022 -0700

    Removed extra output on non-server builds.

commit 2225953d039c7d06723750d0c1ca85b3bdf3d606
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Sep 15 09:42:19 2022 -0700

    Added debug logging button, however, it doesn't propagate the debug
    signal through all the modules yet. So, for now, it is hidden.

commit 95994ed737fa553d40566b87ee23afb99cdb7abe
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Sep 15 09:33:09 2022 -0700

    Restored version to log file, fixed reversed log entries.

commit 42e3ee444dd755d9009d82b63435db2038de4fe1
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Sep 14 18:35:45 2022 -0700

    Removed word wrapping from the log

commit 73b9c88e5e84f09b131d78b1b3987dacec8edf4f
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Sep 14 18:32:28 2022 -0700

    Cut log window polling rate in half for lower CPU. 100ms is plenty fast.

commit 1b6cff85f4ce04178c2d6a4c4b6d2ba79ba1b42c
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Sep 14 18:15:20 2022 -0700

    Removed audio volume logging.

commit 8b688548c20aaad0916712be616bc75bb239741a
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Sep 14 17:53:22 2022 -0700

    Keep the logging window up after the message box. Added "log" logging
    category.

commit 3290b64a0b765a70d82039755770f77735c1326d
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Sep 14 17:07:23 2022 -0700

    Added logging window capability with termbin support.

commit c97f0f78261e331846a2b3bd010f319bd0781849
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Sep 9 19:54:16 2022 +0200

    v1.43: resize bug fixed

commit 2198e3ca19694c8f3fc90d66ab3e6dd55247dd2f
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Sep 9 09:41:32 2022 -0700

    Found an extra 10 pixels due to some layout padding I left in
    accidently.

commit a1d2f57d8b20db0f8bf28742c08de031789c7e17
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Sep 9 09:34:31 2022 -0700

    Main window may now be made smaller. Settings combo box sizes now
    limited.

commit d658e212200f790e56462514b0d2656f56aefe2c
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Sep 9 09:28:52 2022 -0700

    Fixed issue where build paths with a space in the name would cause the
    git hash to fail capture.

commit 7145de132f87f4ef3bdb8f8f0994be64861710b9
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Aug 26 09:08:23 2022 +0200

    audiometer support and changes to WHATSNEW/CHANGELOG

commit b91c033ef6d3fb40f3dc36652d7e730854bb493e
Merge: 39cf34a 76389c0
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Thu Aug 25 10:38:13 2022 +0200

    Merge branch 'master' into audiometer

commit 76389c0fbddc5d5ab527df45e5d57e7c6c1f4bb8
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Thu Aug 25 10:37:46 2022 +0200

    added color picker support

commit 39cf34af23636043fa85cf338b481ece66e87d92
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Aug 24 22:23:32 2022 -0700

    Fixed dB meter, it needed the scale multiplied by 2.

commit 4f4abfc41a9b8071fb3983b553d2bbe224939490
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Aug 24 22:02:20 2022 -0700

    Cleaner COMP label without the "0" position

commit 0f226fdca5e209710a1718300481fab400bc4315
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Aug 24 21:52:36 2022 -0700

    Added tic marks, removed audio RMS calculation for now at least.

commit 9623226b0c2000335cfa88ce79e2fd4ff7bee60c
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Aug 24 16:06:41 2022 -0700

    Added average metering.

commit fbf1c4bce9924c61074fd32e1e7d60ff963f58c0
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Aug 24 15:21:29 2022 -0700

    Removed annoying debug message.

commit 4ea7ec80905c697bf908aaf07acb0e60e221f283
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Aug 24 15:02:00 2022 -0700

    Fixed up signals and slots related to audio levels, removed extra junk
    code, added preliminary RMS and Peak audio availablility.

commit d90eb6f11f157c512c498235982ff19261b16446
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Aug 24 10:17:11 2022 -0700

    Using peak scale color now

commit be95896205550ececef837ce12f5ef7fc4291ffb
Merge: 2afcef5 25d3d40
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Aug 24 18:17:57 2022 +0200

    Merge branch 'master' into audiometer

commit 25d3d4054868daacb813e84c1860df19da0e6dab
Merge: 173a311 d349398
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Aug 24 09:42:43 2022 +0200

    Merge branch 'color'

commit 2afcef5ef000eb0dfec338dbabc5f16b34da95aa
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Aug 23 23:17:57 2022 -0700

    log scale, incomplete, needs tickmarks, etc.

commit f7e787e09791a3602f1bb2335fd07c83a6534fee
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Aug 23 23:10:58 2022 -0700

    Log scale for audio meters

commit 9fb74ed6e13ff70bac4482859db45174edf8eee8
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Aug 23 22:24:05 2022 -0700

    Audio metering initial. Very messy but you can select TxRxAudio as the
    meter type and wfview will show you TX or RX audio depending upon if you
    are transmitting or not. You can also select only TxAudio or RxAudio.
    This is nice for looking at Tx audio levels prior to transmitting, for
    example, or metering the radio's "monitor" audio while transmitting.

commit d3493988af20ca9f3fbf550af757f7ff327680c8
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Aug 23 17:01:11 2022 -0700

    Minor ui adjustment

commit c989dba9f9fab81407cf8a937acb2e5843adea11
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Aug 23 10:56:16 2022 -0700

    Color preset UI now expands to fit. Finally.

commit 31f62fde671eb1c4fd9cda8876e5f843d8d0e579
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Aug 23 10:47:19 2022 -0700

    Moved some preset controls.

commit 147156780828b16bf9077a32cdf65524a7170bb8
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Aug 23 10:41:26 2022 -0700

    Clarified what some controls do in the UI related to color and underlay.

commit b8ba9a16dc9db063144a27edc3c49451e7ee694d
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Aug 23 10:35:59 2022 -0700

    Added protection against transparent colors. Added revert feature to
    revert to default color preset for the selected preset. Added save
    single preset capability.

commit 173a311c7adb96d1d03e57fcff2d53c69beedb59
Merge: 105675a 7e80eb0
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue Aug 23 08:05:55 2022 +0200

    Merge branch 'color'

commit 7e80eb0ed7e4bf29119c7c2aff33491ef1fb99d6
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Mon Aug 22 21:31:31 2022 -0700

    Cleaned up lots of debug info messages.

commit d49b6cd082151278f6231072fb8e148994a3a72d
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Mon Aug 22 21:22:45 2022 -0700

    Oops, forgot to clarify the button name.

commit 8012a58bd9ceb469ecdbe870d80a2857da1b3430
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Mon Aug 22 21:22:01 2022 -0700

    Added separate colors for the high meter scale and the peak indicator.

commit 2a456b2adb4d3f8133a0edc0811e9c71f589b4cd
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Mon Aug 22 20:44:58 2022 -0700

    Small cleanup.

commit fa0752518d5e73af3e72d15a20af6c3dd83a2e35
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Mon Aug 22 19:39:20 2022 -0700

    More color tuning!

commit 9afc44ce42cbef685f83bf6ffdf5272e7d92838b
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Mon Aug 22 18:09:20 2022 -0700

    Refresh the meter when updating colors immediately.

commit da1cd8b14fac9d4caced6750b701b73cfcfb2a3c
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Mon Aug 22 17:57:54 2022 -0700

    Added our "classic" color schemes back in. More tuning needed but a good
    start.

commit 6f7f1f84ec80579407cc4f2a8a53ff75f302f165
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Mon Aug 22 16:49:35 2022 -0700

    Added presets and preset naming to the settings file.

commit d1ffbe84f5ac598b85f2ddc046586713cefc775e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Aug 22 23:09:09 2022 +0100

    Still more work required

commit 59d2d735e6e55174090ef90c9fa5febc7a5c61e0
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Mon Aug 22 09:44:00 2022 -0700

    Added preset names

commit 7e4d3f76d5ef3bbfac1c23c0d4a93244d82ba4ab
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Mon Aug 22 09:04:19 2022 -0700

    Fixed stretched grid color swatch. This has to be a qt uic bug.

commit 92904f8ae585b4447065e5acbe98b83e937d894e
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sun Aug 21 23:59:48 2022 -0700

    Forgot the axis color from default.

commit 952585261c123134a290295b3456ff45d37d6e35
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sun Aug 21 23:54:37 2022 -0700

    Forgot text color from default load-in

commit d11ae30b1ac11c664a4655025ba2e518395a3b92
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sun Aug 21 23:50:02 2022 -0700

    Fixed bug relate to pressing cancel in the color picker.

commit 1388c756c43d954f047afd14ea9068cea9808c7f
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sun Aug 21 21:51:50 2022 -0700

    Fixed alpha channel issue

commit 16237a47f54afcb089a6fdc321e08ed6820ecade
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sun Aug 21 21:32:49 2022 -0700

    Slightly better closing for settings

commit a84fb6d09131abaf8ea3d93b53d3393d1f995efd
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sun Aug 21 21:19:08 2022 -0700

    Cleaner tab add/remove code for the settings tab.

commit 93b1af6eb60637c69d93b03aa31c28411a847152
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sun Aug 21 18:05:20 2022 -0700

    Removed unused function

commit ecb9b8fbb4c166900a634c1f8616019c134e10b3
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sun Aug 21 17:52:52 2022 -0700

    Now all colors can be edited.

commit 2a509a61774305206c78b2bcb73ed0a0fb568465
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sun Aug 21 16:47:17 2022 -0700

    Color editing for a few parameters is working. Lots of new helper
    functions introduced to make coding simpler.

commit ac8a98049e936bba064713f4c315952647803676
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sun Aug 21 00:33:59 2022 -0700

    More connections from picker to UI.

commit b77715e0d8440b59dc640b7e1024e4db6e772432
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sun Aug 21 00:17:44 2022 -0700

    Color preferences. We can now set a single color and also detach the
    settings tab.

commit 4574e2b7b2259495f2bb0a89637c38497ee29675
Merge: 360cecc 105675a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 20 19:43:58 2022 +0100

    Staged merge of master

commit 4b0ce8537e242b6dcd37be151d91c3e21cadea31
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Aug 19 10:32:06 2022 -0700

    Added line input to color functions

commit 1423e7c3007192649b6ae81eeb505b678b6d1991
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Aug 19 09:41:13 2022 -0700

    Added color picker functions and demonstration UI elements

commit 105675a128aaccb778e45953e75fb8fc6b938dc3
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Aug 19 08:12:22 2022 +0200

    modified version numbers, WHATSNEW and CHANGELOG

commit bd097dc3a5bbfb7fa224d01713d7841fe0c5320a
Merge: 9a77baa f1f58a1
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Aug 19 07:34:38 2022 +0200

    Merge branch 'plasma'

commit ab65f8e38dc7dd053601c4ae682c34ad27d30e42
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Aug 18 20:56:24 2022 -0700

    Finally remembered to remove annoying commented-out code.

commit 088d34af8be7d6759e75627ae2f765629c7ab203
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Aug 18 20:54:50 2022 -0700

    Removed checkbox from prior peak hold mode.

commit d8dc9daa1501841afec6002bd204deacf39330ac
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Aug 18 16:45:58 2022 -0700

    One more thing for qcp 1.3

commit a947ba6b189f663fbe506e5aea577165bb2b643a
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Aug 18 16:40:10 2022 -0700

    Added support for qcp 1.3

commit 0e15e8ec1e58b5ad09057ae46530ea0a013bdd5e
Merge: 9a77baa 1d14d95
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Aug 18 14:31:22 2022 -0700

    Merge branch 'plasma' into audiofix

commit 1d14d9520e296b252f77fa91930dd6137113981c
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Aug 18 11:52:41 2022 -0700

    Fixed issue where spectrum greater than 128 was negative.

commit ebb2c59a45e023ee7ec2fae1852297c4863b090f
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Aug 18 11:11:57 2022 -0700

    Added "pre-sorted" flag to plasma average mode plotting.

commit a7587963b07eccb1e5129bbe13ad15b3a7414ee9
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Aug 18 11:07:29 2022 -0700

    Fixed issue where the waterfall colors re-scaled to min-max versus user
    preference upon wf length change.

commit c59050e632c9172f361707c49cdecd60c3a29dcc
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Aug 18 10:54:54 2022 -0700

    Removed issue with plasma buffer resizing with the waterfall.

commit 7093ac104a6781798893887227b5465a3b23796e
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Aug 18 10:24:07 2022 -0700

    Removed unused variables, corrected spelling.

commit f1f58a10cf602f87e94dce703f1b1a38f6c883e6
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Aug 18 09:56:06 2022 -0700

    Slight reduction in CPU usage with regards to wf, more to come.

commit 76398808612b7e77822d277b8c20c2fae8c749f4
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Aug 17 23:30:02 2022 -0700

    Fixed issue with the floor and ceiling not updating initially. The
    waterfall is now ranged prior to replot each time.

commit b2204b35193f45685491a70d44ddfe7479f935f1
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Aug 17 22:38:44 2022 -0700

    Fixed resize; added mutex.

commit 5215984de82e912d7b6f6997752c63498f5a7596
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Aug 17 21:46:47 2022 -0700

    Minor change for slightly faster averages.

commit 123084c7794000049413b07858c279ded7bbefb9
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Aug 17 19:58:04 2022 -0700

    Slightly faster plotting due to data being already sorted.

commit 03a279087e2ea6c18f213f5668254c02bcac846e
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Aug 17 18:46:00 2022 -0700

    Added underlayBufferSize to the preferences.

commit 6ebb3b7680161275f8bd7e02acf686e566e0ad04
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Aug 17 18:41:35 2022 -0700

    Added some preferences for the plasma.

commit 32d55ef490ed99296b21137ebc4d48f55dbdf2bb
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Aug 17 16:34:26 2022 -0700

    Fixed spectrum line length

commit 53bed16b45782c978bea99b40a8b5f6f0ba1c446
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Aug 17 16:21:33 2022 -0700

    Added floor and ceiling adjustments for the plots.

commit 02e6733cddebcde2d478e7179053a902db68f1dc
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Aug 17 15:51:26 2022 -0700

    Fixed ancient issue with layering of the plot data

commit c753089ac7b56f5af67f23e758555e213d636aad
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Aug 17 15:10:07 2022 -0700

    Added spectrum plasma metering.

commit 9a77baaead6b1687b80447b28cf08b511bd141b4
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Aug 4 20:46:15 2022 +0100

    Shutdown audio when radio is turned off.

commit ac2c104209700a5236ab8375ed89e057b591dd72
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Jul 5 10:37:10 2022 +0100

    Re-order audio handler destructors

commit bcc16b8d2945da0dc15366a4f1c1fda1da8b6fba
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Jul 5 10:31:45 2022 +0100

    Send blank audio packet on disconnct

commit a9e9c807088c75ff76b10bd02dc3b7306f62371b
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Jun 14 10:31:29 2022 +0100

    Fix silly bug introduced in server audio TX combo

commit 5dcb0819a8e3bd527875ec07bf39c536464f4207
Merge: d626322 38274cc
Author: roeland jansen <roeland.jansen69@gmail.com>
Date:   Thu May 26 15:16:40 2022 +0000

    Merge branch 'master' into 'master'
    
    Added IC-746
    
    See merge request eliggett/wfview!9
    
    Thanks to Philip Kubat

commit d6263223af112ace31e66f921317660ff6e8e4ed
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue May 24 17:55:03 2022 +0200

    dropped openSUSE 15.2, out of support

commit 485d012b4294ccbdf29476e487bbc5b20c60cf15
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue May 24 17:37:19 2022 +0200

    WHATSNEW

commit b4f379d52dcbfd552dad6d21113fbf191cea10df
Merge: 227ea8f 0601714
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue May 24 11:18:41 2022 +0200

    Merge branch 'wfserver'

commit 06017148dd7d5ed3bc548b9af2fbdc3d27d0bb50
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue May 24 10:13:44 2022 +0100

    Update main.cpp

commit 5cb81b412f328f0315ef158db72e67cf229f8eb7
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue May 24 10:08:18 2022 +0100

    Try to quit wfserver on ctrl-c

commit 227ea8fc348db38cf426ce3b459ba31b4911f9d2
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri May 20 18:24:28 2022 +0100

    Small .pro file update and cleanup

commit c807c40bd25a7acc6d12ef6175e523606c09e220
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri May 20 18:24:28 2022 +0100

    Small .pro file update and cleanup

commit f2e9a9000021e58fb87c09ea7c7b77b964d9df4f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri May 20 15:50:47 2022 +0100

    Support newer versions of rtaudio that don't generate exceptions

commit cd03ac40d552d35d3e6b8fb7992ad60db2e53240
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu May 19 16:03:06 2022 +0000

    Update INSTALL.md

commit 62c48ac2c2237421854cbfb4720567edbb8526da
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue May 17 08:53:24 2022 +0100

    Test some shuttle changes

commit 49773706d70495f6632281c396fa8a2bbfba0e58
Merge: 2b9d163 079a509
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sun May 15 13:11:35 2022 +0200

    Merge branch 'wfserver'

commit 05f7283930d8edabc84f9eb1b89894ce6197a5e6
Merge: 30073d0 079a509
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 14 15:50:26 2022 +0100

    Merge branch 'wfserver' into shuttle

commit 079a50980d91b1792699885ed44387e8aca65d08
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 14 15:05:48 2022 +0100

    Fix RT/PA builds on MacOs

commit 5ef50c97069aa71f5a40fe2e3891b81126c1e394
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 14 14:02:31 2022 +0100

    Update rthandler.cpp

commit 8f5ba2efb197f2f6edfca3834559b8cf5980b966
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 14 13:54:09 2022 +0100

    Convert audioHandler functions to virtual

commit b3f611543c23679a593e9bffb5bf5e51c6205cd1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 14 13:45:56 2022 +0100

    Make RT/PA a subclass of audioHandler

commit bcde69c92b3f1b7f7ce21a11e802837694f5b308
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 14 11:48:58 2022 +0100

    Update commhandler.cpp

commit 2e1d88c19490195aa1273da4ed381901d589e7b3
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 14 11:40:58 2022 +0100

    Update commhandler.cpp

commit d468e01d20beaa830f7a3bc289da7cf41e739675
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 14 11:39:52 2022 +0100

    Update commhandler.cpp

commit 1305f06eabe8886c37cf319edc7eb87435a7c7ad
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 14 11:38:35 2022 +0100

    Update commhandler.cpp

commit b049704dd2cdcbaf78ec3ed897fd8635aee804a5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 14 11:35:41 2022 +0100

    Use qtimer to signal a reconnect

commit 6078a31a3c4b78262806f44546d6c8f4499f2f7c
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 14 11:24:09 2022 +0100

    Add timeout if no data received on serial port for 2s

commit f003a8a1b877e80eaf4f63ce1dcdb74c8ae89927
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 14 11:13:20 2022 +0100

    Update commhandler.cpp

commit 630d2eaba3ba7a6d3e629dca0878ec2ed3727a5f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 14 11:10:27 2022 +0100

    Update commhandler.cpp

commit e248882e31c627240e6925da1f2ad6a86aa57282
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 14 11:07:05 2022 +0100

    Add reconnect on failure to commHandler()

commit 466571a7584705872bbd4decc7ea5b5c4e7b247c
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 14 10:41:44 2022 +0100

    Use goto statement for error handling.

commit b95cf793186f988d6e19b71900a6fe5e4beab98e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 14 10:33:31 2022 +0100

    Update rthandler.cpp

commit 50eb498026763907f2e3294b86badf576925e08a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 14 10:30:26 2022 +0100

    Another error check

commit 28a3209c2148072bfc20f26c85d6d742077a999a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 14 01:37:03 2022 +0100

    Update rthandler.cpp

commit 35d54468cd43760bb70d7f5ea0587eb73cf56acd
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 14 01:31:04 2022 +0100

    Update rthandler.cpp

commit 30073d07d7abac32e4ec6fdf563fd503f19abb6e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 14 01:31:04 2022 +0100

    Update rthandler.cpp

commit c1461947eb45afdd6b8d777404ff73152f6184fe
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 14 01:27:44 2022 +0100

    If audio device fails to open, retry 10 times before giving up.

commit 30f9574dd677c52f3d7f5ea93d8c9cb9d0c5a5a4
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 14 01:27:44 2022 +0100

    If audio device fails to open, retry 10 times before giving up.

commit 48562aa23b01f7e6b516448854f2adc7360ec0ce
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 14 01:11:15 2022 +0100

    Don't try to connect to radio we are already connected to

commit 8fd8fa390ef0b56746571c178af8acc60656f328
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 14 01:11:00 2022 +0100

    Fix mod meters in PA/RT

commit 22692a68970a491c50a7bfc79cecbba7f7b2e9a2
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 14 01:11:15 2022 +0100

    Don't try to connect to radio we are already connected to

commit 647b51449b053ad7ffc7e48e0a6ec4c1664d5f22
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 14 01:11:00 2022 +0100

    Fix mod meters in PA/RT

commit f0cec0279c557a0b662a7a81d5e78f96c411f680
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri May 13 19:16:08 2022 +0100

    Quick tidy of logging.

commit c84cc4330d33e2fb7422a7a0310ba987d7cb138a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri May 13 18:45:13 2022 +0100

    Add waterfallFormat to wfserver

commit 129348c12fce5c5be8b543d9fed5ce3127b8db3d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri May 13 18:45:13 2022 +0100

    Add waterfallFormat to wfserver

commit 19c16daa06da8be19da788094d372ca22348ac29
Merge: 4f4527b b78f613
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri May 13 18:32:07 2022 +0100

    Merge branch 'wfserver' into shuttle

commit b78f613ef2fd9ca75cdf1496621ccb4554d4c3c7
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri May 13 16:09:26 2022 +0100

    Bit of code-tidying and minor fixes

commit 2b9d163613c33df90efb421d8723daec140c9d1f
Merge: dccafb9 6a5f9ce
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri May 13 13:43:13 2022 +0200

    Merge branch 'wfserver'

commit 6a5f9ce988689b4f9c8b5c6ebe94309fff1d9733
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri May 13 12:35:28 2022 +0100

    Portaudio try to find compatible format

commit dccafb9ffba41e2918055da7f94a748fe06e100c
Merge: a7671b4 1aa45dc
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri May 13 11:23:45 2022 +0200

    Merge branch 'wfserver'

commit 1aa45dc849e3f4e6baf9f9e1948a269554b53dc8
Author: M0VSE <phil@m0vse.uk>
Date:   Fri May 13 10:20:17 2022 +0100

    Fix latency display on rtaudio

commit a7671b403d2262eab6178497905af6072ee58f4d
Merge: 9285809 0b74407
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri May 13 11:07:44 2022 +0200

    Merge branch 'wfserver'

commit 0b74407448c38be313cdbebc8884e3d20c4f4b1b
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri May 13 09:55:16 2022 +0100

    Set default audio device if not found

commit 4f4527bc6bfc28bbbdca09ff9fb841d6ddc5d641
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri May 13 09:55:16 2022 +0100

    Set default audio device if not found

commit 9285809819f09f799266bfc6efb33b41b41a6f78
Merge: eded80e b28dab4
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri May 13 08:19:23 2022 +0200

    Merge branch 'wfserver'

commit e75c4873f007f4593c64abf8622a221f879947db
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri May 13 00:11:34 2022 +0100

    Fix button cmd combos

commit 6043e857e165e59e5fc367e15d4c3a3c3114a3b9
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri May 13 00:00:43 2022 +0100

    Fixed vcproj

commit 11c0973897de1190fcc5f6d26736017e67d74326
Merge: 2ec20ce b28dab4
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu May 12 23:54:48 2022 +0100

    Merge branch 'wfserver' into shuttle

commit b28dab4dc268d28757f4ee5279e4c8adef38d8fb
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu May 12 20:30:51 2022 +0100

    Use a mutex to protect RT buffer.

commit a855c931b6d8a8e3ab6b125402a87b02833d0312
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu May 12 20:04:30 2022 +0100

    Add amplitude to output audio

commit c90611e444638f56af19eb52353f44fb10939df6
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu May 12 20:04:15 2022 +0100

    Fix 8 bit audio encoding.

commit 717b71ad4c1fe6e49be9543454de0dc0ec42e6ce
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu May 12 15:57:45 2022 +0100

    Update servermain.cpp

commit 2e433ed71f63bfbd9b9507cfdc5092dadaf978bf
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu May 12 15:53:48 2022 +0100

    Add pa/rt to server

commit e6ff2ae15228b4da1b051e3ffe7c1111872e3ce1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu May 12 14:29:08 2022 +0100

    Update servermain.cpp

commit 5eb294dc6da4a632dfcb9ea41535724bdd354647
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu May 12 13:42:19 2022 +0100

    Update servermain.cpp

commit 728f01abf484e61f5a168c616db4804de6bbb44c
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu May 12 13:39:00 2022 +0100

    Update servermain.cpp

commit cd1f0f0ba9f9e103ddfdb5e6efc74777a95da2ae
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu May 12 13:33:34 2022 +0100

    Update servermain.cpp

commit 33211908bcc859d72f42fc334ec385bde5df9489
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu May 12 13:27:35 2022 +0100

    Update servermain.cpp

commit 95ec59d46def14cea893ae26d5ae8d804e489e48
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu May 12 13:13:59 2022 +0100

    make PulseAudio the default

commit 6b7387cba28a0fe5b80620c749106e8dc7145231
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu May 12 12:35:53 2022 +0100

    Update servermain.cpp

commit 92b43e8fa27bdccadbc102ac7c1132fcc27cc429
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu May 12 12:29:29 2022 +0100

    Update servermain.h

commit 578b993f70a8311b972aae27007ac697ed79b7cb
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu May 12 12:24:27 2022 +0100

    Various fixes

commit 44f6ec27402555c2c3cde7c6a59bf9d50b725286
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu May 12 01:46:20 2022 +0100

    Add back support for portaudo and rtaudio APIs

commit eded80efe8fdd8ee23d2ab22743e2445d912791b
Merge: 5694963 63c5e02
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed May 11 07:41:39 2022 +0200

    Merge branch 'wfserver'

commit 63c5e0257d3ed82a18802374577037e97331630f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed May 11 00:22:08 2022 +0100

    Some more tidying

commit 04ad04757d91dea304f69490fc60755bbe5095ac
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed May 11 00:18:28 2022 +0100

    More post merge tidying

commit 2fa83028d3e15f81454ee36fe5f587c0a655e101
Merge: 772375f 498f502
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed May 11 00:15:06 2022 +0100

    Fix merge error

commit 772375fb9dbf7074d43a9122a36a36fba4f0707f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed May 11 00:11:29 2022 +0100

    Split udpHandler into multiple class files

commit 498f5020a57dec9996ba427b6c6f71e81a3db33e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed May 11 00:01:04 2022 +0100

    make latency too high trigger at lower value

commit 00f15a059ef841cc7ef2df06161fdb4d8dc0af34
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue May 10 23:55:18 2022 +0100

    Add some more audio status

commit 30ca8aa44a842d0bbf676fc0ca1fc0b34a053109
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon May 9 18:51:26 2022 +0100

    Try to force 16bit int instead of 8bit uint

commit fba9c6f20750a8d8a126d74709e0ce7422b455e1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon May 9 18:47:12 2022 +0100

    Try to force minimum of 48K sample rate for native audio

commit 5694963450b1bd5a95d06a27dfa2307130a3a949
Merge: 9ef7fba 82faf2c
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Mon May 9 11:48:05 2022 +0200

    Merge branch 'wfserver'

commit 82faf2c463263cd504059686da3d182485f4e173
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon May 9 10:38:33 2022 +0100

    Remove extra Opus configuration

commit 8d924b6fdadda957de0edcab9b58d7680847b2d3
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon May 9 10:33:30 2022 +0100

    Configure buffer for input audio

commit bddf283e7a356a9e80c6bc45c214aa3851655f9e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon May 9 00:29:07 2022 +0100

    Always use "preferred" format where possible

commit ec169ca3d4962eb52726d1695348d3435b9beb92
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun May 8 22:48:39 2022 +0100

    Fixes to audioconverter

commit fda7d2123941972a20d1f0473d5daa9074b502c1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun May 8 21:48:47 2022 +0100

    Update audioconverter.cpp

commit 3e0c0081447c254ded55e254b3000fd2dd1c7596
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun May 8 20:57:35 2022 +0100

    Fix if 0 samples detected

commit 70985641216d753f2df96a4008675d8e34bc9a47
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun May 8 19:44:31 2022 +0100

    use quit() instead of exit() to cleanly shutdown

commit 75f1f2d6ea35119838ee31f1c776f14b2bb66d1a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun May 8 19:37:29 2022 +0100

    Update servermain.cpp

commit 135640df448fee40ff7c8627228538d27aef9080
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun May 8 19:35:47 2022 +0100

    Remove parent from classes that are moved to a thread

commit ed3ba16a8d34c17b7510ee0c47ab27ce71729e2a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun May 8 19:33:22 2022 +0100

    Update udpserver.cpp

commit ac677db7ac20ade73ecbf8aa0ff03ff5b63f28c5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun May 8 19:31:05 2022 +0100

    Change class constructors to include parent

commit 066c1b58ac166e42020e8cb9a3bae52069280d67
Merge: 7cb31cc b8838e2
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun May 8 18:45:35 2022 +0100

    Merge branch 'wfserver' of https://gitlab.com/eliggett/wfview into wfserver

commit 7cb31cc8afc5006e650f30476fb986c408e9630c
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun May 8 18:45:22 2022 +0100

    Update udphandler.cpp

commit b8838e24682269a35b148bd696f9c840f5424a7a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun May 8 18:44:20 2022 +0100

    some improvements to audio

commit 9ef7fbab0a7f6448ff65f8a4f01603a4819b3ff7
Merge: 3308bbe 181c2ee
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sun May 8 16:08:22 2022 +0200

    Merge branch 'wfserver'

commit 181c2eeb0712aab1384be1ece086d8ef29d48c0a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun May 8 12:19:35 2022 +0100

    Log when port is being closed

commit 3deb7ab6ecb762d3a2f9ffcf3c6f070eef5db331
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun May 8 11:54:42 2022 +0100

    Update audioconverter.h

commit 376fe72b497c3e14590f67a0f19c2f6181c8eb82
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun May 8 11:52:24 2022 +0100

    Update audioconverter.h

commit 8e38a8efb254a01cb4468c678e38b7cbd7987b26
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun May 8 11:46:33 2022 +0100

    Create function to convert Icom format to QAudioFormat

commit 3308bbeb5415a85260a23b2bc0de72cea9d4348e
Merge: ad71e43 72bef7f
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sun May 8 11:19:51 2022 +0200

    Merge branch 'wfserver'

commit 72bef7f783397e9a92602efbafe33ff491e26076
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun May 8 10:19:21 2022 +0100

    Fix build for new audioconverter

commit ad71e437a2c76c8558c498cb09387a101cad2cd8
Merge: 4125737 71f88cd
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sun May 8 11:16:35 2022 +0200

    Merge branch 'wfserver'

commit 71f88cdfedc024ea16dab28bf3050592b46db3b4
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun May 8 10:04:36 2022 +0100

    Skip unneeded float conversion for Opus

commit bbbb36ebaecadbebcd91daa7d06dcc306c315ead
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 7 11:14:01 2022 +0100

    Remove Opus FEC for now

commit 3068b0f5ccb21f927ed589025c74f81dc4156149
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 7 10:54:20 2022 +0100

    Update audiohandler.cpp

commit 05c3433bcd9394d8fad73ac84d2d98f0534ac0d7
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 7 10:51:02 2022 +0100

    More testing

commit 1e51e36c9de3320848de6dd63ebe660a3a05c74c
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat May 7 10:43:28 2022 +0100

    Backup out of last change

commit 0d529b4a1b5830dd21c8ebcb1da81151105d3cb8
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri May 6 23:27:25 2022 +0100

    Update audiohandler.cpp

commit de6db645def2104a800b0646cfd2bc700f3e462b
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri May 6 23:19:31 2022 +0100

    Update audioconverter.cpp

commit 550407e0a9850d0af8f5d78bb077ad88eb15a4a8
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri May 6 23:15:32 2022 +0100

    Update wfserver.pro

commit 9118d8f4dc87b0f33ce4bd48aefa4cd976659232
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri May 6 23:12:29 2022 +0100

    Update audiohandler.cpp

commit 78f16b7cff51b49b9a681f5344d7e89c0ec308d5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri May 6 23:10:46 2022 +0100

    Add experimental audio converter

commit 41257378199119d2531c07028678d105d7edac11
Merge: 3bc0b48 5bd2909
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri May 6 08:14:43 2022 +0200

    Merge branch 'wfserver'

commit 5bd29096e5ea04468bbb6534db7b7964c7a5d927
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu May 5 18:48:45 2022 +0100

    Found issue with splitwaterfall function

commit 8b958d572caf34769e939cd623d82cb53cfd4978
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu May 5 18:09:16 2022 +0100

    Fix some compile warnings and try to support sharing lan connected rigs

commit 3bc0b4840a62d454a40a597cc21ba4179bf8da81
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Thu May 5 13:41:31 2022 +0200

    WHATSNEW

commit 159d757d5333b0fd601b4088fca32e663a1e23df
Merge: 7956684 bf5f819
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Thu May 5 13:41:04 2022 +0200

    Merge branch 'wfserver'

commit bf5f81992761149da556bebaabd321070cec3792
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu May 5 11:16:59 2022 +0100

    found another small retransmit bug

commit 7956684f7d98a5ad8a00c031d708bddebc3ff96a
Merge: b3068c2 7924d2b
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Thu May 5 10:44:22 2022 +0200

    Merge branch 'wfserver'

commit 7924d2b87f5908365222cf734c5738cc334bb90a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu May 5 09:01:04 2022 +0100

    Fix retransmit missing message

commit f662d1f7cd9d00b9d54ab978f10e72ddc225212b
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu May 5 08:57:50 2022 +0100

    Found another retransmit bug in server

commit b3068c269d07d8c826810fcc1df27ea3eedfcc6b
Merge: df2fb20 069c536
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Thu May 5 08:41:04 2022 +0200

    Merge branch 'wfserver'

commit 069c5368d870c7695b4423dc0ce21c154b6575a4
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu May 5 02:01:20 2022 +0100

    More debugging

commit 7b5f29f4fe122d5bcd3106efdafe9d9c21f1e855
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu May 5 01:49:21 2022 +0100

    More retransmit debugging

commit 4b19ed522fabf600d04fe5cea3f842caf8f43b8d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu May 5 00:31:55 2022 +0100

    Hopefully fix occasional retransmit bug

commit 24841c5da9f1f9df80cc8a3231aa99198ba30366
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu May 5 00:23:42 2022 +0100

    Fix debug message

commit cac93198a63cebdb2ab8695aaa8f9702da94d371
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu May 5 00:06:50 2022 +0100

    Debugging retransmission (again!)

commit 85ba0fb56967fdae1ae1ce6d180009c12089ad03
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed May 4 22:29:05 2022 +0100

    When using Float, force 32bit as Mac doesn't like it otherwise

commit 3aefa6893964506a45cbe3e0c466accd80de66c5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed May 4 20:37:58 2022 +0100

    More fixes to make client and server behave in same way

commit bdca404457c1c1dd9dcafc4645126e913657afe1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed May 4 20:21:29 2022 +0100

    Make udpserver and client behave the same way for retransmit

commit f42fbc2e54af93cb647d1f08cfbd9f7fe5d9f9c0
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed May 4 15:43:34 2022 +0100

    Try using float for all audio. Not tested on Linux/Mac

commit df2fb20d780dc5b084e61dfcdc651318bf7759b0
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue May 3 14:57:34 2022 +0200

    WHATSNEW

commit 6826586ef61bb74f40c52d83fa3bd165418fa6f2
Merge: f3bb465 105d178
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue May 3 13:15:22 2022 +0200

    Merge branch 'wfserver'

commit 105d1782ed83558bb80b85d8df65795117318eda
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue May 3 11:21:08 2022 +0100

    Remove unnecessary code

commit 2b04b84eb158a68598a508303df5927ca8c6a173
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue May 3 10:37:41 2022 +0100

    Fix for uLaw encoding

commit f3bb4655ffa4078eccbf7a3d9e34af58f0d886e7
Merge: b2d2ee7 92288aa
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue May 3 08:12:37 2022 +0200

    Merge branch 'wfserver'

commit 8d75d01e2c2ded4688787c3bf40fd4ecf27f07bb
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon May 2 17:15:41 2022 +0100

    Set Opus complexity to 7

commit 95cace832b56461408404c6b460fe3dc56737481
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon May 2 16:41:28 2022 +0100

    Try a reduced complexity on Opus encoder

commit 8217b12bc290f98537c60c24fa01c1859c38eb02
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon May 2 16:13:47 2022 +0100

    Update udpserver.cpp

commit a929b2b8a87dc2c40eedbe3b2d3db6e3a570940c
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon May 2 16:11:35 2022 +0100

    Name threads to ease debugging

commit 76e52c42db9b9c2f36474933767adf90b980664a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon May 2 16:01:54 2022 +0100

    Add parens

commit fb99a572726ad4c3b45bc22082d9f2c45d446b53
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon May 2 15:58:41 2022 +0100

    Tidy some connections

commit 43f423f1ad6d24dbac1d9365254da59b127eeb59
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon May 2 13:53:49 2022 +0100

    Tidy getnextaudiochunk()

commit 92288aa768ea95cae495bf693b603089940e6a99
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon May 2 13:08:42 2022 +0100

    Increase late audio timeout to 100ms

commit 09ea7a2c26b21da6e32c1cb8cc2d4f3811a0c937
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon May 2 13:03:27 2022 +0100

    Try readyRead instead of notify

commit 7bf2f54255838dbfc115170c80d23a16379ec708
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon May 2 12:55:58 2022 +0100

    Use notify instead of timer for audio input

commit fb0d662b4037e79cbdae7551fc4a22eeccd4f836
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon May 2 11:56:40 2022 +0100

    Add debugging back after revert.

commit 94bb78af50854b54149ef9046a04a2ef42691c3d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon May 2 11:52:23 2022 +0100

    Revert "Add some more debugging when audio is delayed"
    
    This reverts commit bb6c615b4ccfc126e26f6de1eac345e3ccc51557.

commit ab36165d9db4eb9b878b8cdc087ac9cee3f98717
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon May 2 11:52:09 2022 +0100

    Revert "Update audiohandler.cpp"
    
    This reverts commit 7130f71335487e38bc98a6dd905ac6dff0cd0f55.

commit 8f3a8d38d4c8b7e1ea65f93ffed5fab0806a8a17
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon May 2 11:51:36 2022 +0100

    Revert "Update audiohandler.cpp"
    
    This reverts commit 60824c2055aecd89614cf9bdc8c9c8233c195ac4.

commit 1ba97134081b11b474ffe7c611f0dac500fc3dfb
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon May 2 11:51:12 2022 +0100

    Revert "Reduce audio polling time"
    
    This reverts commit 26ea3bc3dcd496e561a32f2f3c8aa05e343794c6.

commit 26ea3bc3dcd496e561a32f2f3c8aa05e343794c6
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon May 2 11:47:44 2022 +0100

    Reduce audio polling time

commit 60824c2055aecd89614cf9bdc8c9c8233c195ac4
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon May 2 11:32:28 2022 +0100

    Update audiohandler.cpp

commit 7130f71335487e38bc98a6dd905ac6dff0cd0f55
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon May 2 11:29:34 2022 +0100

    Update audiohandler.cpp

commit bb6c615b4ccfc126e26f6de1eac345e3ccc51557
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon May 2 11:22:05 2022 +0100

    Add some more debugging when audio is delayed

commit 2525641e76d8ea027e4b221f3746496fa9a0bcc9
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Apr 28 12:32:40 2022 +0100

    Update audiohandler.cpp

commit 5b50127d0bbfd78f98df59614d65267b60944ebe
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Apr 28 10:52:46 2022 +0100

    Replace deprecated hex modifier

commit d0df7004ac0e0dde841db7cbdbe8f3b579eea119
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Apr 28 10:46:47 2022 +0100

    Improve hex encoding

commit ff17a74df8954e3cfac42c1e8c37990573542a45
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Apr 28 10:32:55 2022 +0100

    Make missing packets qInfo instead of qDebug

commit a9c21871b2c4ea4be2199abe9cf09494e9f9b95c
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Apr 28 10:05:51 2022 +0100

    Update audiohandler.cpp

commit 382f0951e58643612dfff6af6de906b815f58dd3
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Apr 28 10:02:51 2022 +0100

    Try to support all possible native audio formats

commit b510b70f041ca43f3259f793518b58686e440961
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Apr 26 08:40:58 2022 +0100

    Add WFVIEW response type back in

commit 2ec20ce18bb07c8f7261f6fd2ed03dbdb8dd9c57
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Apr 27 12:58:42 2022 +0100

    Comment out debug message

commit eb85bb1802f2b1b667d1747104172d549952cddb
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Apr 27 12:56:54 2022 +0100

    Improve logging and some code cleanup

commit 7f003c588e6917664c46116c0cfb6f6b6d538041
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Apr 26 14:50:16 2022 +0100

    Shuttle button commands now working (mostly)

commit 41c5637c30edcd669e77d120271ac9b1d162469d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Apr 26 08:52:08 2022 +0100

    rename counter to jogCounter to make it clearer.

commit 8fc9c48d5c2d0196800698bd0416e0ba45a91166
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Apr 26 08:45:57 2022 +0100

    Hopefully fix limited range warning

commit 49d1cc085af7860fb1c5700fd65ceb3327b633de
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Apr 26 08:41:58 2022 +0100

    Add default constructor for BUTTON()

commit 3ef1950dc286c4cd0154d71f7a593b29ad3d4729
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Apr 26 08:40:58 2022 +0100

    Add WFVIEW response type back in

commit 120bd7d30272439a69e6e596099f81e92e11a4ce
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 25 17:55:58 2022 +0100

    Link the correct hidapi library in Linux

commit 45b01cafb38cb2cfe64f045af2d8a3604fc57ad0
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 25 17:44:32 2022 +0100

    Update shuttlesetup.h

commit 96037cd055538dd5b0c3e0f5c0d1fe1ff6c16b98
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 25 17:40:41 2022 +0100

    Various fixes

commit aa002ed0b5e7706deee786f254e72166da15b82a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Apr 22 14:59:49 2022 +0100

    Change band via queue

commit 8ee8d23fb90a2c70a8883d5cbe8bae2fd67ed8ff
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Apr 22 11:11:21 2022 +0100

    'Almost' working shuttle support

commit fad416c5f3f705be46d606de76914213d7baf7cd
Merge: 0647caa 6716a57
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Apr 20 15:39:11 2022 +0100

    Merge branch 'wfserver' into shuttle

commit b2d2ee7001198886ce38a4994aa8732354585d41
Merge: e0f50f5 6716a57
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Apr 20 14:44:58 2022 +0200

    Merge branch 'wfserver'

commit 6716a57d5b6f1bea1c6709e6a20c6489745af4f8
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Apr 20 13:43:45 2022 +0100

    Fix wfserver

commit e0f50f579fb2f8e10efea3847781fafa0c0ab15b
Merge: 5685f6a 86502a5
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Apr 20 14:38:17 2022 +0200

    Merge branch 'wfserver'

commit 86502a5c3a5d69563e16926cc79d19ea95ca6947
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Apr 20 13:35:23 2022 +0100

    Various compatibility improvements

commit 5685f6aa67b83f4af00416b8327875e8e01b64f0
Merge: 4ba4358 d86f895
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue Apr 19 08:15:18 2022 +0200

    Merge branch 'wfserver'

commit d86f8958b2724e7c186e735852a85efe12de3498
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 18 20:29:50 2022 +0100

    Add support for splitting/combining waterfall/scope data

commit 4ba435845b16bef619ce835ea4fcfa238ff54124
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Mon Apr 18 14:13:53 2022 +0200

    added contributors and whatsnew changes

commit c1f9358d38bac2bd222cc4de1f174ec19ce80645
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Thu Apr 14 18:02:11 2022 +0200

    updated WHATSNEW and CHANGELOG

commit 2ff36e26b729abe3fbf9c3feab3ee154cd50192b
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Thu Apr 14 08:20:48 2022 +0200

    bumped versions for wfserver and wfview to 1.2e

commit 4fe9b2cba7e28fa55205ac9bda98cb49536743d1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Apr 13 12:55:59 2022 +0100

    Move wfserver configuration and add simple keyboard handler

commit a3977395c1b6d45840ec40d2b2ef07a61a7d3500
Merge: e834396 b67b43d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 11 23:25:30 2022 +0100

    Merge branch 'wfserver' of https://gitlab.com/eliggett/wfview into wfserver

commit e8343963873eeb98231794998c17afd9c619f08c
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 11 23:24:56 2022 +0100

    Force 16 bit samples if 24 is requested.

commit b67b43d0cb72da49abfbc067c932479747c243fd
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Mon Apr 11 14:20:24 2022 +0200

    added eigen3 for suse build

commit 55fdf52436d91a3ccda2ea1d667602a0890f1a97
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 11 12:13:48 2022 +0100

    Update audiohandler.cpp

commit 7542cc3f56753dc31930b1f25ae076d9e02cddee
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 11 12:11:10 2022 +0100

    Update audiohandler.cpp

commit b7dee4f5f4bcd372d0ecb237059a39f3b83f0270
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 11 12:04:40 2022 +0100

    Update audiohandler.cpp

commit 2b588ffce00ff690026bb2c11cb603d3d851b3b1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 11 11:59:38 2022 +0100

    Switch back to using a timer.

commit af2be449193392dd3c9119a4b63dad3d4568c323
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 11 11:54:06 2022 +0100

    Update main.cpp

commit 1e94a97964f2a6f626cd899cd2d71db2a810ae88
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 11 11:52:57 2022 +0100

    Add time to wfserver debugging

commit 718d54ee3b6b3094ffec5379f479c0f8a133195c
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 11 11:49:48 2022 +0100

    Update audiohandler.cpp

commit 9d63c36e51ba780f83a78e0100dc06f11e065e0d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 11 11:44:53 2022 +0100

    Update audiohandler.cpp

commit c0a1000c9a5d0e26935dc01dbff1a3e0af0821e3
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 11 11:35:33 2022 +0100

    Update audiohandler.cpp

commit 74de3087c8ee1015791d765145d18bab6341cd3f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 11 11:28:32 2022 +0100

    Update audiohandler.cpp

commit 3296e16195e5e7612934528c558ab566d8c66e50
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 11 11:26:52 2022 +0100

    Found bug in server audio

commit 3815ac67e74c2296c7cd09bff8e057f06a21d6af
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 11 09:59:21 2022 +0100

    Update audiohandler.cpp

commit ecbac9b48c6fca757136b384c207ef3c9a69a9d5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 11 09:53:58 2022 +0100

    Update audiohandler.cpp

commit 5ba0a382a984fa584c25b089985169ca52c19376
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 11 09:49:25 2022 +0100

    Update audiohandler.cpp

commit 4ca21b84cb512a16423beceec2607d61be9128eb
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 11 00:33:39 2022 +0100

    More opus changes

commit 109bdb28125322ab233b2fcbf35bfd9efa48723d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 11 00:23:08 2022 +0100

    Update audiohandler.cpp

commit 0a711e5c1fef87322eebd2aa697240860edbb4fb
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 11 00:05:54 2022 +0100

    Try a different method

commit e068bc5745d934030235547d4374544428d31840
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Apr 10 23:19:45 2022 +0100

    Fix for opus?

commit 50c8b4e5455d462e6a7b5e571c4e854d9f6f1f2f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Apr 10 23:13:51 2022 +0100

    Change audio output to use single/slot

commit a108f1ca997a201925026b7daba50d6a8db17f83
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Apr 8 18:55:41 2022 +0100

    TX Audio fixes.

commit 87c0850c5b89c665b0c92b28c627bdca23dbb505
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Apr 8 18:42:37 2022 +0100

    Fixed retransmit bug in server code.

commit 9e269d774ae0e3f68fecc8e97bafbbc1b7d6a5b5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Apr 8 15:51:59 2022 +0100

    Add some more startup logging and improve windows startup speed.

commit 03b324be1ec61aef2aa00697846e5709f65c4d9f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Apr 8 15:28:46 2022 +0100

    Set HighDpiScaling attribute

commit e87719bfd12b8454c5c19d98ad44dcf87e914501
Merge: 1f25ca6 2ee20d9
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Apr 8 14:40:43 2022 +0100

    Merge branch 'wfserver' of https://gitlab.com/eliggett/wfview into wfserver

commit 1f25ca67e8cff514b74c318f863cac6cf63dd54b
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Apr 8 14:40:05 2022 +0100

    Fixes to TCP server and attempt auto port detection on non-linux!

commit 2ee20d9415c8e290e6603d25c4bdaee9a7e3aa72
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Apr 8 12:12:31 2022 +0100

    Fix max build

commit 0aaf5de9764bbd71d8ee51a321a9c1ace7951003
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Apr 8 11:22:33 2022 +0100

    Hopefully fix silly retransmit bug

commit 87b1a9f84d2367a3b33895fc4baed96e0bf2fe4b
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Apr 8 09:58:58 2022 +0100

    Change some log messages

commit 23b37f27543197dc9d55bf5069518248dd3e8e87
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Apr 8 09:53:02 2022 +0100

    Attempt to fix weird retransmission bug

commit 2ca376a3c19eeb524c714534bd4d7db329e458e8
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Apr 7 19:23:38 2022 +0100

    Opus now should work with any native sample rate/type

commit 4f5e4addb6316ceb7f0df28b2c5f2b6a36401417
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Apr 7 19:04:49 2022 +0100

    Update audiohandler.cpp

commit 86237afd8b1922a0efeaadaa325ecb7c58b920d8
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Apr 7 18:57:42 2022 +0100

    Update audiohandler.cpp

commit c027413ee2b44e9174107f8811614bdddc11d0f7
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Apr 7 18:52:43 2022 +0100

    Update audiohandler.cpp

commit 2a889488c4cbb09366dd85cf024531ad071aa5ab
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Apr 7 18:48:47 2022 +0100

    Update audiohandler.cpp

commit e4d5efb3d586ce16376e2db6d9d1a46c4169be28
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Apr 7 18:37:47 2022 +0100

    Update audiohandler.cpp

commit d543f1474d4150471166e5adb8004bd5855b15a1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Apr 7 18:35:44 2022 +0100

    Update audiohandler.cpp

commit a21a44df865549ec916c107ee1ec7263f8425e87
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Apr 7 17:35:58 2022 +0100

    Opus issue

commit 53cae9173dd601eccbf6610758f7d28eab2ca6e6
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Apr 7 16:03:50 2022 +0100

    Use floating point opus encoder/decoder

commit 0f7a5566fc10ca9393bc5d4760f0a0b0e07cb710
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Apr 6 22:02:43 2022 +0100

    Fix underrun handler

commit f00051ecd47cc998b01f3536b3326f91ec0a4c49
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Apr 6 21:52:22 2022 +0100

    Use signal/slot for audio signal reporting

commit cfc22dcb30b84dcaa999b3a64e78c9986ecec30d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Apr 6 19:40:14 2022 +0100

    Allow for 8bit signed (in case computer uses it!)

commit 833371530ac4f06b92c70aca27514d551f1548e6
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Apr 6 19:39:43 2022 +0100

    Enable High DPI Scaling

commit 47772a4925a451a853a06519c23def7be39e5f84
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Apr 5 19:02:29 2022 +0100

    Few more audio fixes

commit 38fdec3da6f69bf95f902048624cdab843488d5a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Apr 5 16:47:43 2022 +0100

    More tidying and use float resampler

commit 45ac1fbe1c48b90d369820fdde72f52d6eb17ae1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 4 19:22:11 2022 +0100

    Remove ringbuffer as no longer needed

commit ac70ba5f8324e12c71e2ab54f999d0c4a32694aa
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 4 11:52:59 2022 +0100

    Add debug to make sure buffer size is really changing

commit 2cc875ff7cc3b245e99d41c79d64907fcb42fa6e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 4 11:47:55 2022 +0100

    Try to fix linux audio stopping on latency change

commit 64b4ef2019d11c2b67bdbbd2c626ba6be47c1a88
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 4 11:12:06 2022 +0100

    Few more fixes and move windows builds into separate directories

commit cf7a947beb7751371e77958c5c6fde495cade0ba
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 4 00:37:07 2022 +0100

    Remove debugging message

commit 5c2d6e57b2df88217359b00396f7a18212775f44
Author: M0VSE <phil@m0vse.uk>
Date:   Mon Apr 4 00:23:23 2022 +0100

    Fix linux compile

commit 83c494ecc1dafb3bbd134615ae80cc23626d1e1d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Apr 4 00:01:08 2022 +0100

    Remove rtaudio/portaudio for now

commit 389f661c79ab248596539eb5bd8c5dc84824a218
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Apr 3 20:16:52 2022 +0100

    Working (in Windows) audio output

commit 8ec62fec8d19380e07fee11d16de8deaed1de97b
Merge: acf4c1b e5b9750
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Mar 23 17:28:11 2022 +0000

    Merge branch 'master' into wfserver

commit acf4c1bf63df2f81333d369267e198f6723f9c64
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Mar 23 17:27:47 2022 +0000

    Start of test to include Eigen

commit e5b975038c4018bb41974d55da617757fae299c9
Merge: 6bd1395 32f438a
Author: roeland jansen <roeland.jansen69@gmail.com>
Date:   Wed Mar 23 15:45:51 2022 +0000

    Merge branch 'fix/typos' into 'master'
    
    Fix spelling errors
    
    See merge request eliggett/wfview!8

commit 32f438aa01bdbc5c56387dbbd4e566d6f30b5541
Author: Daniele Forsi <dforsi@gmail.com>
Date:   Wed Mar 23 15:45:51 2022 +0000

    Fix spelling errors

commit 6bd1395c1a7a6b00ec8d662935bfdd9e3c481b1d
Merge: 440429b 7266331
Author: roeland jansen <roeland.jansen69@gmail.com>
Date:   Wed Mar 23 15:45:23 2022 +0000

    Merge branch 'master' into 'master'
    
    Fixed broken implementation of "set_level RFPOWER" in rigctld
    
    See merge request eliggett/wfview!11

commit c5cf0fdf57ccf2f4419ff0d1e45f68e77224e7b4
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Mar 23 13:19:05 2022 +0000

    Slightly better tcp server implementation (still needs UI adding)

commit bfd9ddea52a2e92976239f928fa954a2792b354a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Mar 23 10:12:42 2022 +0000

    Initial tcpserver support (needs work)

commit 72663310c5ddfadcf8aec1477e9488678f069edd
Author: Russ Woodman - K5TUX <k5tux@k5tux.us>
Date:   Sat Mar 19 14:05:46 2022 -0500

    Fixed broken implementation of "set_level RFPOWER" in rigctld

commit ece5933d55c62a34c6d49168f9e2ebd7f0824ad7
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Mar 18 15:41:11 2022 +0000

    Some extra debugging

commit 38274cc3c8a70ac0b65f27d2a57a35b059929754
Author: Philip Kubat <pkubat@gmail.com>
Date:   Mon Feb 7 20:31:29 2022 -0500

    Added IC-746

commit 468cfa13034db29a7edd44d0cc742169b3742c0e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Feb 2 16:26:40 2022 +0000

    Add metahandler

commit feb5d13d135f4fe590d34a50122f5a8db152eea6
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Feb 2 16:07:03 2022 +0000

    Add some debugging to find audio/serial ports

commit 824a91b1258707ba00f86b50957ea4676d519aa9
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Feb 2 16:02:40 2022 +0000

    Few more fixes

commit 21a8bbc1a62aec595cca0b4b8fe7b9ddf5a46776
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 30 10:55:12 2022 +0000

    Qt 5.9 compatibility

commit 156d03706aec8083cffe331c44936e9cc183ee39
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 30 10:52:40 2022 +0000

    Update udpserver.cpp

commit 46cd6c1e5336af032e0c3bdde5095317a4fa656a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 30 10:29:23 2022 +0000

    Hopefully fix Linux compile error

commit 9ae8bc660c2c22b4c887e33997f58921fabb8540
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Jan 29 22:50:58 2022 +0000

    Lots more fixes and tweaks

commit dd9be7c99ceb0576c5de837bf44b526c2118db50
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 28 09:52:26 2022 +0000

    Tuning lost packets

commit 30d5858663edd0ab5433bbe9f0a38b7345356fa5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 28 09:43:53 2022 +0000

    Max missing packets slightly less than buffer size

commit c0fabb3999f20044339f4686e85d55f9f449a8b3
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 27 23:51:25 2022 +0000

    Update udphandler.cpp

commit 6427be05b824e9d97e05324e17f369cbe027d781
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 27 23:47:17 2022 +0000

    Update udphandler.cpp

commit be7dbbb39586967593441e5f684229c6b3ea1444
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 27 23:40:29 2022 +0000

    Missing ;

commit 9d2801a5054e78665fe1d8b77475529aa8d4fce1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 27 23:39:45 2022 +0000

    Improve congestion calculation

commit 3568c80fcc695a0cfeba22a9c68190b4df03ed84
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 27 23:28:34 2022 +0000

    Fix mutex

commit fe7bdf134538e382549b6dbc592e4820a12bc041
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 27 23:24:54 2022 +0000

    Flush buffers on excessive missing

commit d29c1ddba771bb951ac13fe36c92c69d2058cfd2
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 27 23:12:07 2022 +0000

    More retransmit fixes

commit 3d1e04c556f5246b6628e81c93ad0abbfae32ec7
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 27 22:52:50 2022 +0000

    Fix compile issue

commit 77b7462f74c1072bb23f947b5d1cb34923335b53
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 27 22:51:28 2022 +0000

    Restore partial QT5.9 compatibility

commit bce66393fb063b19f5c0052bb4a50d3726ec6c57
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 27 22:44:30 2022 +0000

    Remove unnecessary code

commit 2f4fe061b3c38896cdf5b4f34ea8a9e24e37ea1d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 27 19:11:16 2022 +0000

    Improve missing packet handling

commit 4a1be30c40d0d611806bc63a13f2c7f540153ea5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Jan 26 09:49:52 2022 +0000

    Non-working standalone server

commit 5ae3549ba50e19784bbd0e4499352de525d42260
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 23 17:54:40 2022 +0000

    Treat GUID as 16 bytes rather than trying to be clever!

commit 87a36426cf0c25d4cae95f6eb3ffd282605dac56
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 23 16:43:58 2022 +0000

    Fix some compile warnings

commit 264ad231c0a40e59bbab1bdd98b088f72212d893
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 23 15:06:31 2022 +0000

    Now supports multiple radios on OEM server

commit ff47fbd82f7eb6e57c30640764055e675f00c0db
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Jan 22 22:53:06 2022 +0000

    Make radio selection visible when there is more than 1 radio.

commit 1c8bc62fcca067e0c394531a4d71ded971971979
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Jan 22 18:49:07 2022 +0000

    More linux build fixes

commit 45e074783acc3668894f5b4231fcb2201212abcd
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Jan 22 18:32:08 2022 +0000

    Hopefully fix linux compile

commit 3ff6e7180a0914462466a07af27df41a811de89d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Jan 22 15:32:53 2022 +0000

    Add radio_cap_packet MetaType for server

commit 88d2124f358fcb021fcbd1c4f69175891c0c34e7
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Jan 22 15:28:41 2022 +0000

    Add MetaType for radio_cap_packet

commit 39540612c7d86f7b4c2e3e00b0aca33c2d4643d8
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Jan 22 15:12:36 2022 +0000

    More multi-radio support (nearly working!)

commit 96de9c55fa3e355b1f8019d7513b83166a96227e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 21 23:58:18 2022 +0000

    More work on multi-radio support

commit 41e90bb30975bec82e7558caf89c754a31731d71
Merge: fcc7c9a 440429b
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 21 19:23:45 2022 +0000

    Merge branch 'master' into wfserver

commit fcc7c9a5dc49a0c59e2a30bd67d5121d6c819c94
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 21 19:23:32 2022 +0000

    Lots of changes, mainly for multi-radio support

commit 440429be9f1abf457e9a033d72d7faaf238166c1
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Jan 20 23:26:46 2022 -0800

    Adjusted window size for radios without spectrum. Thanks K5TUX.

commit e4cc2962b3cbdd5305f5118345323051591c088f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Jan 18 09:06:23 2022 +0000

    Fix wfserver linux build

commit 4e086ac2200620d1c7b3d14c7b89d3457444cb91
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Jan 18 09:03:41 2022 +0000

    Fix building both wfview and wfserver together

commit 9f059c9e7376c8540f798d4560f9d93763434799
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Jan 18 08:58:02 2022 +0000

    Fix portaudio build

commit bcadb2176bda078a7f03db8f03e44de030ce4cc4
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Jan 18 00:18:52 2022 +0000

    Remove unnecessary signal/slots

commit 55baec6100095dd45669a0774caf42ead6bc720b
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Jan 18 00:14:37 2022 +0000

    Only show server status message once

commit 4ebfe457c75721f99cd16067bf0bc5503edb9380
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Jan 18 00:11:15 2022 +0000

    Tidying of server code

commit 387b26187de42a78a33edb1d79f915736e9a4ccb
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Jan 17 17:23:55 2022 +0000

    Initial server commit

commit 28812be8bef2544bf1d2fdc2155d722461ed34d7
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 16 19:17:32 2022 +0000

    Buffer for correct latency

commit b87e0de05d73a26927c2182445d8528486dc5bfb
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 16 19:04:44 2022 +0000

    Force refilling buffer once it has been flushed.

commit b691398f6a9dcf93568697adbb527ba2dfb8ecd9
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 16 18:54:41 2022 +0000

    Increase audio buffer size

commit 914477d1dcc72b4b93c80dac739132352cb3b6b5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 16 18:47:13 2022 +0000

    Tidy code after merge

commit ada263efedf4e609081769adfb1d48cf31d1d71c
Merge: 1611058 a75c6e0
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Jan 16 18:28:36 2022 +0000

    Merge branch 'master' into audio-enhance

commit a75c6e0fdf2025b1d0ef69b347b75941e1fd4493
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Jan 15 16:31:50 2022 +0000

    Zero audio to stop blip at startup

commit 01ea44df0b5b58b40913e40623ed0570f6480e79
Merge: 3abb4bc f8351ad
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sat Jan 15 16:01:47 2022 +0100

    Merge branch 'master' into settings

commit 3abb4bc58464bdd8c24c47e8e2f826f8c0f40adc
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 14 20:58:06 2022 +0000

    Revert "Try to send outgoing audio every 10ms"
    
    This reverts commit b8f6feacbf6cbd272b727ddf6833c7b801b4797e.

commit b8f6feacbf6cbd272b727ddf6833c7b801b4797e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 14 20:55:41 2022 +0000

    Try to send outgoing audio every 10ms

commit 03799b2cda34735497bbd73a86d9f26ae6a9a5ef
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 14 20:52:25 2022 +0000

    More fixes

commit dcb47127405efebebf579a086aec1506b245e911
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 14 20:41:56 2022 +0000

    Move buffering code

commit 7d5ec8a0658fa4fcc643748dfb935efdaff7f829
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 14 20:29:27 2022 +0000

    Check when audio has been buffered

commit b4884e773a059ce6245aa45e9474259a2dec90d1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 14 20:23:59 2022 +0000

    Ensure buffer is at least 1/2 filled before starting

commit 918238835d664883fc3dd7f929d339d7bcd99e3e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 14 20:12:50 2022 +0000

    Catch excessive missing packets

commit 2eace96be9754e7b403d0400dee058882378bc07
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 14 19:57:12 2022 +0000

    Set tx/rx gain in server

commit ed7d88eb1ec5aae0c0570bbadf5361fb1645e2ad
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 14 19:43:48 2022 +0000

    Fix that didn't work!

commit d9a611e118244216b1ecd7388ff239e5d13553ee
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 14 19:40:25 2022 +0000

    Set latency for tx and rx

commit 4a200006eb357b9aa8f6eef3f99214dc4f7293c7
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 14 18:57:20 2022 +0000

    Extra audio debugging

commit 02f222355e3c31905c01ced2a50a81745406afbf
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 14 16:23:01 2022 +0000

    Set latency for tx and rx

commit 5a9342d9a9cdfd0c46251509056c9fce8d0c4ef4
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 14 16:21:32 2022 +0000

    Clear audio buffer if it's full

commit 94a89dea33c53f69f3dcb37f7c11f56941e062f9
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 14 16:00:05 2022 +0000

    Clear audio buffer if too many packets are delayed

commit 317cbd640a7159b941ce13aa227480b415153825
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 14 15:49:35 2022 +0000

    Minor fix to retransmit handling

commit e00b598fd9d592414ae4fe81f893dc2bfd7d6821
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 14 14:10:21 2022 +0000

    Hopefully improve retransmit search

commit ce0544ac6a6dabc2f32b40b8b5232da64a1183d8
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 13 21:53:53 2022 +0000

    Ignore single missing audio packet

commit 4696fe68246400feb28a23003fcc8a6d90f3869f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 13 21:50:43 2022 +0000

    Set buffer size with a #define

commit 99ca97370b5d79f4c0c8c690cba97dad7bec3e59
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 13 21:12:27 2022 +0000

    Correctly remove items from the buffers!

commit 1291990d54fd97e68e22364a1bb8b6d807e5472e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 13 20:26:42 2022 +0000

    Reduce number of mutex locks during retransmit processing

commit 4fa83b79f0ace1d3278b6bcd3a6e9b29ebd7d402
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 13 20:16:14 2022 +0000

    More debugging to isolate audio stalling

commit 184af7a582496c1b21f115673077c63e7f196654
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 13 19:54:43 2022 +0000

    Add extra debugging

commit d4868ae14c531a60f154f6dde00afe42a71fd168
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 13 19:34:34 2022 +0000

    Latency on server is wrong way round!

commit e00fa2622915404ed7ab2d966f654e9289a821c6
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 13 11:17:13 2022 +0000

    trying to find the cause of server audio issue

commit 5a92c071d1252abd575ed7fbfeee275f5fd2a965
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Jan 12 20:01:17 2022 +0000

    Set audio send period on server

commit f8351ad6100452200db05c169c34253b8cce060c
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Jan 12 19:19:14 2022 +0100

    Revert "Beginning of the new Settings tab. Does not compile as-is yet."
    
    This reverts commit 0c807f54c2a752f760da65e431c09f06d04a7674.

commit 9cbcb3aa1cd407f0a3f7a2b8f500f5561052b5e1
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Jan 12 19:19:12 2022 +0100

    Revert "Brought back the Save Settings button"
    
    This reverts commit 888824f9a4d0991786899dca86fddf1f5d3fc50a.

commit b85c268f2c5f79d60ee8ec3044221b0c3b03600b
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Jan 12 19:19:11 2022 +0100

    Revert "Added more pages."
    
    This reverts commit 700ac53b288fc987f009c9d421192f08ea63d1be.

commit ae5684238c55f8851b217c9d1f321fe91edab83d
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Jan 12 19:19:09 2022 +0100

    Revert "Working preferences with a list."
    
    This reverts commit 26f15cc9dbe35b58fca01108b52c355d4a8f0ab4.

commit 0a42db97c200ccbfd1be6b9d32896fade7ff45ed
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Jan 12 19:19:06 2022 +0100

    Revert "Changed width of list, other minor tweaks."
    
    This reverts commit 6b30cb53bc0cac03cb599b9f5fbb9d30a5ca7de8.

commit 942d7beb9996267bd5cd88f502422f65850ec08d
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Jan 12 19:19:04 2022 +0100

    Revert "Added clock and UTC toggle."
    
    This reverts commit 314d78ad051081c0ced4c843a4574ccf743fab7b.

commit 1667df89baeff36f1a13d3b27cfb2f36fa628be3
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Jan 12 19:19:03 2022 +0100

    Revert "Slightly wider radio connection box"
    
    This reverts commit 7564239a68c90fc7863758b29c1cc3718dea7d61.

commit 91d90f2ae688ca13b769cf3c9ab2a4bab7487286
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Jan 12 19:18:58 2022 +0100

    Revert "Changed the order of the mod source combos"
    
    This reverts commit 9a781c671ec8cb9aa8c7b818c3c2367cdd0d38e6.

commit 837cc5fa8b79aa249c3d0b0135d9c78d0107a6bf
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Jan 12 19:18:57 2022 +0100

    Revert "Larger vsp combo box... seems like it resizes though?"
    
    This reverts commit 37a2c1caf398d2919e97ea209f8d61a73059cc3c.

commit eaa7a8edad2cc8ef41fbe94ab226d898791ea7dc
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Jan 12 19:18:55 2022 +0100

    Revert "Change to width of group box"
    
    This reverts commit c860fa77a161e52fcb04ab0693fd218cfa99a244.

commit 809f67ad19490a18e8bac146f309d9c877d8bd8c
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Jan 12 19:18:54 2022 +0100

    Revert "Changed the enable/disable for some network UI elements."
    
    This reverts commit 7977de42d9e4c7c4bb25a770e1bce949701e1f45.

commit 4f34e54b02ccd78373a16710b9c26b5f7aba7b45
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Jan 12 19:18:53 2022 +0100

    Revert "A little more on the enable/disable UI elements. Should be good."
    
    This reverts commit 8e95919aa92b4d66b65ff848969bb096e50d47f5.

commit 9dd9293036d52c852ba5b2ce18fe7ed57a8760a1
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Jan 12 19:18:52 2022 +0100

    Revert "Masked password input after focus change."
    
    This reverts commit 605a87dec9087b78c5c1420444b0c76ca0cb4d96.

commit d1d0194600f6c7145ecda4d75ec2e02a42ced07e
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Jan 12 19:18:50 2022 +0100

    Revert "Integrate server setup into new settings pages"
    
    This reverts commit e1cdcad65baaef93b5d80a1492b86d302f21a0ea.

commit 54d08c5b8a9b27c2db7bbc9768df6601c05c3ed2
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Jan 12 19:18:35 2022 +0100

    Revert "Edited some size constraints for better resizing and full-screen mode."
    
    This reverts commit c8b4992bab0a676852e1ca485cd5413a46415a9e.

commit 41ec08ecba5481742a7e24c70149c84e40638d23
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Jan 12 19:18:34 2022 +0100

    Revert "Minor typo with the new audio selection combo box, only on PORTAUDIO"
    
    This reverts commit d1165980a93ecd1839fc443e7f5bc9389cc0995d.

commit a231cb086f7a9ccbede8f7d541d6c70b98c9ca00
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Jan 12 19:18:32 2022 +0100

    Revert "Added forced manual RTS setting"
    
    This reverts commit 8dd42ba39224623f2881e760176637ebc1a2fa66.

commit d742c7564a3c020d1880b1dd925a9a2fb15e237b
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Jan 12 19:18:30 2022 +0100

    Revert "Allow dynamic restarting of server"
    
    This reverts commit 3f06ab60612edc3d98988de7964b81046830fd54.

commit 9e87d35069e1abe6de3ceb70d54b38a53cd96c82
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Jan 12 19:18:29 2022 +0100

    Revert "Clear server status when disabled"
    
    This reverts commit 2c82561ff57f444f21ffb02e5ec7afd58684e853.

commit 91f4269de8e51ad0f64c08e8c4707e9c225f91ad
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Jan 12 19:18:27 2022 +0100

    Revert "Update server users table dynamically"
    
    This reverts commit cf1caf0a0f1caca88468ab3961f6c809844b6a3d.

commit f36f4db49795345bbbddee8c0b98302db4259f8e
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Jan 12 19:18:19 2022 +0100

    Revert "Fix typo for portaudio/rtaudio builds"
    
    This reverts commit daf94543acd337e25d57282b29736ee5c61fbfc0.

commit 89ac99b3f9dd522fb8a803997d3ff66d7e002bb8
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 7 14:52:33 2022 +0000

    Bit of tidying

commit 82b655cc0986f18b91af5dce1219c243ae0729da
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 7 14:42:32 2022 +0000

    Try to fix lock condition in server

commit db702123f9083f69cf8ac520256abf1f6d10e4f7
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 7 12:31:15 2022 +0000

    Keep audio mutex until all processing is done

commit 6e44480d6b9a55d50a0d7b7afe009be6f9f0fa8e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 7 12:28:43 2022 +0000

    Revert "Tidying of audio handling"
    
    This reverts commit 5a6ff8489249e260a76c496d6318281a6b65001f.

commit 3036108d6f094fc28b07f79ab81dfb4c1c5dce08
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 7 12:28:30 2022 +0000

    Revert "Hopefully fix opus issue in last commit?"
    
    This reverts commit 7dd325c3ae510bf89a3617b340be71d78b6d3523.

commit 7dd325c3ae510bf89a3617b340be71d78b6d3523
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 7 12:16:33 2022 +0000

    Hopefully fix opus issue in last commit?

commit 5a6ff8489249e260a76c496d6318281a6b65001f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Jan 7 12:09:36 2022 +0000

    Tidying of audio handling

commit 6c29eb12a25ae4ba830533b838341834bd4b5b26
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 6 13:44:29 2022 +0000

    Improve FEC operation with opus

commit 9284a494697fd0a784e66d8eabe4aed619bc1ab9
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 6 10:08:36 2022 +0000

    Try again to fix server restart!

commit 43fb31e8d008973c750f75651e39bed8807011ea
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 6 10:03:58 2022 +0000

    reconnect server signal/slots after restart

commit 5e2c77b87252760bdf9bcf01a82a7ff73ee3e1a1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Jan 6 09:53:47 2022 +0000

    Spotted another error in audio settings.

commit 3035e5c712cfbd68dc27699864dc48375884608b
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Jan 5 15:27:46 2022 +0000

    Attempt to enable FEC, not sure if it works though?

commit 8bf107fadc68b62134c690f0372f8cb58832eafb
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Jan 5 14:53:12 2022 +0000

    Fix a few compile warnings

commit 9b8221b32e1cc8d28da00eae8603c2de4603fc26
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Jan 5 14:45:34 2022 +0000

    Ignore wrong ping seq

commit f77defd9d75f7a10d3c2bbac0a5b7a863e152be0
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Jan 5 14:40:40 2022 +0000

    Fix silly typo which was causing audio crash!

commit a91450c90b3f6d92dbb7c68cbeae6d83d4c9adf5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Jan 4 21:30:48 2022 +0000

    Maybe fix server audio issue?

commit 1611058f7755f078fb76f96fac7dde0edffd85d2
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Jan 4 21:26:03 2022 +0000

    Maybe fix audio crash?

commit 18646ab0cf5030ecf71fb7d7c8116159248860e4
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Jan 4 19:55:48 2022 +0000

    Add SERVERCONFIG metatype

commit fce3a3d6be3fdab54d0549922880bde73fe34915
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Jan 4 19:50:38 2022 +0000

    Try to fix server

commit 8ec82e74069c3381ff8eb8495aff8e6bc904e26c
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Jan 4 19:04:36 2022 +0000

    Various tidying in server and client code

commit 360ceccdc6f3700c7c2faf9b691f393a5737e722
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Jan 4 18:42:47 2022 +0000

    Update wfmain.cpp

commit 93e2c5529e31ea7465d2b85a1e349807d4f769ad
Merge: 6f719d8 daf9454
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Jan 4 18:40:44 2022 +0000

    Merge branch 'settings' into audio-enhance

commit 6f719d8961d0658599773abea760e298dd2bd058
Merge: ff6d0a6 6011816
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Jan 4 18:37:07 2022 +0000

    Merge branch 'rigctl-enhancement' into audio-enhance

commit ff6d0a6a65d040967564205de44af26417407e5e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Jan 4 18:34:34 2022 +0000

    Merge settings branch

commit 88ebf74e14447da199b3ecee4ce200e14cd25dc9
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Dec 31 12:06:17 2021 +0000

    Fixes to allow both QT5 and QT6 to compile

commit 4203b62327be2f9ec4aa226468c253be2c819411
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Dec 31 00:34:51 2021 +0000

    Quick fixes for v6.2

commit 60a1d405497e02bacbf2756fe96c11c99c6490fa
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Dec 31 00:30:22 2021 +0000

    Fixes to maintain QT6.2 support

commit 2a0b79449dff1dbbaad143afe48f8a17d2f0cc5e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Dec 31 00:03:05 2021 +0000

    Merge

commit 7d95f2d863643c8638b3a6da7c8568fd72f6af17
Merge: 0d9c7b5 daf9454
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Dec 31 00:02:47 2021 +0000

    Merge latest settings changes

commit daf94543acd337e25d57282b29736ee5c61fbfc0
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Dec 30 18:27:22 2021 +0000

    Fix typo for portaudio/rtaudio builds

commit cf1caf0a0f1caca88468ab3961f6c809844b6a3d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Dec 30 18:22:34 2021 +0000

    Update server users table dynamically

commit 2c82561ff57f444f21ffb02e5ec7afd58684e853
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Dec 30 11:24:44 2021 +0000

    Clear server status when disabled

commit 3f06ab60612edc3d98988de7964b81046830fd54
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Dec 30 11:17:54 2021 +0000

    Allow dynamic restarting of server

commit 8dd42ba39224623f2881e760176637ebc1a2fa66
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Dec 30 01:52:23 2021 -0800

    Added forced manual RTS setting

commit d1165980a93ecd1839fc443e7f5bc9389cc0995d
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Dec 29 19:49:16 2021 -0800

    Minor typo with the new audio selection combo box, only on PORTAUDIO
    builds.

commit c8b4992bab0a676852e1ca485cd5413a46415a9e
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Wed Dec 29 17:52:35 2021 -0800

    Edited some size constraints for better resizing and full-screen mode.

commit e1cdcad65baaef93b5d80a1492b86d302f21a0ea
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Dec 30 00:48:39 2021 +0000

    Integrate server setup into new settings pages

commit 605a87dec9087b78c5c1420444b0c76ca0cb4d96
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Dec 24 08:21:50 2021 -0800

    Masked password input after focus change.

commit 8e95919aa92b4d66b65ff848969bb096e50d47f5
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Dec 23 21:04:53 2021 -0800

    A little more on the enable/disable UI elements. Should be good.

commit 7977de42d9e4c7c4bb25a770e1bce949701e1f45
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Dec 23 21:02:35 2021 -0800

    Changed the enable/disable for some network UI elements.

commit c860fa77a161e52fcb04ab0693fd218cfa99a244
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Dec 23 20:55:48 2021 -0800

    Change to width of group box

commit 37a2c1caf398d2919e97ea209f8d61a73059cc3c
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Dec 23 20:45:58 2021 -0800

    Larger vsp combo box... seems like it resizes though?

commit 9a781c671ec8cb9aa8c7b818c3c2367cdd0d38e6
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Dec 23 20:26:53 2021 -0800

    Changed the order of the mod source combos

commit 7564239a68c90fc7863758b29c1cc3718dea7d61
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Dec 23 20:15:39 2021 -0800

    Slightly wider radio connection box

commit 314d78ad051081c0ced4c843a4574ccf743fab7b
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Dec 23 20:05:34 2021 -0800

    Added clock and UTC toggle.

commit 6b30cb53bc0cac03cb599b9f5fbb9d30a5ca7de8
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Dec 23 19:52:56 2021 -0800

    Changed width of list, other minor tweaks.

commit 26f15cc9dbe35b58fca01108b52c355d4a8f0ab4
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Dec 23 19:45:58 2021 -0800

    Working preferences with a list.

commit 700ac53b288fc987f009c9d421192f08ea63d1be
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Dec 23 19:34:45 2021 -0800

    Added more pages.

commit 888824f9a4d0991786899dca86fddf1f5d3fc50a
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Dec 23 16:52:29 2021 -0800

    Brought back the Save Settings button

commit 0c807f54c2a752f760da65e431c09f06d04a7674
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Dec 23 14:30:58 2021 -0800

    Beginning of the new Settings tab. Does not compile as-is yet.

commit 4be3398dfa9abc573f84a8ec793d66dd679fdc8c
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Mon Dec 20 14:40:41 2021 -0800

    About box updated to include Patreon site and to indicate path for
    stylesheet only as applicable.

commit 1dc5cc042816b281b733d327ed1f4b692f37d38a
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sat Dec 11 10:49:06 2021 +0100

    added 500 Hz step for VFO

commit da9f60e0bc2a012f3e7d591a555101f9079a59f3
Merge: e729c34 6011816
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Dec 10 12:09:32 2021 +0100

    Merge branch 'rigctl-enhancement'

commit 60118169e1026456abd0633003dbd7d1bde37344
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Dec 7 14:52:47 2021 +0000

    Properly handle different rigctld client versions

commit 247817077c69bfb9c80eac8e505802c0307c0c7d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Dec 7 12:32:51 2021 +0000

    Add RIT function and other rigctl fixes

commit e729c34ec5010985af4466457533a9a489811b5d
Merge: 55cda83 81c9563
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Mon Dec 6 17:41:55 2021 +0100

    Merge branch 'rigctl-enhancement'

commit 55cda83ec242e2ad614fc72188161d47b51e33d2
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Mon Dec 6 17:41:11 2021 +0100

    WHATSNEW updated

commit 81c9563f1679dfad95022336288c34e5fef30bf4
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Dec 4 19:21:23 2021 +0000

    Various changes and fixes to rigctld/rigstate

commit e104262bff87f0e4f80e665cdf7e11b963d32328
Merge: d71fb9e 43119e1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Dec 4 17:22:36 2021 +0000

    Merge branch 'master' into rigctl-enhancement

commit 43119e101c3b61d3630cde44df0eb9d006eea6f2
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sat Dec 4 18:19:01 2021 +0100

    removed another swapfile (some day I'll learn..) and normalized WHATSNEW

commit 0d9dfed85eb5ef1d66bca92dceb4873247b21db5
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sat Dec 4 18:09:32 2021 +0100

    WHATSNEW and CHANGELOG updated

commit 0d9c7b5e308553e9f41ef5536f5cae183d082d11
Merge: 4743cd1 b1ef680
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Dec 1 10:24:42 2021 +0000

    Merge branch 'master' into QT6.2

commit d71fb9ef4a3c76871243d334b2361e8b32a40001
Merge: 47b439b b1ef680
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Dec 1 10:22:29 2021 +0000

    Merge branch 'master' into rigctl-enhancement

commit b1ef680dbf71edefbbef63125acc754df46dc499
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Dec 1 10:21:40 2021 +0000

    Another "minor" update for RX only rigs

commit f67bed583226c01feb67ca77041865cec87f11f5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Dec 1 10:13:21 2021 +0000

    Disable certain TX commands for RX only rigs

commit 47b439b74166a1167482a80fd3a9d362e57b91c8
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Dec 1 10:01:05 2021 +0000

    Rewrite rigstate (again!)

commit 104b3955452767f75172c7750a7ce3f6f27c1b2e
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Nov 26 18:05:32 2021 +0100

    missing space

commit 66734b3be05ca6ecad1f92519dbc3c05eec3a470
Merge: ac72eed 9ba216f
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue Nov 23 08:19:17 2021 +0100

    Merge branch 'audio-enhance'

commit 9ca9379f88c4f3a7301c270cdf6e694b04620d82
Merge: 10fc10e ac72eed
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Nov 23 00:40:46 2021 +0000

    Merge branch 'ui-enhance' into rigctl-enhancement

commit 10fc10ef82aef654f6b258378eb2526b0a2218ed
Merge: 8ddf688 9ff394e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Nov 23 00:40:05 2021 +0000

    Merge branch 'master' into rigctl-enhancement

commit 8ddf6880ee6915b9ae473be86c54b6ff400ca66c
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Nov 23 00:39:36 2021 +0000

    Windows support files

commit c5d2ecb79333fa5565a4891cc92414e5a91ea88d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Nov 23 00:39:10 2021 +0000

    Change rigstate to a class

commit ac72eed7c8d5c8b190fd46d9c4e7767cd80f3d3f
Merge: 13af5c0 9ff394e
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Mon Nov 22 13:36:54 2021 -0800

    Merge remote-tracking branch 'origin/master' into ui-enhance
    Also added in changes for the size of the combo audio source boxes.

commit 9ba216f1d94f9bbf4d686d3c4c43835504139e7b
Merge: ee6889d b0ffc94
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Nov 22 10:37:38 2021 +0000

    Merge branch 'audio-enhance' of https://gitlab.com/eliggett/wfview into audio-enhance

commit ee6889d163ceba36264aff757704134c2c14e4cf
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Nov 22 10:37:21 2021 +0000

    Add mutex within rigState to protect access

commit 9ff394e0cdb6e7480314337abec888b97cc458e8
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Nov 19 20:50:53 2021 +0100

    changed debug command

commit a4a9297747980d91146cf4153bcf6d7716cc549f
Merge: 1f4878d b0ffc94
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Nov 19 20:48:05 2021 +0100

    Merge branch 'audio-enhance'

commit b0ffc94ff977d74b9c774dad00ed2a8d2183b825
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Nov 19 18:48:15 2021 +0000

    Add more version info

commit 1f4878d4537ae31b6347f9f0598d7e4923e9c9a5
Merge: 8908f5a d86eb07
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Nov 19 19:29:40 2021 +0100

    Merge branch 'audio-enhance'

commit d86eb078326789b1e3c052f972139a5d116abbec
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Nov 19 18:26:45 2021 +0000

    Fix WFVIEW_VERSION in mac/linux

commit 8908f5a34c2c73a941eddd7aede3ac8f6a27a49c
Merge: cbaac5f 39f0741
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Nov 19 19:01:30 2021 +0100

    Merge branch 'audio-enhance'

commit 39f07414eecd6a2a20ea92416a78df23b574e325
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Nov 19 17:52:18 2021 +0000

    Add --version command line argument and WFVIEW_VERSION #define

commit 13af5c0b1ba797a31f86e095da92e8309e837844
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Nov 18 13:13:54 2021 -0800

    A little less green in our gray.

commit 1a03214f59e574be0006c7860a2c325cf94a59c9
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Nov 18 13:12:12 2021 -0800

    Added size rules for audio source combo boxes.

commit cbaac5fd2658ffff9540dcbd58fbcf12158d9413
Merge: 62087bf 62771f6
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Thu Nov 18 18:51:19 2021 +0100

    Merge branch 'audio-enhance'

commit 62087bfd5b9ef5e3e1e3297df1df50e0f8b703b0
Merge: 1503ecd 130d105
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Thu Nov 18 18:50:28 2021 +0100

    Merge branch 'master' of gitlab.com:eliggett/wfview

commit 62771f6b590e5aa46e4a4891d51c662d01978ec4
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Nov 18 14:09:09 2021 +0000

    Fix silly bug in retransmit code

commit 130d10553539e358ecc0e5603e5d1ea1137a90f5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Nov 18 14:09:09 2021 +0000

    Fix silly bug in retransmit code

commit 4743cd126b9437162e37ba8ef05697e73fe8a357
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Nov 18 14:09:09 2021 +0000

    Fix silly bug in retransmit code

commit 9f0673ae717535f685f8fd30ae1383dd8efdab20
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Nov 18 14:08:40 2021 +0000

    Fixes to tidy-up QT6.2 support

commit 395469daf32337fa65fb2c051d8a01f15a210029
Merge: b7407fc cc2f2b2
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Nov 18 12:23:27 2021 +0000

    Merge branch 'audio-enhance' into QT6.2

commit cc2f2b2576331000297cd58dccec0622b42edd6d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Nov 18 12:20:36 2021 +0000

    Remove some extra logging from audio

commit 42675ae770ad79920f7914265c33cdf279b12ff6
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Nov 15 19:28:44 2021 +0000

    Add mutex for incoming audio on udp and server

commit b5591e08674bd3883f002e2da219834f2d933b20
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Nov 15 15:26:18 2021 +0000

    Force PA to use 48K Sample Rate if default is 44.1K

commit 04526db635c023a0c47f4155709a064fd5595b35
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Nov 15 15:02:00 2021 +0000

    Try using slot for audio again

commit 0cc2945d28792959094fdcf9bf94bd2f14e155b6
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Nov 10 20:45:59 2021 +0000

    Server only tries mutex lock for 10ms before giving up.

commit 1503ecd9f74303243444d349d7159f9c4b86eb12
Merge: a2cfc8c c99439e
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Nov 10 20:32:26 2021 +0100

    Merge branch 'audio-enhance'

commit c99439e759ecb20c6454f24ad7e57bd59ec88c45
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Nov 10 18:07:48 2021 +0000

    Check number of samples in opus packet before attempting decode

commit 81c83357f2e421adf474c778906975b12ca147ce
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Nov 10 17:44:33 2021 +0000

    Catch exception in opus_decode

commit a2cfc8c0645da45b77e984ae06711bd9e18e0969
Merge: d99b14c bb53558
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Nov 10 08:41:44 2021 +0100

    Merge branch 'audio-enhance'

commit bb53558c92bc4235870f9dcfb3ee03cf8736fa9f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Nov 9 15:55:43 2021 +0000

    Small changes to audio handler

commit d99b14cc411d9b5c1094dbe2ff23f0036ce6c546
Merge: 847e607 827614e
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sun Nov 7 15:43:19 2021 +0100

    Merge branch 'audio-enhance'

commit 827614e080687169f220dc8d70c41158786b2aac
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Nov 7 14:24:25 2021 +0000

    Add SSE2 enhancements to resampler

commit f04284db0ef4b83287737577122b9f478e35c371
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Nov 7 14:18:20 2021 +0000

    Update audiohandler.h

commit ca552a0d8005442454b3e2a546b04785761b8a2e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Nov 7 14:11:22 2021 +0000

    Enable SSE or NEON enhancements for resampler

commit 6247611d85001fa69e2d301ffb4b4812d8eb60e6
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Nov 7 13:49:00 2021 +0000

    Fix resample ratio for input and output (hopefully!)

commit 6fbd9cec707938e1c773d6fe5a950dc6045b92f9
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Nov 7 13:27:52 2021 +0000

    Create resampleRatio

commit 847e60791f78b3498e37993f24e48c09814bf615
Merge: bd5a233 1c0f33c
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sun Nov 7 13:31:28 2021 +0100

    Merge branch 'audio-enhance'

commit 1c0f33c721b669c903164246dc8129a82a2dc13c
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Nov 7 12:16:25 2021 +0000

    Close PA stream after stopping it!

commit 93869b1bea4e73b15d9c6b78e481049034ab4e1a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Nov 7 09:58:41 2021 +0000

    Fix Linux rtaudio build

commit 2b3c0165462fd9446d3b16b0292a62d10a0fd008
Merge: 589df71 1d03764
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Nov 7 09:43:02 2021 +0000

    Merge branch 'rigs' into audio-enhance

commit 1d037646845c70a3215c47db7b5c2789ac4103fe
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sun Nov 7 01:28:35 2021 -0700

    Pulled out some debug code that isn't needed.

commit 0315033f8951a60e7217832f8b0c20949eb22e1a
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sun Nov 7 00:24:08 2021 -0700

    Fixed manual rig ID issue with uninitialized variable.

commit 88430db9ac342a298ea3943272c3c614cbaccbea
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sat Nov 6 23:59:03 2021 -0700

    Added override allowing the user-specified CI-V address to also be used
    as the Rig ID (model). This is useful for older radios that do not reply
    to Rig ID queries. For radios using the default CI-V address, it should
    "just work".

commit 863dd6ba959d4469687cfebe4417cf020007b243
Merge: fe3d645 d58a078
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sat Nov 6 22:50:13 2021 -0700

    Merge remote-tracking branch 'origin/rigs' into rigs

commit fe3d645711611f333dd96be95f229d41e42f3322
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Sat Nov 6 22:49:10 2021 -0700

    Added PTT "snooping" to the commHandler, such that radios needing RTS
    set for PTT will work. Includes replying to PTT queries with the RTS
    status. There is currently no UI to manually select radios that need
    RTS.

commit bd5a233563b6bf1c1e5ac8d84274774f5a13662c
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sat Nov 6 13:10:41 2021 +0100

    deleted a lingering swapfile from one of my vim sessions

commit 35cb1ed053fcbe15ba77e4ce455c38252cd613c6
Merge: 37205a1 2f480e4
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sat Nov 6 13:10:21 2021 +0100

    Merge branch 'audio-enhance'

commit d58a078f705fb111622a816215e53155982099a5
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sat Nov 6 13:09:55 2021 +0100

    deleted a lingering swapfile from one of my vim sessions

commit facdd7dfbd37b31010a3e58f6531f9771ad2428c
Merge: 35bc1af 2f480e4
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sat Nov 6 13:07:30 2021 +0100

    Merge branch 'audio-enhance' into rigs

commit 35bc1afb4bb7465e675b94aadf930a8f2c454428
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Nov 6 10:42:13 2021 +0000

    Change MAX/MIN to use qMax/qMin instead

commit 589df7180575a61cc7bfb13008b8a8c4caeeacb8
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Nov 6 10:42:13 2021 +0000

    Change MAX/MIN to use qMax/qMin instead

commit 0f48959a75a43d1d15031bbb5c05c6450a0b115d
Merge: 2f480e4 77509ae
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Nov 6 10:20:11 2021 +0000

    Merge remote-tracking branch 'origin/rigs' into audio-enhance

commit 77509aead67356d8e09c11786ed8fbd75aa775cc
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Nov 5 23:21:36 2021 -0700

    Added RTS PTT support commHandler and rigCommander. RTS is only sent
    from rigCommander at this time, the pty is not parsed.

commit cd7ea9724281f32a24e6b080138f52b6b895e9ae
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Nov 5 17:38:07 2021 -0700

    Added geometry constraints to the transceiver adjustments window, and
    disable controls which do not function except for debug builds.

commit 76c5488983f876a2d139455074951fd2f6f367d2
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Nov 5 17:12:19 2021 -0700

    Changed IF/TPBF commands to be "unique priority" inserts. Added "more"
    button for extended transceiver controls.

commit a9fb81d8f681006458af656492b584981aeb4ed1
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Nov 5 11:52:20 2021 -0700

    Added an IF Shift-like control for radios with Twin PBF.

commit cecaee397deead4942cf79f9e82dd561106b3e99
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Nov 5 10:09:31 2021 -0700

    Added support for IF Shift and Twin Pass-Band Filters. Currently
    accessable only via the debug button.

commit 522557c6e8b7ac98524b0e18f0fe47f476ac33d2
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Nov 4 20:45:02 2021 -0700

    Added IC-736 FM mode

commit c3bdcf2287b1319d298a606a86e524596be78eaa
Merge: 12d202c 37205a1
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Nov 4 20:39:14 2021 -0700

    Merge remote-tracking branch 'origin/master' into rigs

commit 12d202cbcd65497b1213b4604142d9c07f9eb846
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Thu Nov 4 20:17:50 2021 -0700

    Added code to force IC-736 to rigID

commit 2f480e4b822e63d96cf1d163a93981e7b22b7c0e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Nov 1 20:39:12 2021 +0000

    Use QT Audio by default

commit 6f4cf6bbbea98af0ea7d2d8393bf4f2aacbb049e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Nov 1 20:28:04 2021 +0000

    remove unneeded audio signal handler

commit 0c7bc1738268498d01453bff961f3f3e12fe3c8c
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Nov 1 20:27:33 2021 +0000

    Add portaudio support

commit 43efadbeaa2eeebc1b34155745ab83d2aff7227d
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Nov 1 12:44:23 2021 +0000

    Make switching between audio apis easier (and tidy .pro file)

commit 5b0a3620bd8c077ec3c6e90ce0bc13f4ee05442b
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Nov 1 11:17:25 2021 +0000

    Use buffered audio for Linux (was just Mac only)

commit ffdcada18c83ae0ddc76f6965cf755659c08f2a6
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Nov 1 09:18:01 2021 +0000

    Adjust buffer size depending on latency setting

commit 4e5f315f08acb821c9b164e46e7dff555f8ce7ec
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Oct 31 23:53:20 2021 +0000

    Stuff audio buffer directly rather than signal/slot

commit 37205a11da2feacd80fc0ecd9bf40d1a6697b561
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sun Oct 24 18:09:11 2021 +0200

    changelog

commit 53d47c16c02ab64b6e86448094956ce06ad6c53d
Merge: 511f2b5 bab77eb
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sun Oct 24 18:08:04 2021 +0200

    Merge branch 'audio-enhance'

commit bab77ebaba0e2fdb6cc7db64a2495e3dcb629855
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Oct 22 00:24:30 2021 +0100

    Don't block until audio buffer has space

commit 2c1272de66d4d1a3d566355b6bf7d1b33bab71fc
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Oct 22 00:24:15 2021 +0100

    Bit of tidying

commit 511f2b5e98233acd8e56bb52cfaf7b25bd3e28ae
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Oct 20 14:54:44 2021 +0200

    changes in udp crashes in server side code

commit 52a4016379fa39e3c82797ac63abf3460dbcd3fd
Merge: c4a9465 620d789
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Oct 20 14:49:42 2021 +0200

    Merge branch 'audio-enhance'

commit 620d7890cdd28b3580b60a6ae737536a2057d9bc
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Oct 20 12:47:16 2021 +0100

    Tidy-up server shutdown

commit 24a88794e6647851e48e2fdb61bcc23df0512ae5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Oct 20 12:13:18 2021 +0100

    Trying to find cause of lockup when client disappears

commit c4a9465fb3c959535f2d7078e5871ed2314794e5
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Oct 8 10:25:32 2021 +0200

    pushed 1.2d; fixing some reliability issues w/ wsjtx/rigctld

commit b7edb2cf96df76dcdfb82701c3e6f2b610f26e00
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Oct 6 23:41:11 2021 +0100

    Send TX/Freq changes multiple times with rigctld

commit 66912e13b280648ab80bf10f6dd27fc1601e04fb
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sun Sep 26 11:48:18 2021 +0200

    changelog

commit 6d0ad471c7a63bc6e66b0ae745d0d6fb87d6f475
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Sep 22 11:07:07 2021 +0100

    Remove duplicate setPriority()

commit c712e8737353264356784c6eb27895eaeaefa244
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Sep 22 11:02:09 2021 +0100

    Fix typo

commit 4cb16b105f5dbd7c2a0cbc703aab3e64359c99c8
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Sep 22 10:59:03 2021 +0100

    Add keepalive for linux/mac pty

commit 2c5f37d06c1a91568756340bdbbf31a2cab05074
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Sep 22 10:50:07 2021 +0100

    Fix alignment of rigname in taskbar

commit 18eb9119befce6fd593abaaffac5f267dba07c43
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Sep 22 10:39:35 2021 +0100

    Only send RX antenna byte to rig when it has an RX antenna option in rigCaps

commit 21bc02cc25e9a04401600ef309f935007985391c
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue Sep 7 20:32:47 2021 +0200

    bumped to 1.2c

commit 8b06e9d048c22f40fe0a8274875c9212a9314d0e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Sep 7 18:04:43 2021 +0100

    Make rigctld state work for USB connected rigs

commit f7524c7fbaed947ad0ed9eb94a85072150b08cb8
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue Sep 7 09:01:55 2021 +0200

    fixed warning

commit b37713124bb67862f50340abfaf1eb5eabdffa5b
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue Sep 7 08:11:51 2021 +0200

    WHATSNEW, CHANGELOG

commit 9413d20906ce844915a2e95fe01e6dd1b40ae9a1
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue Sep 7 07:55:17 2021 +0200

    bumped version to 1.2 beta

commit f1221c6f1b9b71ad4228fdc2136f3b8b382958ea
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue Aug 31 09:21:02 2021 +0200

    added 25 kHz step for tuning

commit c46eb659744cacbaf50fcef5b5ca53123950cb70
Merge: 54d6850 bf16dfe
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Mon Aug 30 10:05:56 2021 +0200

    Merge branch 'audio-enhance'

commit bf16dfe19a24664b0d975da9ac80e2a6ad4a5052
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Aug 29 11:51:53 2021 +0100

    Experimental support for split mode in rigctld

commit 57e68571afed9866e3956f4286850c359f99d534
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Aug 29 00:25:23 2021 +0100

    Ignore control levels that we don't currently support

commit 67c80c25105dd9e58ddfc6da8e336a5ba4672270
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Aug 29 00:16:31 2021 +0100

    Add better detection of ci-v transceive disable

commit 0647caa640b1bd34259a8fccce20ed7981bc633f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 28 23:27:18 2021 +0100

    Various changes to shuttle, start adding UI

commit 52070ddbc420ba9efaed2c2e89cbbb3a923a00b8
Merge: 5e6bab9 54d6850
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 28 00:24:12 2021 +0100

    Merge branch 'master' into shuttle

commit b7407fc10865e63a6ce8ffa6a88b5a7e4bdbb9d3
Merge: cffb2bf 54d6850
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 28 00:22:38 2021 +0100

    Merge branch 'master' into QT6.2

commit 54d6850aa1f0ffb75b94f6243b8484e8ac7d80dc
Merge: 8d96c97 97e5ff9
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Aug 27 19:09:16 2021 +0200

    Merge branch 'audio-enhance'

commit 97e5ff9ff8d9e9c411391c937d66b945062de144
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Aug 27 18:07:45 2021 +0100

    Remove unneeded debugging

commit 3a9f9db4a3968dc3d45b04ea234933fc5e2861fa
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Aug 27 18:06:09 2021 +0100

    Add saving of meter2 state

commit 5216b43230f77e38f8fffc95ca91d89adcc42bc4
Merge: 5b1ed2d 7c96102
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Aug 27 17:18:12 2021 +0100

    Merge branch 'master' into audio-enhance

commit 8d96c97f3ac898518f4f5d2a3440c0a725a8295a
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Aug 27 11:45:45 2021 +0200

    bumped version to 1.2 alpha for testing

commit 366676c286240abb56864bdfcb819200cf22a509
Merge: 7c96102 71c12b5
Author: roeland jansen <roeland.jansen69@gmail.com>
Date:   Thu Aug 26 07:13:40 2021 +0000

    Merge branch 'fix' into 'master'
    
    pttyhandler: add errno.h
    
    See merge request eliggett/wfview!6

commit 71c12b508fceabd88131db754e017f8728ce0dc6
Author: Davide Gerhard <rainbow@irh.it>
Date:   Wed Aug 25 19:05:52 2021 +0200

    pttyhandler: add errno.h

commit 7c9610283c29513659557b55eae66ab31248d3dc
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Aug 24 09:34:40 2021 +0100

    Replace missing ;

commit 47d9c52f879f9a2af6364d2d95f55560dfa3b50e
Merge: acb976e 57b6f95
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Aug 24 09:24:25 2021 +0100

    Merge branch 'opus'

commit 57b6f955c66358a2c0af6a4f7c66c9712bb8b476
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Aug 23 23:59:40 2021 +0100

    Set audio thread priority in the correct place!

commit cffb2bf93ac49f9e215f2f7148f6b4ef366712d4
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Aug 24 09:20:38 2021 +0100

    QT6.2 auto update audio comboboxes

commit acb976e68ec2e03265e0a89518a7a117f3902fcd
Merge: ed1684a db6a20d
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue Aug 24 07:51:30 2021 +0200

    Merge branch 'ui-enhance'

commit 5b1ed2dc353e7f6c3e843027c9f02a948dd46624
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Aug 23 23:59:40 2021 +0100

    Set audio thread priority in the correct place!

commit 1b3edbfec1f2930e5b15831c18a4b2dcdab95a07
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Aug 24 00:00:49 2021 +0100

    Set 64bit for default build

commit af440fbf55edf91dfab1d6ed75aa06904da2273b
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Aug 24 00:00:29 2021 +0100

    Look at supporting dynamic update of audio devices

commit 886b597d565f6f6f126a5d520171392eb4bf88d7
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Aug 23 23:59:40 2021 +0100

    Set audio thread priority in the correct place!

commit db6a20d3d03b5d4669f303209266a18160e2ea08
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Mon Aug 23 14:40:36 2021 -0700

    Now with dual meters for everyone!

commit 5e6bab9d571dbf71744f919a49754f779859f205
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Aug 23 10:02:16 2021 +0100

    Add RC28 PTT LED

commit edef09c8bf823b0bd15b9744c4eb164e87d1d2c0
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Aug 22 10:16:16 2021 +0100

    Beginning to support QT6.2

commit 4bbd06a98864b61223da7124800abb79a87822e3
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Aug 22 09:34:00 2021 +0100

    More shuttle changes

commit ed1684a5a3ae8a24f6cfca20b38d7705f74cdb1a
Merge: 58a6477 23ccee8
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sat Aug 21 13:49:19 2021 +0200

    Merge branch 'ui-enhance'

commit 23ccee8a21d4e96390d29ba4fadd8038be6696e1
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Aug 20 22:23:16 2021 -0700

    Clear Center readout as well.

commit d9a9a3ba2b1f50dcd1cda780e1f679fb19e91131
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Fri Aug 20 22:19:47 2021 -0700

    Fixed issue where the "none" selection didn't work quite right. Also
    fixed the T/R meter switching to clear out invalid readings.

commit 58a6477f53bad1a38cb664b9c5a0e5f33f48eac4
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Aug 19 10:21:30 2021 +0100

    Set audio threads to be realtime priority

commit a2d7ae0e565720f07dfb5aac3c061126a96351cf
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Aug 19 10:21:30 2021 +0100

    Set audio threads to be realtime priority

commit 65b45389682f97cae9072c273bf457578cc17a3f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Aug 19 10:21:09 2021 +0100

    Use hidapi statically and set lowest priority for thread

commit 87dc468ae99d910f29d13f1a0d9605416ae6f51e
Merge: 445a415 0b5a6cc
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Aug 18 22:46:06 2021 +0100

    Merge branch 'master' into shuttle

commit c2840f43d9e7a7fe2434ba9d15e85138cf37c633
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Aug 18 12:11:23 2021 +0100

    Update wfview.vcxproj

commit 968835e58a0e3644f67dd57e6d4f5274948aa733
Merge: 4b564aa 0b5a6cc
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Aug 18 12:11:14 2021 +0100

    Merge branch 'master' into opus

commit f44dd4bda2a00d2cbba5499dcebafab16a4bc08b
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Aug 17 14:00:37 2021 -0700

    Added IC-736

commit 4b564aa8fc3ccbe966a087b2ec0fd8a43576af4b
Merge: 064d9cc b8b2892
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Aug 17 21:27:59 2021 +0100

    Merge branch 'opus' of https://gitlab.com/eliggett/wfview into opus

commit b8b2892a1bf0f2af8b725e9671094c753313ef37
Author: Phil Taylor <phil@m0vse.uk>
Date:   Tue Aug 17 17:54:41 2021 +0100

    Remove unneeded submodules

commit 390f9500dc9c16dde7cf043c4bea4e77a9aa36dd
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Tue Aug 17 09:35:40 2021 -0700

    Added more support for the IC-9100

commit 0b5a6cce1f55eae10c158275cae9368c3f2c894d
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue Aug 17 16:11:50 2021 +0200

    dual meter support/WHATSNEW

commit 064d9cc2ce35038473f30f72e7595db150d75ff3
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Mon Aug 16 23:37:50 2021 -0700

    Current scale tic marks on both sides now!

commit 7f44af239acb635ada47f8a148f8323afa99d595
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Mon Aug 16 23:25:11 2021 -0700

    More meter work, fixed some scales and added labels.

commit a09e8c51b81ad4de6803163f3a7ce18b949bef39
Author: Elliott Liggett <kilocharlie8@gmail.com>
Date:   Mon Aug 16 21:51:45 2021 -0700

    Better meter fonts

commit 493f2f60d97300c3d13f4779e0ef35dca81b07f8
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Mon Aug 16 14:40:54 2021 +0200

    WHATSNEW and INSTALL.md: added opus

commit fc2d1e24e276685429ff280468b779df2f78fab1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Aug 15 14:41:54 2021 +0100

    Fix for left over CIV client on server

commit 04562a6ca5bcba2852a962c9aa40fc052030e411
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Aug 15 11:36:08 2021 +0100

    Add a bit of logging for creating/destruction of opus

commit c5c0046e3a3708b9e7ba54d3f29d1e0cd137fd33
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Aug 15 11:19:34 2021 +0100

    Improve detection of unsupported codec.

commit 758724f8af8a39948eb9fa2d97081d1a777619e9
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 14 20:08:11 2021 +0100

    Fix for Opus TX audio

commit 21c8b54819bc40667fd3d5370556e013eae1827f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 14 19:02:04 2021 +0100

    txrate logging wrong

commit e5effe657192dafcc487ea66148196c774f07b34
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 14 17:22:20 2021 +0100

    And another one

commit 484da6e55d0911c14353c54f129b1e8c8e6c0ccb
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 14 17:20:40 2021 +0100

    More warning removal!

commit c7a2561a3f24331fb6761821b4f792db99ec8269
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 14 17:18:35 2021 +0100

    More commenting in rigctld.h

commit dc299fc4f7649b45a7ee1e4bdc0a563d434cca83
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 14 17:15:59 2021 +0100

    Is this going to fix 8 bit audio?

commit f17e69b4be458c12ff7e5ab48c99db1a21fb316e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 14 17:15:44 2021 +0100

    Comment unused structs from rigctld

commit 9d07bbc2813f91a8ad069e35a1ee19c7840cc372
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 14 16:27:31 2021 +0100

    All audio codecs now work in both directions!

commit eb5dc0d095858f0a2a137dc2674e660c1af47c3a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 14 16:16:11 2021 +0100

    Update audiohandler.cpp

commit 9ae9e563999263182a7d7af39c7dc0037725cd32
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 14 16:11:48 2021 +0100

    more 8bit fixes!

commit 2b8449d4d313135ffb82a69d719d62b831133346
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 14 16:04:50 2021 +0100

    ulaw encoding test

commit 02ba27b6b2869bb4878d28e98e2e2b5887ee139f
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 14 13:16:39 2021 +0100

    Update audiohandler.cpp

commit ac74f8ba5c3f41afe71a49ec90775c5647ab6ec3
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 14 13:05:18 2021 +0100

    Update audiohandler.cpp

commit 208ed9596ced107d3ceff43bbee6d80311fd5aaa
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 14 13:02:07 2021 +0100

    8 bit encoding fix

commit 218dc493e227fba86a545fe1aac51c8c7142d890
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 14 12:25:50 2021 +0100

    Another issue with  8 bit audio

commit f84172d5aee10e865dfaa0f95a824bd3b5d2ef60
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 14 12:17:43 2021 +0100

    Try again to remove debugging!

commit e6750be84ce0ad81011c4b38606391040642de29
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 14 12:08:50 2021 +0100

    Revert "Remove extra opus debugging"
    
    This reverts commit da53f5371bbeb35b10cbb831b83b74e1bdd771f9.

commit da53f5371bbeb35b10cbb831b83b74e1bdd771f9
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 14 12:03:04 2021 +0100

    Remove extra opus debugging

commit 2214ec7783dbbacfb89d59e2659abbf9b2753ec5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 14 10:29:22 2021 +0100

    Move opus init

commit 9ca727ac65763309cd33981c0bfadf2c6f8b1f5e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 14 10:11:58 2021 +0100

    Add some debugging for decoder

commit d2098996ac8342696389e780c3cbf3a007dacdb5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 14 10:06:17 2021 +0100

    Use radio samplerate for opus

commit f5913dc0991a6a3d98c63b5bf96c64a5e4663781
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 14 01:01:50 2021 +0100

    Remove big/little endian conversion

commit d4023e8b36bc358762e0a914e0d45dd8f59ab491
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 14 00:56:16 2021 +0100

    More Opus fixes

commit e80d12e477837644ac7b9a935b794167beaa1e71
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 14 00:03:26 2021 +0100

    Update audiohandler.cpp

commit 88ec30bb490d2ee57e2f7d62a009d400bb41fd08
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 14 00:01:45 2021 +0100

    Update audiohandler.cpp

commit 95b10ce4656548ec3a741968ac0013453dea97d5
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Aug 13 23:35:42 2021 +0100

    Update audiohandler.cpp

commit aff0e6847c5cb63e31475c3577a616eb9853ec1b
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Aug 13 20:52:18 2021 +0100

    Update audiohandler.cpp

commit 28b2a716d135724ef2ed323ae0fac939d19719e6
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Aug 13 20:41:42 2021 +0100

    Update audiohandler.cpp

commit b336d1836e621ec511f4943605379c99fbf1d8ba
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Aug 13 20:30:53 2021 +0100

    Try to fix Opus 2-channel

commit eb2f897a81b44e24628f5f225a4a0c6c883e553b
Merge: bc0d69f eb637d2
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Aug 13 20:15:00 2021 +0100

    Merge branch 'master' into opus

commit eb637d2029a9a3b3d940e97dec170bdeb5e96d7a
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Aug 11 08:47:51 2021 +0200

    WHATSNEW?

commit 4a7dc5d99e77291810f4f504c74bfda3a9a64019
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Wed Aug 11 08:41:45 2021 +0200

    changelog

commit e1dae9edd970798f69f1b30f16d6a81db05e4219
Merge: cc00228 d755d30
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue Aug 10 07:59:41 2021 +0200

    Merge branch 'audio-enhance'

commit d755d30f83e0b3e484488ea5f6130895c508fcd7
Author: Phil Taylor <phil@m0vse.uk>
Date:   Mon Aug 9 17:37:06 2021 +0100

    Add constants to make parsing (hopefully) easier

commit cc002281abc53923fdde9c0eab5b18fb9e5cba23
Merge: dfc101e 953f572
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Mon Aug 9 10:50:49 2021 +0200

    Merge branch 'audio-enhance'

commit 953f57267365756c0403fcb477c188dc078a61d2
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Aug 8 21:09:10 2021 +0100

    Fake known functions

commit 4d0153741cec679888f0f89bbe44bc2130a7b4ea
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Aug 8 21:03:22 2021 +0100

    Fix float warning

commit 979442de8745f2a4e574e952f513a2d92f5d38e1
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Aug 8 17:17:12 2021 +0100

    Remove calibration debugging

commit 85271c398ee6a30478275576a65b3de0ce0eefba
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Aug 8 17:14:48 2021 +0100

    Add proper s-meter calibration

commit dfc101eabe88d267dd05b9cbc3be2fe9b4938b09
Merge: 9320892 3a2db78
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sat Aug 7 21:35:55 2021 +0200

    Merge branch 'audio-enhance'

commit 3a2db789a2abf0e7645a5db11b10224fbc156409
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 7 18:34:34 2021 +0100

    Add ritctl model to rigCaps

commit bbb45a01c78b478b7fe6c112bd27061d4c6fb7a9
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 7 17:31:55 2021 +0100

    Fix to make wsjt-x work again!

commit 84261a49cc76675e5de178a1e030c1803d7ba143
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 7 13:34:47 2021 +0100

    Add split/duplex support

commit 932089285d1924a8cd933980e2513ffde305618d
Merge: ce63ab1 b2b438f
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sat Aug 7 12:21:22 2021 +0200

    Merge branch 'audio-enhance'

commit b2b438f0038abab427ac5c870a5864934e83cd33
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 7 11:20:36 2021 +0100

    Update rigctld.cpp

commit ce63ab1617c58db7ee2a3add34f69c0e177aeb92
Merge: 69d2a37 f86aa6e
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sat Aug 7 12:18:08 2021 +0200

    Merge branch 'audio-enhance'

commit f86aa6e4f62a70cc832010baa32f28bbd1ae0e59
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 7 11:16:55 2021 +0100

    Correct lack of parentheses in conditionals

commit 69d2a374b6edba69026615ccd673174f1e86ea99
Merge: 2cadd16 9ca39a0
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sat Aug 7 11:33:00 2021 +0200

    Merge branch 'audio-enhance'

commit 9ca39a06769cd515828323a80952764b6812dd3b
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 7 10:04:16 2021 +0100

    Fix typo

commit 73e29cd0fd02ae136e1a8179a16e566e5c8c0491
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 7 01:16:02 2021 +0100

    Remove some debug logging

commit c4ed4d2de4ebf842a88c9ed67d55ff6b006988e9
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sat Aug 7 01:14:41 2021 +0100

    More rigctl features/fixes

commit a945988671925399b3863ad8a79c8f326d12896a
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Aug 6 12:50:56 2021 +0100

    Fix for get_powerstat

commit 6b34d500f32b920c4b670dea5bedd43914fd6ba7
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Aug 6 12:40:58 2021 +0100

    Update rigctld.cpp

commit 797ed3bc5ec7f56a7e30b7f6d242758bad0083ab
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Aug 6 12:37:03 2021 +0100

    Add some levels and other functions

commit 2cadd16de2da2263963864e79c51bf779608b6be
Merge: ec1ce2a 04bd237
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Aug 6 10:48:12 2021 +0200

    Merge branch 'audio-enhance'

commit 04bd237eb4cfd82fb28f95f461b00a822e91b8b8
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Aug 6 09:47:32 2021 +0100

    Fix compile warnings

commit ec1ce2a3d3e9748c3c557e0a137a21aa2c65238f
Merge: e9df69f a112ee4
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Aug 6 10:39:25 2021 +0200

    Merge branch 'audio-enhance'

commit a112ee43cbd83ca7416e20442771ecfa3604c33e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Fri Aug 6 09:25:08 2021 +0100

    Add frequency ranges from rigcaps

commit e9df69f156ea5fd9f611fe6d04d14700eb763821
Merge: 2a524fc b8345bf
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Fri Aug 6 09:32:09 2021 +0200

    Merge branch 'audio-enhance'

commit b8345bf77fc3ad13586fe1f75088318f0c75100e
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Aug 5 14:45:19 2021 +0100

    Move rigctld settings in Ui

commit 543b289c99756fe6433a503299aa60639a9a8596
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Aug 5 14:15:10 2021 +0100

    Fixes for setting freq/mode

commit e091ed52541a5e7fa2eefb1d2339dfc6b0dae629
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Aug 5 13:52:06 2021 +0100

    Support for more rigctld commands

commit 273132de8938a651d2c887a05bd4c456c68e0950
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Aug 5 11:29:20 2021 +0100

    More fixes to rigctld

commit f36cefac3a1e70828a55f0d555a82b93a82e6da2
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Aug 5 11:06:35 2021 +0100

    Change the way rigctl response is built

commit 2a524fca1dc7aac69da7868a87408d82cab65e84
Merge: 3fc7532 1e2a0db
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Thu Aug 5 09:08:02 2021 +0200

    Merge branch 'audio-enhance'

commit 1e2a0db60423eed3927c5e8ef0b54333a7d0a32b
Author: Phil Taylor <phil@m0vse.uk>
Date:   Thu Aug 5 01:23:15 2021 +0100

    More rigctld fixes

commit ee2cf70dc046f161fa4d3be61174d9a90397c79b
Author: Phil Taylor <phil@m0vse.uk>
Date:   Wed Aug 4 20:49:32 2021 +0100

    Add rigctld config to ui and fix some bugs

commit 3fc75320e476608c21b5895c805d3bef55d92d50
Merge: 3be0813 bee4f03
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Tue Aug 3 20:13:50 2021 +0200

    Merge branch 'linstall'

commit bee4f03edb6edf534c2cfe71c5219a5b2a7cb382
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Mon Aug 2 08:06:19 2021 +0200

    added derSuessman prefix code

commit 3be08137dd25b0addc65a2f3c91d144910b7f079
Merge: 6df36a0 eddc5d4
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Mon Aug 2 07:54:51 2021 +0200

    Merge branch 'audio-enhance'

commit eddc5d42ba7e237f2ca87f02d7c5cb363b067b20
Author: Phil Taylor <phil@m0vse.uk>
Date:   Sun Aug 1 18:34:32 2021 +0100

    Fix broken 8bit audio

commit 680262b4d2ef00b49fa3e98e0f41c0ab4d6a816f
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sun Aug 1 13:58:47 2021 +0200

    added derSuessmann additions to have a linux install prefix

commit 472709357805cdfdf6de24888397e0d768c25cce
Author: Roeland Jansen <roeland.jansen69@gmail.com>
Date:   Sun Aug 1 13:55:44 2021 +0200

    added derSuessmann additions to have a linux install prefix

commit 6df36a05be176a05d163463b19623a9a42d6007e
Merge: 3f1fc95 f8beed5
Author: roeland jansen <roeland.jansen69@gmail.com>
Date:   Sun Aug 1 11:07:07 2021 +0000

    Merge branch 'fedora_install' into 'master'
    
    Fedora build/install notes
    
    See merge request eliggett/wfview!4

commit 4e63a72106d6da3eb87e28f263415d54fc722947
